!******************************************************************************!
!                                                                              !
!    vertices_info3.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info3.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2019-10-09 13:25             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info3
  implicit none
  contains
  subroutine fill_vertices_mdl3()
    use class_vertices
    use class_couplings
    allocate(vertices(204)%branchCT(0:1))
    call avCT(204, 0, 34, 4, 0, UVUa0, 0, [3, 0], [nGC_7147])

    call avCT(204, 1, 35, 5, 0, UVUa0, 0, [3, 0], [nGC_7147])

    allocate(vertices(205)%branchCT(0:0))
    call avCT(205, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7093])

    allocate(vertices(206)%branchCT(0:0))
    call avCT(206, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7093])

    allocate(vertices(257)%branchCT(0:0))
    call avCT(257, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7646])

    allocate(vertices(208)%branchCT(0:0))
    call avCT(208, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7404])

    allocate(vertices(209)%branchCT(0:0))
    call avCT(209, 0, 8, 1, 0, UUaS0, 0, [0, 3], [nGC_5363])

    allocate(vertices(210)%branchCT(0:0))
    call avCT(210, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7085, nGC_7085, nGC_7084])

    allocate(vertices(211)%branchCT(0:0))
    call avCT(211, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7066])

    allocate(vertices(478)%branchCT(0:1))
    call avCT(478, 0, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_7318])

    call avCT(478, 1, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_7317])

    allocate(vertices(213)%branchCT(0:0))
    call avCT(213, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_7349])

    allocate(vertices(214)%branchCT(0:0))
    call avCT(214, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_8120, nGC_8121])

    allocate(vertices(216)%branchCT(0:0))
    call avCT(216, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5223])

    allocate(vertices(217)%branchCT(0:0))
    call avCT(217, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8129])

    allocate(vertices(218)%branchCT(0:0))
    call avCT(218, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_7586])

    allocate(vertices(219)%branchCT(0:1))
    call avCT(219, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_7824, nGC_7824])

    call avCT(219, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_7825, nGC_7825])

    allocate(vertices(936)%branchCT(0:1))
    call avCT(936, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_7291, nGC_7291])

    call avCT(936, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_7292, nGC_7292])

    allocate(vertices(1399)%branchCT(0:0))
    call avCT(1399, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_7072])

    allocate(vertices(1400)%branchCT(0:0))
    call avCT(1400, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7409])

    allocate(vertices(221)%branchCT(0:0))
    call avCT(221, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7308])

    allocate(vertices(222)%branchCT(0:0))
    call avCT(222, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7028])

    allocate(vertices(223)%branchCT(0:0))
    call avCT(223, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7066])

    allocate(vertices(224)%branchCT(0:1))
    call avCT(224, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8169, nGC_8170])

    call avCT(224, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8171, nGC_8172])

    allocate(vertices(226)%branchCT(0:0))
    call avCT(226, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_7521])

    allocate(vertices(227)%branchCT(0:0))
    call avCT(227, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7093])

    allocate(vertices(228)%branchCT(0:0))
    call avCT(228, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_8182])

    allocate(vertices(1401)%branchCT(0:0))
    call avCT(1401, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8183])

    allocate(vertices(229)%branchCT(0:0))
    call avCT(229, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8188])

    allocate(vertices(230)%branchCT(0:0))
    call avCT(230, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7255])

    allocate(vertices(231)%branchCT(0:1))
    call avCT(231, 0, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_8000])

    call avCT(231, 1, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_7999])

    allocate(vertices(232)%branchCT(0:0))
    call avCT(232, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_7992, nGC_7992])

    allocate(vertices(233)%branchCT(0:0))
    call avCT(233, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7039])

    allocate(vertices(234)%branchCT(0:0))
    call avCT(234, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7231])

    allocate(vertices(235)%branchCT(0:0))
    call avCT(235, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7656, nGC_7655, nGC_7655])

    allocate(vertices(236)%branchCT(0:0))
    call avCT(236, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7880])

    allocate(vertices(237)%branchCT(0:0))
    call avCT(237, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7308])

    allocate(vertices(238)%branchCT(0:1))
    call avCT(238, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8224, nGC_8224])

    call avCT(238, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8225, nGC_8225])

    allocate(vertices(239)%branchCT(0:1))
    call avCT(239, 0, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_7849, nGC_7850])

    call avCT(239, 1, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_7846, nGC_7843])

    allocate(vertices(1402)%branchCT(0:1))
    call avCT(1402, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_8243, nGC_8235, nGC_8246&
    , nGC_8246])

    call avCT(1402, 1, 13, 1, 0, FFa0, 0, [2, 0], [nGC_8244, nGC_8236, nGC_8247&
    , nGC_8247])

    allocate(vertices(241)%branchCT(0:0))
    call avCT(241, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_7702])

    allocate(vertices(242)%branchCT(0:0))
    call avCT(242, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7066])

    allocate(vertices(243)%branchCT(0:0))
    call avCT(243, 0, 8, 1, 0, UaVU0, 0, [0, 3], [nGC_7514])

    allocate(vertices(244)%branchCT(0:0))
    call avCT(244, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7501])

    allocate(vertices(154)%branchCT(0:0))
    call avCT(154, 0, 8, 1, 0, UUaS0, 0, [0, 3], [nGC_7259])

    allocate(vertices(246)%branchCT(0:0))
    call avCT(246, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_5363])

    allocate(vertices(248)%branchCT(0:0))
    call avCT(248, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7050])

    allocate(vertices(249)%branchCT(0:1))
    call avCT(249, 0, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_7241, nGC_7242])

    call avCT(249, 1, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_7234, nGC_7237])

    allocate(vertices(1403)%branchCT(0:0))
    call avCT(1403, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7171])

    allocate(vertices(250)%branchCT(0:1))
    call avCT(250, 0, 32, 4, 0, UaVU0, 0, [3, 0], [nGC_7147])

    call avCT(250, 1, 33, 5, 0, UaVU0, 0, [3, 0], [nGC_7147])

    allocate(vertices(251)%branchCT(0:0))
    call avCT(251, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_8287, nGC_8288])

    allocate(vertices(253)%branchCT(0:0))
    call avCT(253, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7143])

    allocate(vertices(254)%branchCT(0:0))
    call avCT(254, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8298])

    allocate(vertices(255)%branchCT(0:0))
    call avCT(255, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7501])

    allocate(vertices(1267)%branchCT(0:0))
    call avCT(1267, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7028])

    allocate(vertices(1186)%branchCT(0:0))
    call avCT(1186, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7313, nGC_7313, nGC_7314&
    ])

    allocate(vertices(207)%branchCT(0:0))
    call avCT(207, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7028])

    allocate(vertices(258)%branchCT(0:0))
    call avCT(258, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7093])

    allocate(vertices(260)%branchCT(0:0))
    call avCT(260, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7255])

    allocate(vertices(261)%branchCT(0:0))
    call avCT(261, 0, 8, 1, 0, UVUa0, 0, [0, 3], [nGC_8324])

    allocate(vertices(262)%branchCT(0:0))
    call avCT(262, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5222])

    allocate(vertices(263)%branchCT(0:0))
    call avCT(263, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_8007])

    allocate(vertices(723)%branchCT(0:0))
    call avCT(723, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7143])

    allocate(vertices(265)%branchCT(0:0))
    call avCT(265, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_8338, nGC_8337])

    allocate(vertices(266)%branchCT(0:0))
    call avCT(266, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7028])

    allocate(vertices(267)%branchCT(0:1))
    call avCT(267, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8350, nGC_8351])

    call avCT(267, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8352, nGC_8353])

    allocate(vertices(268)%branchCT(0:0))
    call avCT(268, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7346])

    allocate(vertices(269)%branchCT(0:0))
    call avCT(269, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_7546])

    allocate(vertices(270)%branchCT(0:0))
    call avCT(270, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7093])

    allocate(vertices(1404)%branchCT(0:0))
    call avCT(1404, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8183])

    allocate(vertices(272)%branchCT(0:0))
    call avCT(272, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7231])

    allocate(vertices(948)%branchCT(0:0))
    call avCT(948, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7143])

    allocate(vertices(1405)%branchCT(0:0))
    call avCT(1405, 0, 14, 1, 0, VS0, 0, [0, 2], [nGC_8377, nGC_8378])

    allocate(vertices(274)%branchCT(0:0))
    call avCT(274, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_7349])

    allocate(vertices(949)%branchCT(0:1))
    call avCT(949, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_7340, nGC_7341])

    call avCT(949, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_7342, nGC_7343])

    allocate(vertices(276)%branchCT(0:0))
    call avCT(276, 0, 8, 1, 0, VUaU0, 0, [0, 3], [nGC_7923])

    allocate(vertices(277)%branchCT(0:0))
    call avCT(277, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7050])

    allocate(vertices(278)%branchCT(0:0))
    call avCT(278, 0, 8, 1, 0, VUaU0, 0, [0, 3], [nGC_7923])

    allocate(vertices(279)%branchCT(0:0))
    call avCT(279, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7255])

    allocate(vertices(280)%branchCT(0:0))
    call avCT(280, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_8406, nGC_8406])

    allocate(vertices(281)%branchCT(0:0))
    call avCT(281, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7093])

    allocate(vertices(282)%branchCT(0:0))
    call avCT(282, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7093])

    allocate(vertices(283)%branchCT(0:0))
    call avCT(283, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7085, nGC_7084, nGC_7085])

    allocate(vertices(1406)%branchCT(0:0))
    call avCT(1406, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_7094])

    allocate(vertices(285)%branchCT(0:0))
    call avCT(285, 0, 8, 1, 0, UUaS0, 0, [0, 3], [nGC_5357])

    allocate(vertices(286)%branchCT(0:0))
    call avCT(286, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7093])

    allocate(vertices(287)%branchCT(0:0))
    call avCT(287, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_7861])

    allocate(vertices(726)%branchCT(0:0))
    call avCT(726, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7255])

    allocate(vertices(288)%branchCT(0:0))
    call avCT(288, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_7467])

    allocate(vertices(1407)%branchCT(0:0))
    call avCT(1407, 0, 14, 1, 0, VV1, 0, [0, 2], [nGC_8440, nGC_8439])

    allocate(vertices(290)%branchCT(0:3))
    call avCT(290, 0, 24, 2, 0, FaFV1, 0, [1, 2], [nGC_7830, nGC_7826])

    call avCT(290, 1, 24, 2, 0, FaFV1, 0, [3, 0], [nGC_7832, nGC_7833])

    call avCT(290, 2, 25, 3, 0, FaFV1, 0, [1, 2], [nGC_7830, nGC_7826])

    call avCT(290, 3, 25, 3, 0, FaFV1, 0, [3, 0], [nGC_7832, nGC_7833])

    allocate(vertices(291)%branchCT(0:0))
    call avCT(291, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7050])

    allocate(vertices(292)%branchCT(0:0))
    call avCT(292, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_8462, nGC_8462])

    allocate(vertices(293)%branchCT(0:0))
    call avCT(293, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7641, nGC_7641, nGC_7642])

    allocate(vertices(294)%branchCT(0:0))
    call avCT(294, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7039])

    allocate(vertices(458)%branchCT(0:0))
    call avCT(458, 0, 8, 1, 0, UaUV0, 0, [0, 3], [nGC_8471])

    allocate(vertices(728)%branchCT(0:0))
    call avCT(728, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7346])

    allocate(vertices(298)%branchCT(0:0))
    call avCT(298, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7066])

    allocate(vertices(299)%branchCT(0:0))
    call avCT(299, 0, 8, 1, 0, VUUa0, 0, [0, 3], [nGC_7626])

    allocate(vertices(301)%branchCT(0:0))
    call avCT(301, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7880])

    allocate(vertices(302)%branchCT(0:1))
    call avCT(302, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8491, nGC_8491])

    call avCT(302, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8492, nGC_8492])

    allocate(vertices(303)%branchCT(0:0))
    call avCT(303, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7066])

    allocate(vertices(304)%branchCT(0:1))
    call avCT(304, 0, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_7202, nGC_7201])

    call avCT(304, 1, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_7204, nGC_7203])

    allocate(vertices(305)%branchCT(0:0))
    call avCT(305, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7255])

    allocate(vertices(1196)%branchCT(0:0))
    call avCT(1196, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7143])

    allocate(vertices(495)%branchCT(0:0))
    call avCT(495, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7066])

    allocate(vertices(308)%branchCT(0:1))
    call avCT(308, 0, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_8169, nGC_8170])

    call avCT(308, 1, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_8171, nGC_8172])

    allocate(vertices(309)%branchCT(0:0))
    call avCT(309, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7050])

    allocate(vertices(1408)%branchCT(0:0))
    call avCT(1408, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_8534, nGC_8529, nGC_8536&
    , nGC_8536])

    allocate(vertices(45)%branchCT(0:0))
    call avCT(45, 0, 8, 1, 0, UUaS0, 0, [0, 3], [nGC_7919])

    allocate(vertices(312)%branchCT(0:0))
    call avCT(312, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_5363])

    allocate(vertices(313)%branchCT(0:1))
    call avCT(313, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_8021, nGC_8020])

    call avCT(313, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_8023, nGC_8022])

    allocate(vertices(314)%branchCT(0:0))
    call avCT(314, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7093])

    allocate(vertices(315)%branchCT(0:0))
    call avCT(315, 0, 8, 1, 0, UVUa0, 0, [0, 3], [nGC_8471])

    allocate(vertices(316)%branchCT(0:0))
    call avCT(316, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7066])

    allocate(vertices(317)%branchCT(0:3))
    call avCT(317, 0, 11, 2, 0, FFaV1, 0, [1, 2], [nGC_7129, nGC_7127])

    call avCT(317, 1, 11, 2, 0, FFaV1, 0, [3, 0], [nGC_7131, nGC_7132])

    call avCT(317, 2, 12, 3, 0, FFaV1, 0, [1, 2], [nGC_7129, nGC_7127])

    call avCT(317, 3, 12, 3, 0, FFaV1, 0, [3, 0], [nGC_7131, nGC_7132])

    allocate(vertices(318)%branchCT(0:0))
    call avCT(318, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7093])

    allocate(vertices(319)%branchCT(0:1))
    call avCT(319, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8170, nGC_8169])

    call avCT(319, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8172, nGC_8171])

    allocate(vertices(320)%branchCT(0:0))
    call avCT(320, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7039])

    allocate(vertices(321)%branchCT(0:0))
    call avCT(321, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_7369])

    allocate(vertices(322)%branchCT(0:0))
    call avCT(322, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_8067])

    allocate(vertices(323)%branchCT(0:0))
    call avCT(323, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_7861])

    allocate(vertices(958)%branchCT(0:0))
    call avCT(958, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7880])

    allocate(vertices(1409)%branchCT(0:0))
    call avCT(1409, 0, 14, 1, 0, SS0, 0, [0, 2], [nGC_8600])

    allocate(vertices(325)%branchCT(0:0))
    call avCT(325, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7308])

    allocate(vertices(326)%branchCT(0:0))
    call avCT(326, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7093])

    allocate(vertices(605)%branchCT(0:0))
    call avCT(605, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5222])

    allocate(vertices(328)%branchCT(0:1))
    call avCT(328, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_7408])

    call avCT(328, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_7407])

    allocate(vertices(329)%branchCT(0:0))
    call avCT(329, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7255])

    allocate(vertices(330)%branchCT(0:0))
    call avCT(330, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_7521])

    allocate(vertices(196)%branchCT(0:0))
    call avCT(196, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_7992, nGC_7992])

    allocate(vertices(331)%branchCT(0:1))
    call avCT(331, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_7060, nGC_7061])

    call avCT(331, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_7057, nGC_7053])

    allocate(vertices(332)%branchCT(0:0))
    call avCT(332, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_8120, nGC_8121])

    allocate(vertices(333)%branchCT(0:0))
    call avCT(333, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7216])

    allocate(vertices(732)%branchCT(0:0))
    call avCT(732, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7404])

    allocate(vertices(656)%branchCT(0:0))
    call avCT(656, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_7659])

    allocate(vertices(336)%branchCT(0:1))
    call avCT(336, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_8169, nGC_8170])

    call avCT(336, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_8171, nGC_8172])

    allocate(vertices(337)%branchCT(0:0))
    call avCT(337, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7143])

    allocate(vertices(338)%branchCT(0:3))
    call avCT(338, 0, 11, 2, 0, FFaV1, 0, [1, 2], [nGC_7472, nGC_7474])

    call avCT(338, 1, 11, 2, 0, FFaV1, 0, [3, 0], [nGC_7476, nGC_7477])

    call avCT(338, 2, 12, 3, 0, FFaV1, 0, [1, 2], [nGC_7472, nGC_7474])

    call avCT(338, 3, 12, 3, 0, FFaV1, 0, [3, 0], [nGC_7476, nGC_7477])

    allocate(vertices(339)%branchCT(0:0))
    call avCT(339, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7374])

    allocate(vertices(1157)%branchCT(0:1))
    call avCT(1157, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_7060, nGC_7061])

    call avCT(1157, 1, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_7057, nGC_7053])

    allocate(vertices(340)%branchCT(0:0))
    call avCT(340, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7066])

    allocate(vertices(1202)%branchCT(0:0))
    call avCT(1202, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_7888])

    allocate(vertices(342)%branchCT(0:0))
    call avCT(342, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_7650])

    allocate(vertices(343)%branchCT(0:1))
    call avCT(343, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_7597, nGC_7598])

    call avCT(343, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_7591, nGC_7594])

    allocate(vertices(344)%branchCT(0:1))
    call avCT(344, 0, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_7560, nGC_7559])

    call avCT(344, 1, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_7562, nGC_7561])

    allocate(vertices(347)%branchCT(0:1))
    call avCT(347, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_7120, nGC_7120])

    call avCT(347, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_7119, nGC_7119])

    allocate(vertices(348)%branchCT(0:0))
    call avCT(348, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_7385])

    allocate(vertices(349)%branchCT(0:0))
    call avCT(349, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7374])

    allocate(vertices(755)%branchCT(0:1))
    call avCT(755, 0, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_7272, nGC_7273])

    call avCT(755, 1, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_7264, nGC_7267])

    allocate(vertices(1269)%branchCT(0:0))
    call avCT(1269, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7865])

    allocate(vertices(774)%branchCT(0:0))
    call avCT(774, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7085, nGC_7085, nGC_7084])

    allocate(vertices(1205)%branchCT(0:0))
    call avCT(1205, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7066])

    allocate(vertices(785)%branchCT(0:1))
    call avCT(785, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8350, nGC_8351])

    call avCT(785, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8352, nGC_8353])

    allocate(vertices(354)%branchCT(0:3))
    call avCT(354, 0, 24, 2, 0, FaFV1, 0, [1, 2], [nGC_8753, nGC_8751])

    call avCT(354, 1, 24, 2, 0, FaFV1, 0, [3, 0], [nGC_8755, nGC_8756])

    call avCT(354, 2, 25, 3, 0, FaFV1, 0, [1, 2], [nGC_8753, nGC_8751])

    call avCT(354, 3, 25, 3, 0, FaFV1, 0, [3, 0], [nGC_8755, nGC_8756])

    allocate(vertices(355)%branchCT(0:0))
    call avCT(355, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7231])

    allocate(vertices(356)%branchCT(0:0))
    call avCT(356, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7865])

    allocate(vertices(357)%branchCT(0:1))
    call avCT(357, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8169, nGC_8170])

    call avCT(357, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8171, nGC_8172])

    allocate(vertices(358)%branchCT(0:1))
    call avCT(358, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_7408])

    call avCT(358, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_7407])

    allocate(vertices(1130)%branchCT(0:0))
    call avCT(1130, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5222])

    allocate(vertices(360)%branchCT(0:0))
    call avCT(360, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_8789, nGC_8790])

    allocate(vertices(361)%branchCT(0:0))
    call avCT(361, 0, 8, 1, 0, UaVU0, 0, [0, 3], [nGC_7923])

    allocate(vertices(362)%branchCT(0:0))
    call avCT(362, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_7985])

    allocate(vertices(735)%branchCT(0:0))
    call avCT(735, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7143])

    allocate(vertices(364)%branchCT(0:0))
    call avCT(364, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7865])

    allocate(vertices(379)%branchCT(0:0))
    call avCT(379, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7501])

    allocate(vertices(365)%branchCT(0:0))
    call avCT(365, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_7751])

    allocate(vertices(366)%branchCT(0:0))
    call avCT(366, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7070])

    allocate(vertices(869)%branchCT(0:0))
    call avCT(869, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7255])

    allocate(vertices(368)%branchCT(0:0))
    call avCT(368, 0, 8, 1, 0, UUaV0, 0, [0, 3], [nGC_7514])

    allocate(vertices(369)%branchCT(0:0))
    call avCT(369, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7039])

    allocate(vertices(370)%branchCT(0:1))
    call avCT(370, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_7189, nGC_7190])

    call avCT(370, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_7191, nGC_7192])

    allocate(vertices(371)%branchCT(0:0))
    call avCT(371, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7216])

    allocate(vertices(1410)%branchCT(0:0))
    call avCT(1410, 0, 14, 1, 0, FFa1, 0, [0, 2], [nGC_8836])

    allocate(vertices(372)%branchCT(0:0))
    call avCT(372, 0, 8, 1, 0, UUaV0, 0, [0, 3], [nGC_8471])

    allocate(vertices(373)%branchCT(0:0))
    call avCT(373, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7039])

    allocate(vertices(374)%branchCT(0:0))
    call avCT(374, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_8848, nGC_8848])

    allocate(vertices(1411)%branchCT(0:0))
    call avCT(1411, 0, 14, 1, 0, SS1, 0, [0, 2], [nGC_8854, nGC_8849])

    allocate(vertices(376)%branchCT(0:0))
    call avCT(376, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8129])

    allocate(vertices(1412)%branchCT(0:0))
    call avCT(1412, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_8861])

    allocate(vertices(1046)%branchCT(0:1))
    call avCT(1046, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8021, nGC_8020])

    call avCT(1046, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8023, nGC_8022])

    allocate(vertices(378)%branchCT(0:1))
    call avCT(378, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_8879, nGC_8879])

    call avCT(378, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_8880, nGC_8880])

    allocate(vertices(1413)%branchCT(0:0))
    call avCT(1413, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7180])

    allocate(vertices(380)%branchCT(0:0))
    call avCT(380, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_8287, nGC_8288])

    allocate(vertices(1083)%branchCT(0:0))
    call avCT(1083, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8891])

    allocate(vertices(382)%branchCT(0:0))
    call avCT(382, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_7349])

    allocate(vertices(383)%branchCT(0:0))
    call avCT(383, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_8900, nGC_8900])

    allocate(vertices(1001)%branchCT(0:0))
    call avCT(1001, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_7349])

    allocate(vertices(1014)%branchCT(0:0))
    call avCT(1014, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7314, nGC_7313, nGC_7313&
    ])

    allocate(vertices(386)%branchCT(0:1))
    call avCT(386, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_7272, nGC_7273])

    call avCT(386, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_7264, nGC_7267])

    allocate(vertices(1213)%branchCT(0:1))
    call avCT(1213, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_8491, nGC_8491])

    call avCT(1213, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_8492, nGC_8492])

    allocate(vertices(388)%branchCT(0:0))
    call avCT(388, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_5360])

    allocate(vertices(389)%branchCT(0:0))
    call avCT(389, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7143])

    allocate(vertices(390)%branchCT(0:0))
    call avCT(390, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_7759, nGC_7760])

    allocate(vertices(632)%branchCT(0:1))
    call avCT(632, 0, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_7060, nGC_7061])

    call avCT(632, 1, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_7057, nGC_7053])

    allocate(vertices(391)%branchCT(0:0))
    call avCT(391, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_7611, nGC_7612])

    allocate(vertices(284)%branchCT(0:0))
    call avCT(284, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_7751])

    allocate(vertices(392)%branchCT(0:0))
    call avCT(392, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_7369])

    allocate(vertices(393)%branchCT(0:0))
    call avCT(393, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7124])

    allocate(vertices(394)%branchCT(0:0))
    call avCT(394, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_7046, nGC_7046])

    allocate(vertices(395)%branchCT(0:0))
    call avCT(395, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7050])

    allocate(vertices(396)%branchCT(0:0))
    call avCT(396, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_7276])

    allocate(vertices(397)%branchCT(0:0))
    call avCT(397, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7093])

    allocate(vertices(399)%branchCT(0:0))
    call avCT(399, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7231])

    allocate(vertices(400)%branchCT(0:1))
    call avCT(400, 0, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_8000])

    call avCT(400, 1, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_7999])

    allocate(vertices(966)%branchCT(0:0))
    call avCT(966, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_7031])

    allocate(vertices(1414)%branchCT(0:0))
    call avCT(1414, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_7260])

    allocate(vertices(401)%branchCT(0:0))
    call avCT(401, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_8900, nGC_8900])

    allocate(vertices(402)%branchCT(0:0))
    call avCT(402, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7066])

    allocate(vertices(403)%branchCT(0:1))
    call avCT(403, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_7264, nGC_7267])

    call avCT(403, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_7272, nGC_7273])

    allocate(vertices(404)%branchCT(0:1))
    call avCT(404, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_7190, nGC_7189])

    call avCT(404, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_7192, nGC_7191])

    allocate(vertices(405)%branchCT(0:1))
    call avCT(405, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_7824, nGC_7824])

    call avCT(405, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_7825, nGC_7825])

    allocate(vertices(406)%branchCT(0:0))
    call avCT(406, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_7985])

    allocate(vertices(407)%branchCT(0:0))
    call avCT(407, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7346])

    allocate(vertices(653)%branchCT(0:1))
    call avCT(653, 0, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_7303, nGC_7304])

    call avCT(653, 1, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_7296, nGC_7299])

    allocate(vertices(1165)%branchCT(0:0))
    call avCT(1165, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7143])

    allocate(vertices(411)%branchCT(0:0))
    call avCT(411, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7501])

    allocate(vertices(412)%branchCT(0:0))
    call avCT(412, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_9034])

    allocate(vertices(1219)%branchCT(0:0))
    call avCT(1219, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7346])

    allocate(vertices(414)%branchCT(0:0))
    call avCT(414, 0, 8, 1, 0, UaUV0, 0, [0, 3], [nGC_7514])

    allocate(vertices(1220)%branchCT(0:0))
    call avCT(1220, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_7690, nGC_7691])

    allocate(vertices(904)%branchCT(0:0))
    call avCT(904, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_7369])

    allocate(vertices(417)%branchCT(0:1))
    call avCT(417, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_8000])

    call avCT(417, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_7999])

    allocate(vertices(418)%branchCT(0:0))
    call avCT(418, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7346])

    allocate(vertices(419)%branchCT(0:0))
    call avCT(419, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_7276])

    allocate(vertices(420)%branchCT(0:0))
    call avCT(420, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7077])

    allocate(vertices(421)%branchCT(0:0))
    call avCT(421, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8187])

    allocate(vertices(422)%branchCT(0:0))
    call avCT(422, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_8462, nGC_8462])

    allocate(vertices(423)%branchCT(0:0))
    call avCT(423, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7308])

    allocate(vertices(424)%branchCT(0:0))
    call avCT(424, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7255])

    allocate(vertices(1250)%branchCT(0:0))
    call avCT(1250, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_7276])

    allocate(vertices(426)%branchCT(0:0))
    call avCT(426, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7077])

    allocate(vertices(427)%branchCT(0:0))
    call avCT(427, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7646])

    allocate(vertices(428)%branchCT(0:0))
    call avCT(428, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7093])

    allocate(vertices(429)%branchCT(0:1))
    call avCT(429, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_8000])

    call avCT(429, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_7999])

    allocate(vertices(430)%branchCT(0:0))
    call avCT(430, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7077])

    allocate(vertices(1415)%branchCT(0:0))
    call avCT(1415, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_8861])

    allocate(vertices(772)%branchCT(0:0))
    call avCT(772, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_9099])

    allocate(vertices(433)%branchCT(0:1))
    call avCT(433, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_7738, nGC_7739])

    call avCT(433, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_7729, nGC_7732])

    allocate(vertices(434)%branchCT(0:0))
    call avCT(434, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7642, nGC_7641, nGC_7641])

    allocate(vertices(435)%branchCT(0:1))
    call avCT(435, 0, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_8879, nGC_8879])

    call avCT(435, 1, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_8880, nGC_8880])

    allocate(vertices(436)%branchCT(0:0))
    call avCT(436, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8188])

    allocate(vertices(437)%branchCT(0:0))
    call avCT(437, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_7992, nGC_7992])

    allocate(vertices(1416)%branchCT(0:0))
    call avCT(1416, 0, 14, 1, 0, SS2, 0, [0, 2], [nGC_9132, nGC_9126, nGC_9127])

    allocate(vertices(438)%branchCT(0:0))
    call avCT(438, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7143])

    allocate(vertices(1417)%branchCT(0:0))
    call avCT(1417, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_7260])

    allocate(vertices(440)%branchCT(0:3))
    call avCT(440, 0, 30, 2, 0, VFFa1, 0, [1, 2], [nGC_7129, nGC_7127])

    call avCT(440, 1, 30, 2, 0, VFFa1, 0, [3, 0], [nGC_7131, nGC_7132])

    call avCT(440, 2, 31, 3, 0, VFFa1, 0, [1, 2], [nGC_7129, nGC_7127])

    call avCT(440, 3, 31, 3, 0, VFFa1, 0, [3, 0], [nGC_7131, nGC_7132])

    allocate(vertices(441)%branchCT(0:1))
    call avCT(441, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_7201, nGC_7202])

    call avCT(441, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_7203, nGC_7204])

    allocate(vertices(746)%branchCT(0:0))
    call avCT(746, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5222])

    allocate(vertices(443)%branchCT(0:1))
    call avCT(443, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_9167, nGC_9167])

    call avCT(443, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_9169, nGC_9169])

    allocate(vertices(444)%branchCT(0:0))
    call avCT(444, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

    allocate(vertices(445)%branchCT(0:1))
    call avCT(445, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_7408])

    call avCT(445, 1, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_7407])

    allocate(vertices(446)%branchCT(0:0))
    call avCT(446, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_8287, nGC_8288])

    allocate(vertices(447)%branchCT(0:0))
    call avCT(447, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7143])

    allocate(vertices(448)%branchCT(0:0))
    call avCT(448, 0, 8, 1, 0, UaVU0, 0, [0, 3], [nGC_7514])

    allocate(vertices(449)%branchCT(0:0))
    call avCT(449, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_7369])

    allocate(vertices(450)%branchCT(0:0))
    call avCT(450, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_7088])

    allocate(vertices(451)%branchCT(0:0))
    call avCT(451, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_7035])

    allocate(vertices(452)%branchCT(0:0))
    call avCT(452, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7093])

    allocate(vertices(890)%branchCT(0:0))
    call avCT(890, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_7276])

    allocate(vertices(1368)%branchCT(0:0))
    call avCT(1368, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7346])

    allocate(vertices(454)%branchCT(0:0))
    call avCT(454, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7979])

    allocate(vertices(455)%branchCT(0:0))
    call avCT(455, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7066])

    allocate(vertices(65)%branchCT(0:0))
    call avCT(65, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_7031])

    allocate(vertices(457)%branchCT(0:0))
    call avCT(457, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7093])

    allocate(vertices(1418)%branchCT(0:0))
    call avCT(1418, 0, 14, 1, 0, SS0, 0, [0, 2], [nGC_8600])

    allocate(vertices(1079)%branchCT(0:0))
    call avCT(1079, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_8182])

    allocate(vertices(97)%branchCT(0:1))
    call avCT(97, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_7399, nGC_7399])

    call avCT(97, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_7400, nGC_7400])

    allocate(vertices(460)%branchCT(0:0))
    call avCT(460, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_7724])

    allocate(vertices(1419)%branchCT(0:0))
    call avCT(1419, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7180])

    allocate(vertices(461)%branchCT(0:0))
    call avCT(461, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7143])

    allocate(vertices(462)%branchCT(0:0))
    call avCT(462, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_7546])

    allocate(vertices(463)%branchCT(0:0))
    call avCT(463, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7050])

    allocate(vertices(464)%branchCT(0:1))
    call avCT(464, 0, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_7597, nGC_7598])

    call avCT(464, 1, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_7591, nGC_7594])

    allocate(vertices(1015)%branchCT(0:1))
    call avCT(1015, 0, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_9261, nGC_9262])

    call avCT(1015, 1, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_9254, nGC_9257])

    allocate(vertices(465)%branchCT(0:0))
    call avCT(465, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7656, nGC_7655, nGC_7655])

    allocate(vertices(466)%branchCT(0:0))
    call avCT(466, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_7031])

    allocate(vertices(140)%branchCT(0:0))
    call avCT(140, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7066])

    allocate(vertices(146)%branchCT(0:0))
    call avCT(146, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7231])

    allocate(vertices(469)%branchCT(0:1))
    call avCT(469, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_7531, nGC_7532])

    call avCT(469, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_7525, nGC_7528])

    allocate(vertices(470)%branchCT(0:0))
    call avCT(470, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7066])

    allocate(vertices(1258)%branchCT(0:1))
    call avCT(1258, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_9296, nGC_9297])

    call avCT(1258, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_9287, nGC_9290])

    allocate(vertices(1230)%branchCT(0:0))
    call avCT(1230, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8890])

    allocate(vertices(472)%branchCT(0:0))
    call avCT(472, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7374])

    allocate(vertices(978)%branchCT(0:0))
    call avCT(978, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7085, nGC_7084, nGC_7085])

    allocate(vertices(1420)%branchCT(0:0))
    call avCT(1420, 0, 14, 1, 0, SV0, 0, [0, 2], [nGC_9313, nGC_9314])

    allocate(vertices(474)%branchCT(0:0))
    call avCT(474, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_7546])

    allocate(vertices(475)%branchCT(0:1))
    call avCT(475, 0, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_8350, nGC_8351])

    call avCT(475, 1, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_8352, nGC_8353])

    allocate(vertices(476)%branchCT(0:1))
    call avCT(476, 0, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_7408])

    call avCT(476, 1, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_7407])

    allocate(vertices(477)%branchCT(0:3))
    call avCT(477, 0, 26, 2, 0, FVFa0, 0, [1, 2], [nGC_7129, nGC_7127])

    call avCT(477, 1, 26, 2, 0, FVFa0, 0, [3, 0], [nGC_7131, nGC_7132])

    call avCT(477, 2, 27, 3, 0, FVFa0, 0, [1, 2], [nGC_7129, nGC_7127])

    call avCT(477, 3, 27, 3, 0, FVFa0, 0, [3, 0], [nGC_7131, nGC_7132])

    allocate(vertices(874)%branchCT(0:3))
    call avCT(874, 0, 24, 2, 0, FaFV1, 0, [1, 2], [nGC_7099, nGC_7095])

    call avCT(874, 1, 24, 2, 0, FaFV1, 0, [3, 0], [nGC_7102, nGC_7103])

    call avCT(874, 2, 25, 3, 0, FaFV1, 0, [1, 2], [nGC_7099, nGC_7095])

    call avCT(874, 3, 25, 3, 0, FaFV1, 0, [3, 0], [nGC_7102, nGC_7103])

    allocate(vertices(31)%branchCT(0:1))
    call avCT(31, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8170, nGC_8169])

    call avCT(31, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8172, nGC_8171])

    allocate(vertices(479)%branchCT(0:0))
    call avCT(479, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7028])

    allocate(vertices(480)%branchCT(0:0))
    call avCT(480, 0, 8, 1, 0, UVUa0, 0, [0, 3], [nGC_7923])

    allocate(vertices(1421)%branchCT(0:0))
    call avCT(1421, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7180])

    allocate(vertices(527)%branchCT(0:0))
    call avCT(527, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7093])

    allocate(vertices(483)%branchCT(0:0))
    call avCT(483, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8037])

    allocate(vertices(528)%branchCT(0:0))
    call avCT(528, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_8182])

    allocate(vertices(485)%branchCT(0:0))
    call avCT(485, 0, 8, 1, 0, UUaV0, 0, [0, 3], [nGC_7506])

    allocate(vertices(486)%branchCT(0:0))
    call avCT(486, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7066])

    allocate(vertices(487)%branchCT(0:0))
    call avCT(487, 0, 8, 1, 0, UaVU0, 0, [0, 3], [nGC_7626])

    allocate(vertices(488)%branchCT(0:0))
    call avCT(488, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7028])

    allocate(vertices(489)%branchCT(0:0))
    call avCT(489, 0, 8, 1, 0, VUaU0, 0, [0, 3], [nGC_8471])

    allocate(vertices(490)%branchCT(0:0))
    call avCT(490, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7880])

    allocate(vertices(491)%branchCT(0:0))
    call avCT(491, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_7088])

    allocate(vertices(492)%branchCT(0:0))
    call avCT(492, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_9398])

    allocate(vertices(1422)%branchCT(0:0))
    call avCT(1422, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_8861])

    allocate(vertices(493)%branchCT(0:0))
    call avCT(493, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7039])

    allocate(vertices(1423)%branchCT(0:0))
    call avCT(1423, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_8861])

    allocate(vertices(494)%branchCT(0:1))
    call avCT(494, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_7226, nGC_7226])

    call avCT(494, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_7227, nGC_7227])

    allocate(vertices(307)%branchCT(0:0))
    call avCT(307, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7039])

    allocate(vertices(1424)%branchCT(0:1))
    call avCT(1424, 0, 42, 1, 0, FaF1, 0, [0, 2], [nGC_9425, nGC_9421, nGC_9428&
    , nGC_9428])

    call avCT(1424, 1, 42, 1, 0, FaF1, 0, [2, 0], [nGC_9426, nGC_9422, nGC_9429&
    , nGC_9429])

    allocate(vertices(289)%branchCT(0:1))
    call avCT(289, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_7241, nGC_7242])

    call avCT(289, 1, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_7234, nGC_7237])

    allocate(vertices(511)%branchCT(0:0))
    call avCT(511, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8037])

    allocate(vertices(500)%branchCT(0:1))
    call avCT(500, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_9448, nGC_9448])

    call avCT(500, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_9450, nGC_9450])

    allocate(vertices(1235)%branchCT(0:0))
    call avCT(1235, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_7421, nGC_7422])

    allocate(vertices(502)%branchCT(0:1))
    call avCT(502, 0, 40, 4, 0, VUUa0, 0, [3, 0], [nGC_7147])

    call avCT(502, 1, 41, 5, 0, VUUa0, 0, [3, 0], [nGC_7147])

    allocate(vertices(78)%branchCT(0:3))
    call avCT(78, 0, 26, 2, 0, FVFa0, 0, [1, 2], [nGC_7472, nGC_7474])

    call avCT(78, 1, 26, 2, 0, FVFa0, 0, [3, 0], [nGC_7476, nGC_7477])

    call avCT(78, 2, 27, 3, 0, FVFa0, 0, [1, 2], [nGC_7472, nGC_7474])

    call avCT(78, 3, 27, 3, 0, FVFa0, 0, [3, 0], [nGC_7476, nGC_7477])

    allocate(vertices(504)%branchCT(0:1))
    call avCT(504, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_7190, nGC_7189])

    call avCT(504, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_7192, nGC_7191])

    allocate(vertices(1260)%branchCT(0:1))
    call avCT(1260, 0, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_7495, nGC_7496])

    call avCT(1260, 1, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_7490, nGC_7485])

    allocate(vertices(505)%branchCT(0:0))
    call avCT(505, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7216])

    allocate(vertices(506)%branchCT(0:0))
    call avCT(506, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_7546])

    allocate(vertices(507)%branchCT(0:0))
    call avCT(507, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7255])

    allocate(vertices(508)%branchCT(0:0))
    call avCT(508, 0, 8, 1, 0, VUUa0, 0, [0, 3], [nGC_7514])

    allocate(vertices(532)%branchCT(0:0))
    call avCT(532, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7346])

    allocate(vertices(510)%branchCT(0:0))
    call avCT(510, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5222])

    allocate(vertices(512)%branchCT(0:0))
    call avCT(512, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7050])

    allocate(vertices(1058)%branchCT(0:0))
    call avCT(1058, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_7035])

    allocate(vertices(513)%branchCT(0:0))
    call avCT(513, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7066])

    allocate(vertices(514)%branchCT(0:0))
    call avCT(514, 0, 8, 1, 0, UUaS0, 0, [0, 3], [nGC_7521])

    allocate(vertices(515)%branchCT(0:0))
    call avCT(515, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_7546])

    allocate(vertices(310)%branchCT(0:0))
    call avCT(310, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7313, nGC_7314, nGC_7313])

    allocate(vertices(516)%branchCT(0:0))
    call avCT(516, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7066])

    allocate(vertices(517)%branchCT(0:1))
    call avCT(517, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_7318])

    call avCT(517, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_7317])

    allocate(vertices(518)%branchCT(0:0))
    call avCT(518, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7231])

    allocate(vertices(519)%branchCT(0:1))
    call avCT(519, 0, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_7119, nGC_7119])

    call avCT(519, 1, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_7120, nGC_7120])

    allocate(vertices(520)%branchCT(0:0))
    call avCT(520, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_5362])

    allocate(vertices(521)%branchCT(0:0))
    call avCT(521, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7378])

    allocate(vertices(522)%branchCT(0:0))
    call avCT(522, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7346])

    allocate(vertices(523)%branchCT(0:0))
    call avCT(523, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7865])

    allocate(vertices(524)%branchCT(0:0))
    call avCT(524, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

    allocate(vertices(525)%branchCT(0:0))
    call avCT(525, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_7046, nGC_7046])

    allocate(vertices(526)%branchCT(0:0))
    call avCT(526, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_8120, nGC_8121])

    allocate(vertices(482)%branchCT(0:0))
    call avCT(482, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7216])

    allocate(vertices(484)%branchCT(0:1))
    call avCT(484, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_7241, nGC_7242])

    call avCT(484, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_7234, nGC_7237])

    allocate(vertices(529)%branchCT(0:0))
    call avCT(529, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_7046, nGC_7046])

    allocate(vertices(530)%branchCT(0:0))
    call avCT(530, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7143])

    allocate(vertices(531)%branchCT(0:0))
    call avCT(531, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_8462, nGC_8462])

    allocate(vertices(509)%branchCT(0:0))
    call avCT(509, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7865])

    allocate(vertices(533)%branchCT(0:1))
    call avCT(533, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_7202, nGC_7201])

    call avCT(533, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_7204, nGC_7203])

    allocate(vertices(534)%branchCT(0:0))
    call avCT(534, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7656, nGC_7655, nGC_7655])

    allocate(vertices(535)%branchCT(0:0))
    call avCT(535, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_8789, nGC_8790])

    allocate(vertices(537)%branchCT(0:0))
    call avCT(537, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8298])

    allocate(vertices(536)%branchCT(0:1))
    call avCT(536, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8170, nGC_8169])

    call avCT(536, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8172, nGC_8171])

    allocate(vertices(538)%branchCT(0:1))
    call avCT(538, 0, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_8224, nGC_8224])

    call avCT(538, 1, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_8225, nGC_8225])

    allocate(vertices(539)%branchCT(0:0))
    call avCT(539, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_9398])

    allocate(vertices(540)%branchCT(0:0))
    call avCT(540, 0, 8, 1, 0, UVUa0, 0, [0, 3], [nGC_7855])

    allocate(vertices(541)%branchCT(0:0))
    call avCT(541, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7039])

    allocate(vertices(542)%branchCT(0:1))
    call avCT(542, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_7202, nGC_7201])

    call avCT(542, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_7204, nGC_7203])

    allocate(vertices(543)%branchCT(0:0))
    call avCT(543, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_7046, nGC_7046])

    allocate(vertices(544)%branchCT(0:0))
    call avCT(544, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7176])

    allocate(vertices(545)%branchCT(0:0))
    call avCT(545, 0, 8, 1, 0, UaVU0, 0, [0, 3], [nGC_8471])

    allocate(vertices(546)%branchCT(0:0))
    call avCT(546, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7066])

    allocate(vertices(547)%branchCT(0:3))
    call avCT(547, 0, 30, 2, 0, VFFa1, 0, [1, 2], [nGC_7099, nGC_7095])

    call avCT(547, 1, 30, 2, 0, VFFa1, 0, [3, 0], [nGC_7102, nGC_7103])

    call avCT(547, 2, 31, 3, 0, VFFa1, 0, [1, 2], [nGC_7099, nGC_7095])

    call avCT(547, 3, 31, 3, 0, VFFa1, 0, [3, 0], [nGC_7102, nGC_7103])

    allocate(vertices(548)%branchCT(0:3))
    call avCT(548, 0, 26, 2, 0, FVFa0, 0, [1, 2], [nGC_9679, nGC_9681])

    call avCT(548, 1, 26, 2, 0, FVFa0, 0, [3, 0], [nGC_9683, nGC_9684])

    call avCT(548, 2, 27, 3, 0, FVFa0, 0, [1, 2], [nGC_9679, nGC_9681])

    call avCT(548, 3, 27, 3, 0, FVFa0, 0, [3, 0], [nGC_9683, nGC_9684])

    allocate(vertices(657)%branchCT(0:0))
    call avCT(657, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8890])

    allocate(vertices(550)%branchCT(0:0))
    call avCT(550, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7085, nGC_7085, nGC_7084])

    allocate(vertices(359)%branchCT(0:0))
    call avCT(359, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7255])

    allocate(vertices(551)%branchCT(0:0))
    call avCT(551, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7050])

    allocate(vertices(552)%branchCT(0:1))
    call avCT(552, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_7291, nGC_7291])

    call avCT(552, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_7292, nGC_7292])

    allocate(vertices(553)%branchCT(0:0))
    call avCT(553, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7216])

    allocate(vertices(554)%branchCT(0:1))
    call avCT(554, 0, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_8021, nGC_8020])

    call avCT(554, 1, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_8023, nGC_8022])

    allocate(vertices(555)%branchCT(0:0))
    call avCT(555, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7028])

    allocate(vertices(642)%branchCT(0:0))
    call avCT(642, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_7259])

    allocate(vertices(557)%branchCT(0:0))
    call avCT(557, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7346])

    allocate(vertices(658)%branchCT(0:0))
    call avCT(658, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5223])

    allocate(vertices(709)%branchCT(0:0))
    call avCT(709, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7066])

    allocate(vertices(559)%branchCT(0:0))
    call avCT(559, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7066])

    allocate(vertices(560)%branchCT(0:0))
    call avCT(560, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_7724])

    allocate(vertices(561)%branchCT(0:0))
    call avCT(561, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_7602])

    allocate(vertices(562)%branchCT(0:1))
    call avCT(562, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_8170, nGC_8169])

    call avCT(562, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_8172, nGC_8171])

    allocate(vertices(79)%branchCT(0:1))
    call avCT(79, 0, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_7169, nGC_7170])

    call avCT(79, 1, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_7166, nGC_7162])

    allocate(vertices(564)%branchCT(0:0))
    call avCT(564, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7039])

    allocate(vertices(565)%branchCT(0:1))
    call avCT(565, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_7560, nGC_7559])

    call avCT(565, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_7562, nGC_7561])

    allocate(vertices(566)%branchCT(0:1))
    call avCT(566, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_9169, nGC_9169])

    call avCT(566, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_9167, nGC_9167])

    allocate(vertices(567)%branchCT(0:0))
    call avCT(567, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_7031])

    allocate(vertices(568)%branchCT(0:0))
    call avCT(568, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7077])

    allocate(vertices(569)%branchCT(0:0))
    call avCT(569, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_5360])

    allocate(vertices(790)%branchCT(0:1))
    call avCT(790, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_9450, nGC_9450])

    call avCT(790, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_9448, nGC_9448])

    allocate(vertices(1296)%branchCT(0:1))
    call avCT(1296, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_7597, nGC_7598])

    call avCT(1296, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_7591, nGC_7594])

    allocate(vertices(1425)%branchCT(0:1))
    call avCT(1425, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_9813, nGC_9805, nGC_9816&
    , nGC_9816])

    call avCT(1425, 1, 13, 1, 0, FFa0, 0, [2, 0], [nGC_9814, nGC_9806, nGC_9817&
    , nGC_9817])

    allocate(vertices(571)%branchCT(0:0))
    call avCT(571, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7085, nGC_7085, nGC_7084])

    allocate(vertices(572)%branchCT(0:1))
    call avCT(572, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_7408])

    call avCT(572, 1, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_7407])

    allocate(vertices(573)%branchCT(0:0))
    call avCT(573, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7378])

    allocate(vertices(627)%branchCT(0:0))
    call avCT(627, 0, 8, 1, 0, VUaU0, 0, [0, 3], [nGC_7506])

    allocate(vertices(574)%branchCT(0:0))
    call avCT(574, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7216])

    allocate(vertices(575)%branchCT(0:0))
    call avCT(575, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_8067])

    allocate(vertices(1426)%branchCT(0:1))
    call avCT(1426, 0, 42, 1, 0, FaF1, 0, [0, 2], [nGC_9813, nGC_9805, nGC_9816&
    , nGC_9816])

    call avCT(1426, 1, 42, 1, 0, FaF1, 0, [2, 0], [nGC_9814, nGC_9806, nGC_9817&
    , nGC_9817])

    allocate(vertices(1343)%branchCT(0:0))
    call avCT(1343, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7346])

    allocate(vertices(1427)%branchCT(0:0))
    call avCT(1427, 0, 14, 1, 0, VS0, 0, [0, 2], [nGC_9856, nGC_9857])

    allocate(vertices(1117)%branchCT(0:0))
    call avCT(1117, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_8848, nGC_8848])

    allocate(vertices(801)%branchCT(0:0))
    call avCT(801, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7093])

    allocate(vertices(1428)%branchCT(0:0))
    call avCT(1428, 0, 14, 1, 0, VV2, 0, [0, 2], [nGC_9873, nGC_9867, nGC_9872])

    allocate(vertices(580)%branchCT(0:0))
    call avCT(580, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7216])

    allocate(vertices(581)%branchCT(0:0))
    call avCT(581, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7085, nGC_7085, nGC_7084])

    allocate(vertices(1429)%branchCT(0:0))
    call avCT(1429, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_9883])

    allocate(vertices(582)%branchCT(0:0))
    call avCT(582, 0, 8, 1, 0, SUaU0, 0, [0, 3], [nGC_5360])

    allocate(vertices(583)%branchCT(0:0))
    call avCT(583, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7655, nGC_7655, nGC_7656])

    allocate(vertices(584)%branchCT(0:0))
    call avCT(584, 0, 8, 1, 0, FFaS2, 0, [0, 3], [nGC_7724])

    allocate(vertices(652)%branchCT(0:0))
    call avCT(652, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7066])

    allocate(vertices(1249)%branchCT(0:0))
    call avCT(1249, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7070])

    allocate(vertices(1430)%branchCT(0:0))
    call avCT(1430, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_7260])

    allocate(vertices(587)%branchCT(0:0))
    call avCT(587, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7050])

    allocate(vertices(588)%branchCT(0:0))
    call avCT(588, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_7451])

    allocate(vertices(589)%branchCT(0:0))
    call avCT(589, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7865])

    allocate(vertices(590)%branchCT(0:0))
    call avCT(590, 0, 8, 1, 0, VUUa0, 0, [0, 3], [nGC_7514])

    allocate(vertices(591)%branchCT(0:0))
    call avCT(591, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_8462, nGC_8462])

    allocate(vertices(592)%branchCT(0:0))
    call avCT(592, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5223])

    allocate(vertices(593)%branchCT(0:0))
    call avCT(593, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7346])

    allocate(vertices(594)%branchCT(0:0))
    call avCT(594, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_7035])

    allocate(vertices(595)%branchCT(0:0))
    call avCT(595, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_7724])

    allocate(vertices(596)%branchCT(0:0))
    call avCT(596, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8038])

    allocate(vertices(597)%branchCT(0:0))
    call avCT(597, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7501])

    allocate(vertices(598)%branchCT(0:0))
    call avCT(598, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7313, nGC_7313, nGC_7314])

    allocate(vertices(600)%branchCT(0:0))
    call avCT(600, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7308])

    allocate(vertices(601)%branchCT(0:0))
    call avCT(601, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_8338, nGC_8337])

    allocate(vertices(602)%branchCT(0:0))
    call avCT(602, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_9033])

    allocate(vertices(603)%branchCT(0:0))
    call avCT(603, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7028])

    allocate(vertices(604)%branchCT(0:0))
    call avCT(604, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7255])

    allocate(vertices(327)%branchCT(0:0))
    call avCT(327, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7124])

    allocate(vertices(606)%branchCT(0:0))
    call avCT(606, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_9954])

    allocate(vertices(607)%branchCT(0:0))
    call avCT(607, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7231])

    allocate(vertices(608)%branchCT(0:1))
    call avCT(608, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_7291, nGC_7291])

    call avCT(608, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_7292, nGC_7292])

    allocate(vertices(609)%branchCT(0:0))
    call avCT(609, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7050])

    allocate(vertices(610)%branchCT(0:0))
    call avCT(610, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_7421, nGC_7422])

    allocate(vertices(558)%branchCT(0:0))
    call avCT(558, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_7611, nGC_7612])

    allocate(vertices(611)%branchCT(0:0))
    call avCT(611, 0, 8, 1, 0, UaUV0, 0, [0, 3], [nGC_7626])

    allocate(vertices(612)%branchCT(0:0))
    call avCT(612, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_5362])

    allocate(vertices(613)%branchCT(0:1))
    call avCT(613, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8491, nGC_8491])

    call avCT(613, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8492, nGC_8492])

    allocate(vertices(1431)%branchCT(0:0))
    call avCT(1431, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7180])

    allocate(vertices(1038)%branchCT(0:0))
    call avCT(1038, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7070])

    allocate(vertices(616)%branchCT(0:0))
    call avCT(616, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_8120, nGC_8121])

    allocate(vertices(617)%branchCT(0:0))
    call avCT(617, 0, 8, 1, 0, UVUa0, 0, [0, 3], [nGC_7514])

    allocate(vertices(180)%branchCT(0:0))
    call avCT(180, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7346])

    allocate(vertices(619)%branchCT(0:0))
    call avCT(619, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_9954])

    allocate(vertices(620)%branchCT(0:0))
    call avCT(620, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7085, nGC_7084, nGC_7085])

    allocate(vertices(621)%branchCT(0:1))
    call avCT(621, 0, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_7169, nGC_7170])

    call avCT(621, 1, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_7166, nGC_7162])

    allocate(vertices(622)%branchCT(0:0))
    call avCT(622, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7050])

    allocate(vertices(835)%branchCT(0:0))
    call avCT(835, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7066])

    allocate(vertices(624)%branchCT(0:1))
    call avCT(624, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8169, nGC_8170])

    call avCT(624, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8171, nGC_8172])

    allocate(vertices(821)%branchCT(0:1))
    call avCT(821, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_7318])

    call avCT(821, 1, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_7317])

    allocate(vertices(625)%branchCT(0:0))
    call avCT(625, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7655, nGC_7656, nGC_7655])

    allocate(vertices(626)%branchCT(0:0))
    call avCT(626, 0, 8, 1, 0, SUaU0, 0, [0, 3], [nGC_5356])

    allocate(vertices(182)%branchCT(0:0))
    call avCT(182, 0, 8, 1, 0, VUUa0, 0, [0, 3], [nGC_7626])

    allocate(vertices(628)%branchCT(0:0))
    call avCT(628, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_8848, nGC_8848])

    allocate(vertices(629)%branchCT(0:0))
    call avCT(629, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8188])

    allocate(vertices(630)%branchCT(0:0))
    call avCT(630, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7143])

    allocate(vertices(1432)%branchCT(0:0))
    call avCT(1432, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_7260])

    allocate(vertices(631)%branchCT(0:0))
    call avCT(631, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_10058])

    allocate(vertices(252)%branchCT(0:1))
    call avCT(252, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_7597, nGC_7598])

    call avCT(252, 1, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_7591, nGC_7594])

    allocate(vertices(633)%branchCT(0:0))
    call avCT(633, 0, 8, 1, 0, UUaS0, 0, [0, 3], [nGC_5362])

    allocate(vertices(634)%branchCT(0:0))
    call avCT(634, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7501])

    allocate(vertices(635)%branchCT(0:0))
    call avCT(635, 0, 8, 1, 0, SUaU0, 0, [0, 3], [nGC_7919])

    allocate(vertices(1193)%branchCT(0:3))
    call avCT(1193, 0, 22, 2, 0, FaVF1, 0, [1, 2], [nGC_7099, nGC_7095])

    call avCT(1193, 1, 22, 2, 0, FaVF1, 0, [3, 0], [nGC_7102, nGC_7103])

    call avCT(1193, 2, 23, 3, 0, FaVF1, 0, [1, 2], [nGC_7099, nGC_7095])

    call avCT(1193, 3, 23, 3, 0, FaVF1, 0, [3, 0], [nGC_7102, nGC_7103])

    allocate(vertices(636)%branchCT(0:1))
    call avCT(636, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_7318])

    call avCT(636, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_7317])

    allocate(vertices(777)%branchCT(0:0))
    call avCT(777, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_5363])

    allocate(vertices(1198)%branchCT(0:0))
    call avCT(1198, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7143])

    allocate(vertices(640)%branchCT(0:1))
    call avCT(640, 0, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_7490, nGC_7485])

    call avCT(640, 1, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_7495, nGC_7496])

    allocate(vertices(641)%branchCT(0:1))
    call avCT(641, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_7560, nGC_7559])

    call avCT(641, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_7562, nGC_7561])

    allocate(vertices(556)%branchCT(0:1))
    call avCT(556, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_9169, nGC_9169])

    call avCT(556, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_9167, nGC_9167])

    allocate(vertices(643)%branchCT(0:3))
    call avCT(643, 0, 30, 2, 0, VFFa1, 0, [1, 2], [nGC_8753, nGC_8751])

    call avCT(643, 1, 30, 2, 0, VFFa1, 0, [3, 0], [nGC_8755, nGC_8756])

    call avCT(643, 2, 31, 3, 0, VFFa1, 0, [1, 2], [nGC_8753, nGC_8751])

    call avCT(643, 3, 31, 3, 0, VFFa1, 0, [3, 0], [nGC_8755, nGC_8756])

    allocate(vertices(644)%branchCT(0:0))
    call avCT(644, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7143])

    allocate(vertices(645)%branchCT(0:0))
    call avCT(645, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7143])

    allocate(vertices(646)%branchCT(0:0))
    call avCT(646, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_10143, nGC_10142])

    allocate(vertices(647)%branchCT(0:0))
    call avCT(647, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7255])

    allocate(vertices(648)%branchCT(0:0))
    call avCT(648, 0, 8, 1, 0, FaSF2, 0, [0, 3], [nGC_7349])

    allocate(vertices(1433)%branchCT(0:0))
    call avCT(1433, 0, 14, 1, 0, VV3, 0, [0, 2], [nGC_10156, nGC_10150,        &
    nGC_10155])

    allocate(vertices(650)%branchCT(0:3))
    call avCT(650, 0, 11, 2, 0, FFaV1, 0, [1, 2], [nGC_9679, nGC_9681])

    call avCT(650, 1, 11, 2, 0, FFaV1, 0, [3, 0], [nGC_9683, nGC_9684])

    call avCT(650, 2, 12, 3, 0, FFaV1, 0, [1, 2], [nGC_9679, nGC_9681])

    call avCT(650, 3, 12, 3, 0, FFaV1, 0, [3, 0], [nGC_9683, nGC_9684])

    allocate(vertices(683)%branchCT(0:1))
    call avCT(683, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_10178, nGC_10178])

    call avCT(683, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_10179, nGC_10179])

    allocate(vertices(1376)%branchCT(0:0))
    call avCT(1376, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7865])

    allocate(vertices(1434)%branchCT(0:0))
    call avCT(1434, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_8861])

    allocate(vertices(415)%branchCT(0:0))
    call avCT(415, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_7659])

    allocate(vertices(781)%branchCT(0:0))
    call avCT(781, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_7276])

    allocate(vertices(655)%branchCT(0:1))
    call avCT(655, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_7189, nGC_7190])

    call avCT(655, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_7191, nGC_7192])

    allocate(vertices(335)%branchCT(0:1))
    call avCT(335, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_8350, nGC_8351])

    call avCT(335, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_8352, nGC_8353])

    allocate(vertices(659)%branchCT(0:0))
    call avCT(659, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_7088])

    allocate(vertices(660)%branchCT(0:1))
    call avCT(660, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_7913, nGC_7912])

    call avCT(660, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_7915, nGC_7914])

    allocate(vertices(94)%branchCT(0:1))
    call avCT(94, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8224, nGC_8224])

    call avCT(94, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8225, nGC_8225])

    allocate(vertices(661)%branchCT(0:0))
    call avCT(661, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7641, nGC_7641, nGC_7642])

    allocate(vertices(662)%branchCT(0:1))
    call avCT(662, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_8170, nGC_8169])

    call avCT(662, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_8172, nGC_8171])

    allocate(vertices(1435)%branchCT(0:0))
    call avCT(1435, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_10232])

    allocate(vertices(664)%branchCT(0:0))
    call avCT(664, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_7035])

    allocate(vertices(1334)%branchCT(0:0))
    call avCT(1334, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7093])

    allocate(vertices(1369)%branchCT(0:0))
    call avCT(1369, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7255])

    allocate(vertices(666)%branchCT(0:1))
    call avCT(666, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_10251, nGC_10252])

    call avCT(666, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_10253, nGC_10254])

    allocate(vertices(667)%branchCT(0:0))
    call avCT(667, 0, 8, 1, 0, VUUa0, 0, [0, 3], [nGC_7923])

    allocate(vertices(668)%branchCT(0:0))
    call avCT(668, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_9033])

    allocate(vertices(669)%branchCT(0:0))
    call avCT(669, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7646])

    allocate(vertices(1436)%branchCT(0:0))
    call avCT(1436, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7171])

    allocate(vertices(670)%branchCT(0:0))
    call avCT(670, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_5360])

    allocate(vertices(671)%branchCT(0:0))
    call avCT(671, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7346])

    allocate(vertices(672)%branchCT(0:0))
    call avCT(672, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7077])

    allocate(vertices(409)%branchCT(0:0))
    call avCT(409, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_8789, nGC_8790])

    allocate(vertices(674)%branchCT(0:0))
    call avCT(674, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_7035])

    allocate(vertices(675)%branchCT(0:0))
    call avCT(675, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7085, nGC_7085, nGC_7084])

    allocate(vertices(676)%branchCT(0:0))
    call avCT(676, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7255])

    allocate(vertices(1437)%branchCT(0:0))
    call avCT(1437, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_8861])

    allocate(vertices(36)%branchCT(0:0))
    call avCT(36, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7093])

    allocate(vertices(820)%branchCT(0:0))
    call avCT(820, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_9398])

    allocate(vertices(680)%branchCT(0:0))
    call avCT(680, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_5363])

    allocate(vertices(783)%branchCT(0:0))
    call avCT(783, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_7985])

    allocate(vertices(1123)%branchCT(0:0))
    call avCT(1123, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7039])

    allocate(vertices(681)%branchCT(0:1))
    call avCT(681, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_7227, nGC_7227])

    call avCT(681, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_7226, nGC_7226])

    allocate(vertices(682)%branchCT(0:0))
    call avCT(682, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7865])

    allocate(vertices(651)%branchCT(0:0))
    call avCT(651, 0, 8, 1, 0, UVUa0, 0, [0, 3], [nGC_7626])

    allocate(vertices(684)%branchCT(0:0))
    call avCT(684, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7255])

    allocate(vertices(685)%branchCT(0:1))
    call avCT(685, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_7849, nGC_7850])

    call avCT(685, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_7846, nGC_7843])

    allocate(vertices(686)%branchCT(0:0))
    call avCT(686, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7143])

    allocate(vertices(1438)%branchCT(0:0))
    call avCT(1438, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_8861])

    allocate(vertices(688)%branchCT(0:0))
    call avCT(688, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7216])

    allocate(vertices(689)%branchCT(0:0))
    call avCT(689, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8298])

    allocate(vertices(690)%branchCT(0:0))
    call avCT(690, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7093])

    allocate(vertices(691)%branchCT(0:0))
    call avCT(691, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_7467])

    allocate(vertices(692)%branchCT(0:0))
    call avCT(692, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_7467])

    allocate(vertices(1439)%branchCT(0:0))
    call avCT(1439, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7180])

    allocate(vertices(694)%branchCT(0:0))
    call avCT(694, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_9034])

    allocate(vertices(695)%branchCT(0:0))
    call avCT(695, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7050])

    allocate(vertices(1440)%branchCT(0:0))
    call avCT(1440, 0, 14, 1, 0, FFa1, 0, [0, 2], [nGC_7903])

    allocate(vertices(696)%branchCT(0:0))
    call avCT(696, 0, 8, 1, 0, UUaV0, 0, [0, 3], [nGC_7514])

    allocate(vertices(697)%branchCT(0:0))
    call avCT(697, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7093])

    allocate(vertices(698)%branchCT(0:0))
    call avCT(698, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7404])

    allocate(vertices(699)%branchCT(0:1))
    call avCT(699, 0, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_7318])

    call avCT(699, 1, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_7317])

    allocate(vertices(700)%branchCT(0:0))
    call avCT(700, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7865])

    allocate(vertices(701)%branchCT(0:1))
    call avCT(701, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_7597, nGC_7598])

    call avCT(701, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_7591, nGC_7594])

    allocate(vertices(702)%branchCT(0:0))
    call avCT(702, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7255])

    allocate(vertices(703)%branchCT(0:0))
    call avCT(703, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7308])

    allocate(vertices(704)%branchCT(0:0))
    call avCT(704, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_7690, nGC_7691])

    allocate(vertices(1441)%branchCT(0:0))
    call avCT(1441, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7171])

    allocate(vertices(165)%branchCT(0:0))
    call avCT(165, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7066])

    allocate(vertices(707)%branchCT(0:1))
    call avCT(707, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_7560, nGC_7559])

    call avCT(707, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_7562, nGC_7561])

    allocate(vertices(708)%branchCT(0:0))
    call avCT(708, 0, 8, 1, 0, UaUV0, 0, [0, 3], [nGC_7514])

    allocate(vertices(14)%branchCT(0:0))
    call avCT(14, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7124])

    allocate(vertices(710)%branchCT(0:0))
    call avCT(710, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_7369])

    allocate(vertices(711)%branchCT(0:0))
    call avCT(711, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7084, nGC_7085, nGC_7085])

    allocate(vertices(1442)%branchCT(0:0))
    call avCT(1442, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7171])

    allocate(vertices(712)%branchCT(0:0))
    call avCT(712, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_7421, nGC_7422])

    allocate(vertices(713)%branchCT(0:0))
    call avCT(713, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7255])

    allocate(vertices(714)%branchCT(0:1))
    call avCT(714, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_9287, nGC_9290])

    call avCT(714, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_9296, nGC_9297])

    allocate(vertices(1443)%branchCT(0:0))
    call avCT(1443, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_10232])

    allocate(vertices(716)%branchCT(0:0))
    call avCT(716, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7070])

    allocate(vertices(456)%branchCT(0:0))
    call avCT(456, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_7031])

    allocate(vertices(718)%branchCT(0:0))
    call avCT(718, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8073])

    allocate(vertices(719)%branchCT(0:0))
    call avCT(719, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7143])

    allocate(vertices(720)%branchCT(0:1))
    call avCT(720, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_7189, nGC_7190])

    call avCT(720, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_7191, nGC_7192])

    allocate(vertices(721)%branchCT(0:0))
    call avCT(721, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7255])

    allocate(vertices(570)%branchCT(0:0))
    call avCT(570, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7028])

    allocate(vertices(264)%branchCT(0:0))
    call avCT(264, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7404])

    allocate(vertices(724)%branchCT(0:0))
    call avCT(724, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_7369])

    allocate(vertices(791)%branchCT(0:0))
    call avCT(791, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7093])

    allocate(vertices(1444)%branchCT(0:0))
    call avCT(1444, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_7260])

    allocate(vertices(90)%branchCT(0:0))
    call avCT(90, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_10143, nGC_10142])

    allocate(vertices(727)%branchCT(0:0))
    call avCT(727, 0, 8, 1, 0, VUaU0, 0, [0, 3], [nGC_7626])

    allocate(vertices(1445)%branchCT(0:1))
    call avCT(1445, 0, 42, 1, 0, FaF1, 0, [0, 2], [nGC_10496, nGC_10492,       &
    nGC_10499, nGC_10499])

    call avCT(1445, 1, 42, 1, 0, FaF1, 0, [2, 0], [nGC_10497, nGC_10493,       &
    nGC_10500, nGC_10500])

    allocate(vertices(297)%branchCT(0:0))
    call avCT(297, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7066])

    allocate(vertices(729)%branchCT(0:1))
    call avCT(729, 0, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_10251, nGC_10252])

    call avCT(729, 1, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_10253, nGC_10254])

    allocate(vertices(471)%branchCT(0:0))
    call avCT(471, 0, 8, 1, 0, SFaF1, 0, [0, 3], [nGC_7724])

    allocate(vertices(225)%branchCT(0:1))
    call avCT(225, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_7296, nGC_7299])

    call avCT(225, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_7303, nGC_7304])

    allocate(vertices(731)%branchCT(0:0))
    call avCT(731, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7346])

    allocate(vertices(1362)%branchCT(0:0))
    call avCT(1362, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_7861])

    allocate(vertices(334)%branchCT(0:0))
    call avCT(334, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7143])

    allocate(vertices(733)%branchCT(0:1))
    call avCT(733, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_7272, nGC_7273])

    call avCT(733, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_7264, nGC_7267])

    allocate(vertices(734)%branchCT(0:1))
    call avCT(734, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_7340, nGC_7341])

    call avCT(734, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_7342, nGC_7343])

    allocate(vertices(706)%branchCT(0:0))
    call avCT(706, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7143])

    allocate(vertices(363)%branchCT(0:0))
    call avCT(363, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7143])

    allocate(vertices(736)%branchCT(0:0))
    call avCT(736, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5223])

    allocate(vertices(1332)%branchCT(0:0))
    call avCT(1332, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_9398])

    allocate(vertices(737)%branchCT(0:0))
    call avCT(737, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7143])

    allocate(vertices(738)%branchCT(0:0))
    call avCT(738, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_7546])

    allocate(vertices(739)%branchCT(0:0))
    call avCT(739, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_7659])

    allocate(vertices(740)%branchCT(0:0))
    call avCT(740, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7255])

    allocate(vertices(741)%branchCT(0:0))
    call avCT(741, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7143])

    allocate(vertices(742)%branchCT(0:0))
    call avCT(742, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8187])

    allocate(vertices(743)%branchCT(0:0))
    call avCT(743, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_9099])

    allocate(vertices(1446)%branchCT(0:0))
    call avCT(1446, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_10232])

    allocate(vertices(865)%branchCT(0:0))
    call avCT(865, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7216])

    allocate(vertices(745)%branchCT(0:0))
    call avCT(745, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7231])

    allocate(vertices(442)%branchCT(0:0))
    call avCT(442, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7077])

    allocate(vertices(747)%branchCT(0:0))
    call avCT(747, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8298])

    allocate(vertices(748)%branchCT(0:0))
    call avCT(748, 0, 8, 1, 0, SUaU0, 0, [0, 3], [nGC_9954])

    allocate(vertices(749)%branchCT(0:0))
    call avCT(749, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7216])

    allocate(vertices(750)%branchCT(0:0))
    call avCT(750, 0, 8, 1, 0, UaUV0, 0, [0, 3], [nGC_8324])

    allocate(vertices(1447)%branchCT(0:0))
    call avCT(1447, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7409])

    allocate(vertices(752)%branchCT(0:0))
    call avCT(752, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8037])

    allocate(vertices(753)%branchCT(0:0))
    call avCT(753, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7050])

    allocate(vertices(51)%branchCT(0:0))
    call avCT(51, 0, 8, 1, 0, UUaS0, 0, [0, 3], [nGC_5360])

    allocate(vertices(754)%branchCT(0:0))
    call avCT(754, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7070])

    allocate(vertices(1156)%branchCT(0:0))
    call avCT(1156, 0, 8, 1, 0, VUaU0, 0, [0, 3], [nGC_7855])

    allocate(vertices(1448)%branchCT(0:0))
    call avCT(1448, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_10635, nGC_10630,       &
    nGC_10637, nGC_10637])

    allocate(vertices(756)%branchCT(0:0))
    call avCT(756, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_7724])

    allocate(vertices(757)%branchCT(0:0))
    call avCT(757, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7641, nGC_7642, nGC_7641])

    allocate(vertices(758)%branchCT(0:0))
    call avCT(758, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_8182])

    allocate(vertices(496)%branchCT(0:0))
    call avCT(496, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_7724])

    allocate(vertices(350)%branchCT(0:0))
    call avCT(350, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_8789, nGC_8790])

    allocate(vertices(760)%branchCT(0:0))
    call avCT(760, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7050])

    allocate(vertices(761)%branchCT(0:1))
    call avCT(761, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_7169, nGC_7170])

    call avCT(761, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_7166, nGC_7162])

    allocate(vertices(576)%branchCT(0:0))
    call avCT(576, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7313, nGC_7314, nGC_7313])

    allocate(vertices(1449)%branchCT(0:0))
    call avCT(1449, 0, 14, 1, 0, FaF1, 0, [0, 2], [nGC_10635, nGC_10630,       &
    nGC_10637, nGC_10637])

    allocate(vertices(762)%branchCT(0:0))
    call avCT(762, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_5357])

    allocate(vertices(763)%branchCT(0:0))
    call avCT(763, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7255])

    allocate(vertices(1450)%branchCT(0:0))
    call avCT(1450, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_7072])

    allocate(vertices(765)%branchCT(0:0))
    call avCT(765, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7255])

    allocate(vertices(766)%branchCT(0:0))
    call avCT(766, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7646])

    allocate(vertices(767)%branchCT(0:0))
    call avCT(767, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7374])

    allocate(vertices(768)%branchCT(0:0))
    call avCT(768, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_7724])

    allocate(vertices(769)%branchCT(0:0))
    call avCT(769, 0, 8, 1, 0, UaVU0, 0, [0, 3], [nGC_7855])

    allocate(vertices(770)%branchCT(0:0))
    call avCT(770, 0, 8, 1, 0, UVUa0, 0, [0, 3], [nGC_7923])

    allocate(vertices(1359)%branchCT(0:1))
    call avCT(1359, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_7189, nGC_7190])

    call avCT(1359, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_7191, nGC_7192])

    allocate(vertices(1451)%branchCT(0:0))
    call avCT(1451, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_10710, nGC_10705,       &
    nGC_10712, nGC_10712])

    allocate(vertices(771)%branchCT(0:0))
    call avCT(771, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_7985])

    allocate(vertices(637)%branchCT(0:0))
    call avCT(637, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_5356])

    allocate(vertices(798)%branchCT(0:0))
    call avCT(798, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7143])

    allocate(vertices(799)%branchCT(0:3))
    call avCT(799, 0, 22, 2, 0, FaVF1, 0, [1, 2], [nGC_7129, nGC_7127])

    call avCT(799, 1, 22, 2, 0, FaVF1, 0, [3, 0], [nGC_7131, nGC_7132])

    call avCT(799, 2, 23, 3, 0, FaVF1, 0, [1, 2], [nGC_7129, nGC_7127])

    call avCT(799, 3, 23, 3, 0, FaVF1, 0, [3, 0], [nGC_7131, nGC_7132])

    allocate(vertices(351)%branchCT(0:0))
    call avCT(351, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7093])

    allocate(vertices(775)%branchCT(0:0))
    call avCT(775, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_10742])

    allocate(vertices(776)%branchCT(0:0))
    call avCT(776, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7255])

    allocate(vertices(247)%branchCT(0:0))
    call avCT(247, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_7369])

    allocate(vertices(778)%branchCT(0:0))
    call avCT(778, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7124])

    allocate(vertices(779)%branchCT(0:1))
    call avCT(779, 0, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_7824, nGC_7824])

    call avCT(779, 1, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_7825, nGC_7825])

    allocate(vertices(1278)%branchCT(0:0))
    call avCT(1278, 0, 8, 1, 0, VUUa0, 0, [0, 3], [nGC_8471])

    allocate(vertices(259)%branchCT(0:1))
    call avCT(259, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_7849, nGC_7850])

    call avCT(259, 1, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_7846, nGC_7843])

    allocate(vertices(497)%branchCT(0:0))
    call avCT(497, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_8120, nGC_8121])

    allocate(vertices(782)%branchCT(0:3))
    call avCT(782, 0, 26, 2, 0, FVFa0, 0, [1, 2], [nGC_7830, nGC_7826])

    call avCT(782, 1, 26, 2, 0, FVFa0, 0, [3, 0], [nGC_7832, nGC_7833])

    call avCT(782, 2, 27, 3, 0, FVFa0, 0, [1, 2], [nGC_7830, nGC_7826])

    call avCT(782, 3, 27, 3, 0, FVFa0, 0, [3, 0], [nGC_7832, nGC_7833])

    allocate(vertices(623)%branchCT(0:0))
    call avCT(623, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8891])

    allocate(vertices(784)%branchCT(0:1))
    call avCT(784, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_10251, nGC_10252])

    call avCT(784, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_10253, nGC_10254])

    allocate(vertices(353)%branchCT(0:0))
    call avCT(353, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_5357])

    allocate(vertices(786)%branchCT(0:0))
    call avCT(786, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_9099])

    allocate(vertices(1452)%branchCT(0:0))
    call avCT(1452, 0, 14, 1, 0, FFa1, 0, [0, 2], [nGC_10804])

    allocate(vertices(788)%branchCT(0:0))
    call avCT(788, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7374])

    allocate(vertices(789)%branchCT(0:0))
    call avCT(789, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7308])

    allocate(vertices(717)%branchCT(0:0))
    call avCT(717, 0, 8, 1, 0, SUaU0, 0, [0, 3], [nGC_7521])

    allocate(vertices(725)%branchCT(0:0))
    call avCT(725, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7093])

    allocate(vertices(792)%branchCT(0:0))
    call avCT(792, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_8008])

    allocate(vertices(793)%branchCT(0:0))
    call avCT(793, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7346])

    allocate(vertices(1453)%branchCT(0:0))
    call avCT(1453, 0, 14, 1, 0, FaF0, 0, [0, 2], [nGC_10804])

    allocate(vertices(577)%branchCT(0:1))
    call avCT(577, 0, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_9448, nGC_9448])

    call avCT(577, 1, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_9450, nGC_9450])

    allocate(vertices(1257)%branchCT(0:0))
    call avCT(1257, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_7467])

    allocate(vertices(795)%branchCT(0:0))
    call avCT(795, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_5356])

    allocate(vertices(796)%branchCT(0:0))
    call avCT(796, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7346])

    allocate(vertices(797)%branchCT(0:0))
    call avCT(797, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7124])

    allocate(vertices(1454)%branchCT(0:0))
    call avCT(1454, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7171])

    allocate(vertices(773)%branchCT(0:3))
    call avCT(773, 0, 30, 2, 0, VFFa1, 0, [1, 2], [nGC_9679, nGC_9681])

    call avCT(773, 1, 30, 2, 0, VFFa1, 0, [3, 0], [nGC_9683, nGC_9684])

    call avCT(773, 2, 31, 3, 0, VFFa1, 0, [1, 2], [nGC_9679, nGC_9681])

    call avCT(773, 3, 31, 3, 0, VFFa1, 0, [3, 0], [nGC_9683, nGC_9684])

    allocate(vertices(1455)%branchCT(0:0))
    call avCT(1455, 0, 14, 1, 0, SS1, 0, [0, 2], [nGC_10862, nGC_10857])

    allocate(vertices(800)%branchCT(0:1))
    call avCT(800, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_10872, nGC_10872])

    call avCT(800, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_10873, nGC_10873])

    allocate(vertices(578)%branchCT(0:0))
    call avCT(578, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7501])

    allocate(vertices(693)%branchCT(0:0))
    call avCT(693, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7231])

    allocate(vertices(802)%branchCT(0:0))
    call avCT(802, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8298])

    allocate(vertices(803)%branchCT(0:0))
    call avCT(803, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7093])

    allocate(vertices(202)%branchCT(0:0))
    call avCT(202, 0, 8, 1, 0, VUaU0, 0, [0, 3], [nGC_8324])

    allocate(vertices(1456)%branchCT(0:0))
    call avCT(1456, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7409])

    allocate(vertices(805)%branchCT(0:0))
    call avCT(805, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_10143, nGC_10142])

    allocate(vertices(806)%branchCT(0:0))
    call avCT(806, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_7259])

    allocate(vertices(927)%branchCT(0:1))
    call avCT(927, 0, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_7738, nGC_7739])

    call avCT(927, 1, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_7729, nGC_7732])

    allocate(vertices(807)%branchCT(0:0))
    call avCT(807, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7066])

    allocate(vertices(1457)%branchCT(0:0))
    call avCT(1457, 0, 14, 1, 0, SS0, 0, [0, 2], [nGC_8600])

    allocate(vertices(809)%branchCT(0:1))
    call avCT(809, 0, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_7849, nGC_7850])

    call avCT(809, 1, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_7846, nGC_7843])

    allocate(vertices(810)%branchCT(0:0))
    call avCT(810, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7143])

    allocate(vertices(1458)%branchCT(0:0))
    call avCT(1458, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7180])

    allocate(vertices(1459)%branchCT(0:0))
    call avCT(1459, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_7431])

    allocate(vertices(812)%branchCT(0:0))
    call avCT(812, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7501])

    allocate(vertices(813)%branchCT(0:0))
    call avCT(813, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_7259])

    allocate(vertices(814)%branchCT(0:0))
    call avCT(814, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7979])

    allocate(vertices(815)%branchCT(0:0))
    call avCT(815, 0, 8, 1, 0, SUaU0, 0, [0, 3], [nGC_5362])

    allocate(vertices(816)%branchCT(0:0))
    call avCT(816, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_9954])

    allocate(vertices(817)%branchCT(0:1))
    call avCT(817, 0, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_7201, nGC_7202])

    call avCT(817, 1, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_7203, nGC_7204])

    allocate(vertices(1460)%branchCT(0:0))
    call avCT(1460, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_10232])

    allocate(vertices(818)%branchCT(0:0))
    call avCT(818, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_7611, nGC_7612])

    allocate(vertices(1461)%branchCT(0:0))
    call avCT(1461, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_8861])

    allocate(vertices(822)%branchCT(0:1))
    call avCT(822, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_7202, nGC_7201])

    call avCT(822, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_7204, nGC_7203])

    allocate(vertices(823)%branchCT(0:0))
    call avCT(823, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7501])

    allocate(vertices(824)%branchCT(0:1))
    call avCT(824, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_8880, nGC_8880])

    call avCT(824, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_8879, nGC_8879])

    allocate(vertices(825)%branchCT(0:0))
    call avCT(825, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7039])

    allocate(vertices(1326)%branchCT(0:0))
    call avCT(1326, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_8338, nGC_8337])

    allocate(vertices(826)%branchCT(0:0))
    call avCT(826, 0, 8, 1, 0, VUaU0, 0, [0, 3], [nGC_8471])

    allocate(vertices(827)%branchCT(0:0))
    call avCT(827, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7374])

    allocate(vertices(828)%branchCT(0:0))
    call avCT(828, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7066])

    allocate(vertices(829)%branchCT(0:0))
    call avCT(829, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_7992, nGC_7992])

    allocate(vertices(830)%branchCT(0:0))
    call avCT(830, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7346])

    allocate(vertices(1462)%branchCT(0:0))
    call avCT(1462, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_7072])

    allocate(vertices(832)%branchCT(0:0))
    call avCT(832, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_8067])

    allocate(vertices(833)%branchCT(0:0))
    call avCT(833, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7143])

    allocate(vertices(834)%branchCT(0:1))
    call avCT(834, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8879, nGC_8879])

    call avCT(834, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8880, nGC_8880])

    allocate(vertices(1463)%branchCT(0:0))
    call avCT(1463, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7180])

    allocate(vertices(855)%branchCT(0:0))
    call avCT(855, 0, 8, 1, 0, SUaU0, 0, [0, 3], [nGC_7521])

    allocate(vertices(995)%branchCT(0:0))
    call avCT(995, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7176])

    allocate(vertices(1464)%branchCT(0:0))
    call avCT(1464, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_7431])

    allocate(vertices(811)%branchCT(0:0))
    call avCT(811, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_5356])

    allocate(vertices(839)%branchCT(0:0))
    call avCT(839, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_7259])

    allocate(vertices(840)%branchCT(0:0))
    call avCT(840, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7143])

    allocate(vertices(841)%branchCT(0:0))
    call avCT(841, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_5363])

    allocate(vertices(1028)%branchCT(0:0))
    call avCT(1028, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7255])

    allocate(vertices(843)%branchCT(0:0))
    call avCT(843, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_7603])

    allocate(vertices(844)%branchCT(0:1))
    call avCT(844, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_8224, nGC_8224])

    call avCT(844, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_8225, nGC_8225])

    allocate(vertices(845)%branchCT(0:0))
    call avCT(845, 0, 8, 1, 0, UaUV0, 0, [0, 3], [nGC_7506])

    allocate(vertices(846)%branchCT(0:0))
    call avCT(846, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7143])

    allocate(vertices(1019)%branchCT(0:3))
    call avCT(1019, 0, 28, 2, 0, VFaF0, 0, [1, 2], [nGC_7129, nGC_7127])

    call avCT(1019, 1, 28, 2, 0, VFaF0, 0, [3, 0], [nGC_7131, nGC_7132])

    call avCT(1019, 2, 29, 3, 0, VFaF0, 0, [1, 2], [nGC_7129, nGC_7127])

    call avCT(1019, 3, 29, 3, 0, VFaF0, 0, [3, 0], [nGC_7131, nGC_7132])

    allocate(vertices(847)%branchCT(0:0))
    call avCT(847, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7231])

    allocate(vertices(1465)%branchCT(0:0))
    call avCT(1465, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_10232])

    allocate(vertices(849)%branchCT(0:0))
    call avCT(849, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7066])

    allocate(vertices(848)%branchCT(0:0))
    call avCT(848, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7308])

    allocate(vertices(1290)%branchCT(0:0))
    call avCT(1290, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7374])

    allocate(vertices(851)%branchCT(0:0))
    call avCT(851, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_7385])

    allocate(vertices(852)%branchCT(0:0))
    call avCT(852, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7084, nGC_7085, nGC_7085])

    allocate(vertices(1466)%branchCT(0:0))
    call avCT(1466, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_8861])

    allocate(vertices(296)%branchCT(0:0))
    call avCT(296, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_8287, nGC_8288])

    allocate(vertices(854)%branchCT(0:0))
    call avCT(854, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_7035])

    allocate(vertices(1467)%branchCT(0:0))
    call avCT(1467, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7409])

    allocate(vertices(856)%branchCT(0:0))
    call avCT(856, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7501])

    allocate(vertices(857)%branchCT(0:0))
    call avCT(857, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7865])

    allocate(vertices(858)%branchCT(0:0))
    call avCT(858, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7308])

    allocate(vertices(859)%branchCT(0:0))
    call avCT(859, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_5362])

    allocate(vertices(1468)%branchCT(0:0))
    call avCT(1468, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_7180])

    allocate(vertices(381)%branchCT(0:0))
    call avCT(381, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_7421, nGC_7422])

    allocate(vertices(1153)%branchCT(0:0))
    call avCT(1153, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7124])

    allocate(vertices(862)%branchCT(0:1))
    call avCT(862, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_10872, nGC_10872])

    call avCT(862, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_10873, nGC_10873])

    allocate(vertices(863)%branchCT(0:1))
    call avCT(863, 0, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_7318])

    call avCT(863, 1, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_7317])

    allocate(vertices(864)%branchCT(0:0))
    call avCT(864, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_7546])

    allocate(vertices(1183)%branchCT(0:0))
    call avCT(1183, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7216])

    allocate(vertices(1353)%branchCT(0:1))
    call avCT(1353, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_7913, nGC_7912])

    call avCT(1353, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_7915, nGC_7914])

    allocate(vertices(1469)%branchCT(0:0))
    call avCT(1469, 0, 14, 1, 0, SS2, 0, [0, 2], [nGC_9132, nGC_9127, nGC_9126])

    allocate(vertices(868)%branchCT(0:0))
    call avCT(868, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_7586])

    allocate(vertices(867)%branchCT(0:1))
    call avCT(867, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_8350, nGC_8351])

    call avCT(867, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_8352, nGC_8353])

    allocate(vertices(549)%branchCT(0:0))
    call avCT(549, 0, 8, 1, 0, FaSF2, 0, [0, 3], [nGC_7724])

    allocate(vertices(367)%branchCT(0:0))
    call avCT(367, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7641, nGC_7642, nGC_7641])

    allocate(vertices(1470)%branchCT(0:0))
    call avCT(1470, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7409])

    allocate(vertices(870)%branchCT(0:0))
    call avCT(870, 0, 8, 1, 0, UUaV0, 0, [0, 3], [nGC_7540])

    allocate(vertices(871)%branchCT(0:1))
    call avCT(871, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_8000])

    call avCT(871, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_7999])

    allocate(vertices(872)%branchCT(0:0))
    call avCT(872, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7093])

    allocate(vertices(873)%branchCT(0:0))
    call avCT(873, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7308])

    allocate(vertices(1246)%branchCT(0:0))
    call avCT(1246, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_7521])

    allocate(vertices(1057)%branchCT(0:1))
    call avCT(1057, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_7531, nGC_7532])

    call avCT(1057, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_7525, nGC_7528])

    allocate(vertices(875)%branchCT(0:0))
    call avCT(875, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7346])

    allocate(vertices(876)%branchCT(0:0))
    call avCT(876, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7050])

    allocate(vertices(877)%branchCT(0:0))
    call avCT(877, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7501])

    allocate(vertices(878)%branchCT(0:0))
    call avCT(878, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

    allocate(vertices(879)%branchCT(0:0))
    call avCT(879, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_7216])

    allocate(vertices(880)%branchCT(0:1))
    call avCT(880, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_7201, nGC_7202])

    call avCT(880, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_7203, nGC_7204])

    allocate(vertices(1471)%branchCT(0:0))
    call avCT(1471, 0, 14, 1, 0, VV2, 0, [0, 2], [nGC_10156, nGC_10150,        &
    nGC_10155])

    allocate(vertices(881)%branchCT(0:0))
    call avCT(881, 0, 8, 1, 0, UVUa0, 0, [0, 3], [nGC_8471])

    allocate(vertices(882)%branchCT(0:1))
    call avCT(882, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_10178, nGC_10178])

    call avCT(882, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_10179, nGC_10179])

    allocate(vertices(883)%branchCT(0:0))
    call avCT(883, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7093])

    allocate(vertices(884)%branchCT(0:0))
    call avCT(884, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_7759, nGC_7760])

    allocate(vertices(885)%branchCT(0:0))
    call avCT(885, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7093])

    allocate(vertices(886)%branchCT(0:0))
    call avCT(886, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_7035])

    allocate(vertices(1472)%branchCT(0:0))
    call avCT(1472, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_10232])

    allocate(vertices(887)%branchCT(0:0))
    call avCT(887, 0, 8, 1, 0, UaVU0, 0, [0, 3], [nGC_7506])

    allocate(vertices(888)%branchCT(0:0))
    call avCT(888, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7143])

    allocate(vertices(889)%branchCT(0:0))
    call avCT(889, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7050])

    allocate(vertices(836)%branchCT(0:1))
    call avCT(836, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_7531, nGC_7532])

    call avCT(836, 1, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_7525, nGC_7528])

    allocate(vertices(891)%branchCT(0:1))
    call avCT(891, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_8021, nGC_8020])

    call avCT(891, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_8023, nGC_8022])

    allocate(vertices(892)%branchCT(0:1))
    call avCT(892, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_10872, nGC_10872])

    call avCT(892, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_10873, nGC_10873])

    allocate(vertices(893)%branchCT(0:0))
    call avCT(893, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7314, nGC_7313, nGC_7313])

    allocate(vertices(894)%branchCT(0:1))
    call avCT(894, 0, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_9261, nGC_9262])

    call avCT(894, 1, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_9254, nGC_9257])

    allocate(vertices(895)%branchCT(0:0))
    call avCT(895, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_7888])

    allocate(vertices(1473)%branchCT(0:0))
    call avCT(1473, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7180])

    allocate(vertices(897)%branchCT(0:0))
    call avCT(897, 0, 8, 1, 0, SFaF2, 0, [0, 3], [nGC_7724])

    allocate(vertices(898)%branchCT(0:0))
    call avCT(898, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5222])

    allocate(vertices(1474)%branchCT(0:0))
    call avCT(1474, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_8861])

    allocate(vertices(899)%branchCT(0:0))
    call avCT(899, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_10742])

    allocate(vertices(900)%branchCT(0:1))
    call avCT(900, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8224, nGC_8224])

    call avCT(900, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8225, nGC_8225])

    allocate(vertices(1475)%branchCT(0:0))
    call avCT(1475, 0, 14, 1, 0, SV1, 0, [0, 2], [nGC_11313])

    allocate(vertices(902)%branchCT(0:1))
    call avCT(902, 0, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_7226, nGC_7226])

    call avCT(902, 1, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_7227, nGC_7227])

    allocate(vertices(903)%branchCT(0:1))
    call avCT(903, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_10251, nGC_10252])

    call avCT(903, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_10253, nGC_10254])

    allocate(vertices(1476)%branchCT(0:0))
    call avCT(1476, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_7180])

    allocate(vertices(905)%branchCT(0:0))
    call avCT(905, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7070])

    allocate(vertices(1477)%branchCT(0:0))
    call avCT(1477, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7409])

    allocate(vertices(906)%branchCT(0:1))
    call avCT(906, 0, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_7189, nGC_7190])

    call avCT(906, 1, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_7191, nGC_7192])

    allocate(vertices(63)%branchCT(0:0))
    call avCT(63, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7093])

    allocate(vertices(908)%branchCT(0:0))
    call avCT(908, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_8008])

    allocate(vertices(909)%branchCT(0:0))
    call avCT(909, 0, 8, 1, 0, UUaS0, 0, [0, 3], [nGC_7521])

    allocate(vertices(910)%branchCT(0:0))
    call avCT(910, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_8406, nGC_8406])

    allocate(vertices(911)%branchCT(0:0))
    call avCT(911, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8038])

    allocate(vertices(912)%branchCT(0:0))
    call avCT(912, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7231])

    allocate(vertices(913)%branchCT(0:0))
    call avCT(913, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_7919])

    allocate(vertices(914)%branchCT(0:0))
    call avCT(914, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7655, nGC_7656, nGC_7655])

    allocate(vertices(915)%branchCT(0:0))
    call avCT(915, 0, 8, 1, 0, SFaF1, 0, [0, 3], [nGC_7349])

    allocate(vertices(916)%branchCT(0:0))
    call avCT(916, 0, 8, 1, 0, VUUa0, 0, [0, 3], [nGC_8471])

    allocate(vertices(917)%branchCT(0:0))
    call avCT(917, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5223])

    allocate(vertices(918)%branchCT(0:0))
    call avCT(918, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_7346])

    allocate(vertices(919)%branchCT(0:0))
    call avCT(919, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_7369])

    allocate(vertices(920)%branchCT(0:0))
    call avCT(920, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7255])

    allocate(vertices(921)%branchCT(0:1))
    call avCT(921, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_7190, nGC_7189])

    call avCT(921, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_7192, nGC_7191])

    allocate(vertices(143)%branchCT(0:0))
    call avCT(143, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_7039])

    allocate(vertices(923)%branchCT(0:3))
    call avCT(923, 0, 22, 2, 0, FaVF1, 0, [1, 2], [nGC_9679, nGC_9681])

    call avCT(923, 1, 22, 2, 0, FaVF1, 0, [3, 0], [nGC_9683, nGC_9684])

    call avCT(923, 2, 23, 3, 0, FaVF1, 0, [1, 2], [nGC_9679, nGC_9681])

    call avCT(923, 3, 23, 3, 0, FaVF1, 0, [3, 0], [nGC_9683, nGC_9684])

    allocate(vertices(924)%branchCT(0:0))
    call avCT(924, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7093])

    allocate(vertices(925)%branchCT(0:0))
    call avCT(925, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_8007])

    allocate(vertices(926)%branchCT(0:0))
    call avCT(926, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_7085, nGC_7084, nGC_7085])

    allocate(vertices(819)%branchCT(0:1))
    call avCT(819, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_10251, nGC_10252])

    call avCT(819, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_10253, nGC_10254])

    allocate(vertices(928)%branchCT(0:0))
    call avCT(928, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_7378])

    allocate(vertices(929)%branchCT(0:0))
    call avCT(929, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_7035])

    allocate(vertices(1342)%branchCT(0:0))
    call avCT(1342, 0, 8, 1, 0, UUaV0, 0, [0, 3], [nGC_7626])

    allocate(vertices(930)%branchCT(0:1))
    call avCT(930, 0, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_8000])

    call avCT(930, 1, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_7999])

    allocate(vertices(931)%branchCT(0:0))
    call avCT(931, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_7255])

  end subroutine fill_vertices_mdl3
end module vertices_info3
