!******************************************************************************!
!                                                                              !
!    fill_ctcouplings5.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings5.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2019-10-09 13:25             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings5
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl5()
    coupl(nGC_8790) = coupl(nGC_7687) + coupl(nGC_8787)
    coupl(nGC_14418) = -coupl(nGC_4940)
    coupl(nGC_7422) = coupl(nGC_7414) + coupl(nGC_7420)
    coupl(nGC_7046) = coupl(nGC_7044) + coupl(nGC_7045)
    coupl(nGC_12968) = -2d0*coupl(nGC_12967)
    coupl(nGC_8880) = coupl(nGC_5355) + coupl(nGC_8877)
    coupl(nGC_10178) = coupl(nGC_10175) + coupl(nGC_10177)
    coupl(nGC_7514) = -coupl(nGC_7513)
    coupl(nGC_10872) = coupl(nGC_10869) + coupl(nGC_10871)
    coupl(nGC_4842) = cima*(4d0*Nc*coupl(nGC_106)*coupl(nGC_107) + 4d0*Nc*coupl&
                      (nGC_111)*coupl(nGC_112) + 4d0*Nc*coupl(nGC_121)*coupl(  &
                      nGC_122) + 4d0*Nc*coupl(nGC_81)*coupl(nGC_82) + 4d0*Nc*  &
                      coupl(nGC_86)*coupl(nGC_87) + 4d0*Nc*coupl(nGC_91)*coupl(&
                      nGC_92) + 4d0*coupl(nGC_101)*coupl(nGC_102) + 4d0*coupl( &
                      nGC_116)*coupl(nGC_117) + coupl(nGC_1691)*coupl(nGC_61   &
                      ) + 2d0*coupl(nGC_32)*coupl(nGC_569) + coupl(nGC_421)*   &
                      coupl(nGC_57) + 4d0*coupl(nGC_96)*coupl(nGC_97))/(96d0*pi&
                      **2d0)
    coupl(nGC_4843) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_81)*coupl(nGC_82) - 8d0*&
                      Nc*cMC**2d0*cima*coupl(nGC_86)*coupl(nGC_87) - 8d0*Nc*cMD&
                      **2d0*cima*coupl(nGC_91)*coupl(nGC_92) - 8d0*Nc*cMS**2d0*&
                      cima*coupl(nGC_106)*coupl(nGC_107) - 8d0*Nc*cMT**2d0*cima&
                      *coupl(nGC_111)*coupl(nGC_112) - 8d0*Nc*cMU**2d0*cima*   &
                      coupl(nGC_121)*coupl(nGC_122) - 8d0*cME**2d0*cima*coupl( &
                      nGC_96)*coupl(nGC_97) - cMHH**2d0*cima*coupl(nGC_1691)*  &
                      coupl(nGC_61) - cMHL**2d0*cima*coupl(nGC_421)*coupl(     &
                      nGC_57) - 8d0*cMM**2d0*cima*coupl(nGC_101)*coupl(nGC_102 &
                      ) - 8d0*cMTA**2d0*cima*coupl(nGC_116)*coupl(nGC_117) -   &
                      4d0*cMW**2d0*cima*coupl(nGC_32)*coupl(nGC_569) - 4d0*cMW &
                      **2d0*coupl(nGC_26) - cMZ**2d0*cima*coupl(nGC_1691)*coupl&
                      (nGC_61) - cMZ**2d0*cima*coupl(nGC_421)*coupl(nGC_57) -  &
                      2d0*cMZ**2d0*coupl(nGC_64))/(32d0*pi**2d0)
    coupl(nGC_4840) = cima*(4d0*Nc*coupl(nGC_105)**2d0 + 4d0*Nc*coupl(nGC_110  &
                      )**2d0 + 4d0*Nc*coupl(nGC_120)**2d0 + 4d0*Nc*coupl(nGC_80&
                      )**2d0 + 4d0*Nc*coupl(nGC_85)**2d0 + 4d0*Nc*coupl(nGC_90 &
                      )**2d0 + 4d0*coupl(nGC_100)**2d0 + 4d0*coupl(nGC_115)**  &
                      2d0 + coupl(nGC_1933)*coupl(nGC_46) + coupl(nGC_2481)*   &
                      coupl(nGC_47) + coupl(nGC_2531)*coupl(nGC_35) + 2d0*coupl&
                      (nGC_32)*coupl(nGC_569) + coupl(nGC_34)*coupl(nGC_427) + &
                      coupl(nGC_4)**2d0 + coupl(nGC_477)**2d0 + coupl(nGC_55)**&
                      2d0 + coupl(nGC_647)**2d0 + 4d0*coupl(nGC_95)**2d0)/(    &
                      192d0*pi**2d0)
    coupl(nGC_4841) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_110)**2d0 - 4d0*Nc*cMB**&
                      2d0*cima*coupl(nGC_80)**2d0 - 4d0*Nc*cMC**2d0*cima*coupl(&
                      nGC_105)**2d0 - 4d0*Nc*cMC**2d0*cima*coupl(nGC_85)**2d0  &
                       - 4d0*Nc*cMD**2d0*cima*coupl(nGC_120)**2d0 - 4d0*Nc*cMD &
                      **2d0*cima*coupl(nGC_90)**2d0 - 4d0*Nc*cMS**2d0*cima*    &
                      coupl(nGC_105)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_85  &
                      )**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_110)**2d0 - 4d0* &
                      Nc*cMT**2d0*cima*coupl(nGC_80)**2d0 - 4d0*Nc*cMU**2d0*   &
                      cima*coupl(nGC_120)**2d0 - 4d0*Nc*cMU**2d0*cima*coupl(   &
                      nGC_90)**2d0 - 4d0*cME**2d0*cima*coupl(nGC_95)**2d0 -    &
                      cMHH**2d0*cima*coupl(nGC_1933)*coupl(nGC_46) - cMHH**2d0*&
                      cima*coupl(nGC_2481)*coupl(nGC_47) - cMHL**2d0*cima*coupl&
                      (nGC_2531)*coupl(nGC_35) - cMHL**2d0*cima*coupl(nGC_34)* &
                      coupl(nGC_427) - 4d0*cMM**2d0*cima*coupl(nGC_100)**2d0 - &
                      4d0*cMTA**2d0*cima*coupl(nGC_115)**2d0 - cMW**2d0*cima*  &
                      coupl(nGC_1933)*coupl(nGC_46) - cMW**2d0*cima*coupl(     &
                      nGC_2481)*coupl(nGC_47) - cMW**2d0*cima*coupl(nGC_2531)* &
                      coupl(nGC_35) - 2d0*cMW**2d0*cima*coupl(nGC_32)*coupl(   &
                      nGC_569) - cMW**2d0*cima*coupl(nGC_34)*coupl(nGC_427) -  &
                      cMW**2d0*cima*coupl(nGC_4)**2d0 - cMW**2d0*cima*coupl(   &
                      nGC_477)**2d0 - cMW**2d0*cima*coupl(nGC_55)**2d0 - cMW** &
                      2d0*cima*coupl(nGC_647)**2d0 - 8d0*cMW**2d0*coupl(nGC_26 &
                      ) - 2d0*cMZ**2d0*cima*coupl(nGC_32)*coupl(nGC_569) - cMZ &
                      **2d0*cima*coupl(nGC_477)**2d0 - cMZ**2d0*cima*coupl(    &
                      nGC_55)**2d0 - 4d0*cMZ**2d0*coupl(nGC_63) + 8d0*cima*    &
                      coupl(nGC_68)**2d0 + 8d0*cima*coupl(nGC_71)**2d0)/(64d0* &
                      pi**2d0)
    coupl(nGC_4844) = cima*(8d0*Nc*coupl(nGC_108)*coupl(nGC_109) + 8d0*Nc*coupl&
                      (nGC_113)*coupl(nGC_114) + 8d0*Nc*coupl(nGC_123)*coupl(  &
                      nGC_124) + 8d0*Nc*coupl(nGC_83)*coupl(nGC_84) + 8d0*Nc*  &
                      coupl(nGC_88)*coupl(nGC_89) + 8d0*Nc*coupl(nGC_93)*coupl(&
                      nGC_94) + 8d0*coupl(nGC_103)*coupl(nGC_104) + 8d0*coupl( &
                      nGC_118)*coupl(nGC_119) + coupl(nGC_1691)*coupl(nGC_57   &
                      ) + coupl(nGC_1933)*coupl(nGC_34) + coupl(nGC_2481)*coupl&
                      (nGC_35) + coupl(nGC_2531)*coupl(nGC_47) + coupl(nGC_421 &
                      )*coupl(nGC_61) + coupl(nGC_427)*coupl(nGC_46) + 8d0*    &
                      coupl(nGC_98)*coupl(nGC_99))/(192d0*pi**2d0)
    coupl(nGC_7880) = coupl(nGC_5264) + coupl(nGC_64)*dZZ_QED2
    coupl(nGC_4848) = cima*(4d0*Nc*coupl(nGC_109)**2d0 + 4d0*Nc*coupl(nGC_114  &
                      )**2d0 + 4d0*Nc*coupl(nGC_124)**2d0 + 4d0*Nc*coupl(nGC_84&
                      )**2d0 + 4d0*Nc*coupl(nGC_89)**2d0 + 4d0*Nc*coupl(nGC_94 &
                      )**2d0 + 4d0*coupl(nGC_104)**2d0 + 4d0*coupl(nGC_119)**  &
                      2d0 + coupl(nGC_1691)*coupl(nGC_61) + coupl(nGC_1933)*   &
                      coupl(nGC_46) + coupl(nGC_2481)*coupl(nGC_47) + 4d0*coupl&
                      (nGC_99)**2d0)/(96d0*pi**2d0)
    coupl(nGC_4849) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_84)**2d0 - 4d0*Nc*cMC** &
                      2d0*cima*coupl(nGC_89)**2d0 - 4d0*Nc*cMD**2d0*cima*coupl(&
                      nGC_94)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_109)**2d0  &
                       - 4d0*Nc*cMT**2d0*cima*coupl(nGC_114)**2d0 - 4d0*Nc*cMU &
                      **2d0*cima*coupl(nGC_124)**2d0 - 4d0*cME**2d0*cima*coupl(&
                      nGC_99)**2d0 - 4d0*cMM**2d0*cima*coupl(nGC_104)**2d0 -   &
                      4d0*cMTA**2d0*cima*coupl(nGC_119)**2d0 - cMW**2d0*cima*  &
                      coupl(nGC_1933)*coupl(nGC_46) - cMW**2d0*cima*coupl(     &
                      nGC_2481)*coupl(nGC_47) - 2d0*cMW**2d0*coupl(nGC_31) -   &
                      cMZ**2d0*cima*coupl(nGC_1691)*coupl(nGC_61) - cMZ**2d0*  &
                      coupl(nGC_67) + 2d0*cima*coupl(nGC_70)**2d0 + cima*coupl(&
                      nGC_73)**2d0)/(16d0*pi**2d0)
    coupl(nGC_9314) = coupl(nGC_TS_GC_57_Hl) + coupl(nGC_TS_GC_61_Hh)
    coupl(nGC_4921) = (-4d0*Nc*coupl(nGC_105)*coupl(nGC_106)*coupl(nGC_33) +   &
                      4d0*Nc*coupl(nGC_110)*coupl(nGC_111)*coupl(nGC_33) + 4d0*&
                      Nc*coupl(nGC_120)*coupl(nGC_121)*coupl(nGC_33) - 4d0*Nc* &
                      coupl(nGC_33)*coupl(nGC_80)*coupl(nGC_81) + 4d0*Nc*coupl(&
                      nGC_33)*coupl(nGC_85)*coupl(nGC_86) - 4d0*Nc*coupl(nGC_33&
                      )*coupl(nGC_90)*coupl(nGC_91) - 4d0*coupl(nGC_100)*coupl(&
                      nGC_101)*coupl(nGC_33) - 4d0*coupl(nGC_115)*coupl(nGC_116&
                      )*coupl(nGC_33) - 6d0*coupl(nGC_1691)*coupl(nGC_46)*coupl&
                      (nGC_509) + coupl(nGC_2481)**2d0*coupl(nGC_32) + coupl(  &
                      nGC_2531)**2d0*coupl(nGC_32) - 6d0*coupl(nGC_3)*coupl(   &
                      nGC_4)*coupl(nGC_569) + coupl(nGC_32)**3d0 - 4d0*coupl(  &
                      nGC_33)*coupl(nGC_95)*coupl(nGC_96) - 6d0*coupl(nGC_34)* &
                      coupl(nGC_421)*coupl(nGC_509) + coupl(nGC_34)*coupl(     &
                      nGC_477)*coupl(nGC_57) - 6d0*coupl(nGC_37)*coupl(nGC_55)*&
                      coupl(nGC_569) + coupl(nGC_46)*coupl(nGC_477)*coupl(     &
                      nGC_61))/(96d0*pi**2d0)
    coupl(nGC_4923) = (-4d0*Nc*coupl(nGC_105)*coupl(nGC_108)*coupl(nGC_33) +   &
                      4d0*Nc*coupl(nGC_110)*coupl(nGC_113)*coupl(nGC_33) + 4d0*&
                      Nc*coupl(nGC_120)*coupl(nGC_123)*coupl(nGC_33) - 4d0*Nc* &
                      coupl(nGC_33)*coupl(nGC_80)*coupl(nGC_83) + 4d0*Nc*coupl(&
                      nGC_33)*coupl(nGC_85)*coupl(nGC_88) - 4d0*Nc*coupl(nGC_33&
                      )*coupl(nGC_90)*coupl(nGC_93) - 4d0*coupl(nGC_100)*coupl(&
                      nGC_103)*coupl(nGC_33) - 4d0*coupl(nGC_115)*coupl(nGC_118&
                      )*coupl(nGC_33) + coupl(nGC_2481)**2d0*coupl(nGC_427) +  &
                      coupl(nGC_2531)**2d0*coupl(nGC_427) - 6d0*coupl(nGC_3)*  &
                      coupl(nGC_34)*coupl(nGC_4) + coupl(nGC_32)**2d0*coupl(   &
                      nGC_427) - 4d0*coupl(nGC_33)*coupl(nGC_95)*coupl(nGC_98  &
                      ) - 6d0*coupl(nGC_34)*coupl(nGC_37)*coupl(nGC_55) + coupl&
                      (nGC_421)*coupl(nGC_477)*coupl(nGC_569) - 6d0*coupl(     &
                      nGC_509)*coupl(nGC_569)*coupl(nGC_57))/(96d0*pi**2d0)
    coupl(nGC_4922) = (-4d0*Nc*coupl(nGC_105)*coupl(nGC_109)*coupl(nGC_33) +   &
                      4d0*Nc*coupl(nGC_110)*coupl(nGC_114)*coupl(nGC_33) + 4d0*&
                      Nc*coupl(nGC_120)*coupl(nGC_124)*coupl(nGC_33) - 4d0*Nc* &
                      coupl(nGC_33)*coupl(nGC_80)*coupl(nGC_84) + 4d0*Nc*coupl(&
                      nGC_33)*coupl(nGC_85)*coupl(nGC_89) - 4d0*Nc*coupl(nGC_33&
                      )*coupl(nGC_90)*coupl(nGC_94) - 4d0*coupl(nGC_100)*coupl(&
                      nGC_104)*coupl(nGC_33) - 4d0*coupl(nGC_115)*coupl(nGC_119&
                      )*coupl(nGC_33) + coupl(nGC_1691)*coupl(nGC_477)*coupl(  &
                      nGC_569) + coupl(nGC_1933)*coupl(nGC_2481)**2d0 + coupl( &
                      nGC_1933)*coupl(nGC_2531)**2d0 + coupl(nGC_1933)*coupl(  &
                      nGC_32)**2d0 - 6d0*coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_46&
                      ) - 4d0*coupl(nGC_33)*coupl(nGC_95)*coupl(nGC_99) - 6d0* &
                      coupl(nGC_37)*coupl(nGC_46)*coupl(nGC_55) - 6d0*coupl(   &
                      nGC_509)*coupl(nGC_569)*coupl(nGC_61))/(96d0*pi**2d0)
    coupl(nGC_13976) = -coupl(nGC_4923)
    coupl(nGC_4927) = (8d0*coupl(nGC_1)*coupl(nGC_110)*coupl(nGC_2) - coupl(   &
                      nGC_1)*coupl(nGC_110)*coupl(nGC_647) - coupl(nGC_110)*   &
                      coupl(nGC_2)*coupl(nGC_4) - coupl(nGC_110)*coupl(nGC_477 &
                      )*coupl(nGC_53) + 8d0*coupl(nGC_110)*coupl(nGC_51)*coupl(&
                      nGC_53) - coupl(nGC_110)*coupl(nGC_51)*coupl(nGC_55) -   &
                      coupl(nGC_112)*coupl(nGC_32)*coupl(nGC_33) - coupl(      &
                      nGC_112)*coupl(nGC_80)*coupl(nGC_81) - coupl(nGC_113)*   &
                      coupl(nGC_2531)*coupl(nGC_33) - coupl(nGC_113)*coupl(    &
                      nGC_80)*coupl(nGC_83) - coupl(nGC_114)*coupl(nGC_2481)*  &
                      coupl(nGC_33) - coupl(nGC_114)*coupl(nGC_80)*coupl(nGC_84&
                      ))/(32d0*pi**2d0)
    coupl(nGC_15251) = -coupl(nGC_4922)
    coupl(nGC_10498) = coupl(nGC_5441) + coupl(nGC_TS_GC_108_Hl) + coupl(      &
                       nGC_TS_GC_109_Hh)
    coupl(nGC_9296) = coupl(nGC_7270) + coupl(nGC_9294)
    coupl(nGC_13660) = -coupl(nGC_4890)
    coupl(nGC_8878) = coupl(nGC_113)*dZHlHh_QED2/2d0 + coupl(nGC_114)*dZHh_QED2&
                      /2d0 + coupl(nGC_5354)
    coupl(nGC_7656) = coupl(nGC_7653) - 2d0*coupl(nGC_7654)
    coupl(nGC_7346) = coupl(nGC_26)*dZWMinus_QED2 + coupl(nGC_5249)
    coupl(nGC_7659) = -coupl(nGC_7385)
    coupl(nGC_7506) = -coupl(nGC_7505)
    coupl(nGC_7060) = coupl(nGC_7054) + coupl(nGC_7059)
    coupl(nGC_11671) = 2d0*coupl(nGC_21)*dZHhHl_QED2 + 2d0*coupl(nGC_23)*      &
                       dZHl_QED2 + coupl(nGC_5225)
    coupl(nGC_7467) = coupl(nGC_5231) + coupl(nGC_74)*dZHhHl_QED2/2d0 + coupl( &
                      nGC_75)*dZHl_QED2/2d0 + coupl(nGC_TS_GC_18_Hh) + coupl(  &
                      nGC_TS_GC_20_Hl)
    coupl(nGC_4938) = (-coupl(nGC_100)*coupl(nGC_4)*coupl(nGC_647) - coupl(    &
                      nGC_100)*coupl(nGC_477)*coupl(nGC_52) + 8d0*coupl(nGC_100&
                      )*coupl(nGC_52)*coupl(nGC_56) - coupl(nGC_100)*coupl(    &
                      nGC_55)*coupl(nGC_56) - coupl(nGC_102)*coupl(nGC_33)*    &
                      coupl(nGC_569) - coupl(nGC_103)*coupl(nGC_33)*coupl(     &
                      nGC_34) - coupl(nGC_104)*coupl(nGC_33)*coupl(nGC_46))/(  &
                      32d0*pi**2d0)
    coupl(nGC_4939) = (coupl(nGC_115)*coupl(nGC_4)**2d0 + coupl(nGC_115)*coupl(&
                      nGC_477)*coupl(nGC_56) + coupl(nGC_115)*coupl(nGC_52)*   &
                      coupl(nGC_55) + 8d0*coupl(nGC_115)*coupl(nGC_52)*coupl(  &
                      nGC_56) + coupl(nGC_117)*coupl(nGC_32)*coupl(nGC_33) +   &
                      coupl(nGC_118)*coupl(nGC_2531)*coupl(nGC_33) + coupl(    &
                      nGC_119)*coupl(nGC_2481)*coupl(nGC_33))/(32d0*pi**2d0)
    coupl(nGC_4937) = (-coupl(nGC_33)*coupl(nGC_34)*coupl(nGC_98) - coupl(     &
                      nGC_33)*coupl(nGC_46)*coupl(nGC_99) - coupl(nGC_33)*coupl&
                      (nGC_569)*coupl(nGC_97) - coupl(nGC_4)*coupl(nGC_647)*   &
                      coupl(nGC_95) - coupl(nGC_477)*coupl(nGC_52)*coupl(nGC_95&
                      ) + 8d0*coupl(nGC_52)*coupl(nGC_56)*coupl(nGC_95) - coupl&
                      (nGC_55)*coupl(nGC_56)*coupl(nGC_95))/(32d0*pi**2d0)
    coupl(nGC_4935) = (8d0*coupl(nGC_1)*coupl(nGC_120)*coupl(nGC_2) - coupl(   &
                      nGC_1)*coupl(nGC_120)*coupl(nGC_647) - coupl(nGC_120)*   &
                      coupl(nGC_2)*coupl(nGC_4) - coupl(nGC_120)*coupl(nGC_477 &
                      )*coupl(nGC_53) + 8d0*coupl(nGC_120)*coupl(nGC_51)*coupl(&
                      nGC_53) - coupl(nGC_120)*coupl(nGC_51)*coupl(nGC_55) -   &
                      coupl(nGC_122)*coupl(nGC_32)*coupl(nGC_33) - coupl(      &
                      nGC_122)*coupl(nGC_90)*coupl(nGC_91) - coupl(nGC_123)*   &
                      coupl(nGC_2531)*coupl(nGC_33) - coupl(nGC_123)*coupl(    &
                      nGC_90)*coupl(nGC_93) - coupl(nGC_124)*coupl(nGC_2481)*  &
                      coupl(nGC_33) - coupl(nGC_124)*coupl(nGC_90)*coupl(nGC_94&
                      ))/(32d0*pi**2d0)
    coupl(nGC_4933) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_90) - coupl(    &
                      nGC_1)*coupl(nGC_647)*coupl(nGC_90) - coupl(nGC_120)*    &
                      coupl(nGC_121)*coupl(nGC_92) - coupl(nGC_120)*coupl(     &
                      nGC_123)*coupl(nGC_93) - coupl(nGC_120)*coupl(nGC_124)*  &
                      coupl(nGC_94) - coupl(nGC_2)*coupl(nGC_4)*coupl(nGC_90   &
                      ) - coupl(nGC_33)*coupl(nGC_34)*coupl(nGC_93) - coupl(   &
                      nGC_33)*coupl(nGC_46)*coupl(nGC_94) - coupl(nGC_33)*coupl&
                      (nGC_569)*coupl(nGC_92) - coupl(nGC_477)*coupl(nGC_50)*  &
                      coupl(nGC_90) + 8d0*coupl(nGC_50)*coupl(nGC_54)*coupl(   &
                      nGC_90) - coupl(nGC_54)*coupl(nGC_55)*coupl(nGC_90))/(   &
                      32d0*pi**2d0)
    coupl(nGC_4931) = (8d0*coupl(nGC_1)*coupl(nGC_105)*coupl(nGC_2) + coupl(   &
                      nGC_1)*coupl(nGC_105)*coupl(nGC_4) + coupl(nGC_105)*coupl&
                      (nGC_2)*coupl(nGC_647) + coupl(nGC_105)*coupl(nGC_477)*  &
                      coupl(nGC_54) + 8d0*coupl(nGC_105)*coupl(nGC_50)*coupl(  &
                      nGC_54) + coupl(nGC_105)*coupl(nGC_50)*coupl(nGC_55) +   &
                      coupl(nGC_107)*coupl(nGC_32)*coupl(nGC_33) - coupl(      &
                      nGC_107)*coupl(nGC_85)*coupl(nGC_86) + coupl(nGC_108)*   &
                      coupl(nGC_2531)*coupl(nGC_33) - coupl(nGC_108)*coupl(    &
                      nGC_85)*coupl(nGC_88) + coupl(nGC_109)*coupl(nGC_2481)*  &
                      coupl(nGC_33) - coupl(nGC_109)*coupl(nGC_85)*coupl(nGC_89&
                      ))/(32d0*pi**2d0)
    coupl(nGC_8406) = coupl(nGC_8401) + coupl(nGC_8405)
    coupl(nGC_5047) = (12d0*Nc*coupl(nGC_33)**2d0*coupl(nGC_53) - 12d0*Nc*coupl&
                      (nGC_33)**2d0*coupl(nGC_54) + 12d0*coupl(nGC_33)**2d0*   &
                      coupl(nGC_55) - 12d0*coupl(nGC_33)**2d0*coupl(nGC_56) -  &
                      11d0*coupl(nGC_37)*coupl(nGC_509)**2d0 - 11d0*coupl(     &
                      nGC_37)*coupl(nGC_551)**2d0)/(96d0*pi**2d0)
    coupl(nGC_7378) = coupl(nGC_5266) + coupl(nGC_65)*dZHl_QED2 + coupl(nGC_65 &
                      )*dZZ_QED2 + coupl(nGC_66)*dZHhHl_QED2
    coupl(nGC_8353) = coupl(nGC_112)*dZtL_QED2/2d0 + coupl(nGC_112)*dZtR_QED2/ &
                      2d0 + coupl(nGC_5343)
    coupl(nGC_8351) = coupl(nGC_112)*dZtL_QCD2/2d0 + coupl(nGC_112)*dZtR_QCD2/ &
                      2d0 + coupl(nGC_5342)
    coupl(nGC_7625) = coupl(nGC_37)*dZWMinus_QED2/2d0 + coupl(nGC_5216)
    coupl(nGC_7077) = coupl(nGC_5267) + coupl(nGC_65)*dZHlHh_QED2/2d0 + coupl( &
                      nGC_66)*dZHh_QED2/2d0 + coupl(nGC_66)*dZHl_QED2/2d0 +    &
                      coupl(nGC_66)*dZZ_QED2 + coupl(nGC_67)*dZHhHl_QED2/2d0
    coupl(nGC_5168) = (40d0*Nc*cima*coupl(nGC_108)**3d0*coupl(nGC_109) + 40d0* &
                      Nc*cima*coupl(nGC_113)**3d0*coupl(nGC_114) + 40d0*Nc*cima&
                      *coupl(nGC_123)**3d0*coupl(nGC_124) + 40d0*Nc*cima*coupl(&
                      nGC_83)**3d0*coupl(nGC_84) + 40d0*Nc*cima*coupl(nGC_88)**&
                      3d0*coupl(nGC_89) + 40d0*Nc*cima*coupl(nGC_93)**3d0*coupl&
                      (nGC_94) + 40d0*cima*coupl(nGC_103)**3d0*coupl(nGC_104   &
                      ) + 40d0*cima*coupl(nGC_118)**3d0*coupl(nGC_119) - 5d0*  &
                      cima*coupl(nGC_1691)*coupl(nGC_421)*coupl(nGC_57)**2d0 - &
                      5d0*cima*coupl(nGC_1933)*coupl(nGC_34)**2d0*coupl(nGC_427&
                      ) - 5d0*cima*coupl(nGC_2481)*coupl(nGC_2531)*coupl(nGC_35&
                      )**2d0 - 5d0*cima*coupl(nGC_2531)**2d0*coupl(nGC_35)*    &
                      coupl(nGC_47) + 12d0*cima*coupl(nGC_28)*coupl(nGC_30) -  &
                      5d0*cima*coupl(nGC_34)*coupl(nGC_427)**2d0*coupl(nGC_46  &
                      ) - 5d0*cima*coupl(nGC_421)**2d0*coupl(nGC_57)*coupl(    &
                      nGC_61) + 6d0*cima*coupl(nGC_65)*coupl(nGC_66) + 40d0*   &
                      cima*coupl(nGC_98)**3d0*coupl(nGC_99) + 2d0*coupl(       &
                      nGC_1691)*coupl(nGC_20)*coupl(nGC_57) - coupl(nGC_1691)* &
                      coupl(nGC_57)*coupl(nGC_65) + 3d0*coupl(nGC_18)*coupl(   &
                      nGC_2531)*coupl(nGC_35) + 3d0*coupl(nGC_18)*coupl(nGC_34 &
                      )*coupl(nGC_427) + 3d0*coupl(nGC_18)*coupl(nGC_421)*coupl&
                      (nGC_57) + 2d0*coupl(nGC_1933)*coupl(nGC_20)*coupl(nGC_34&
                      ) - coupl(nGC_1933)*coupl(nGC_28)*coupl(nGC_34) + 2d0*   &
                      coupl(nGC_20)*coupl(nGC_2481)*coupl(nGC_35) + coupl(     &
                      nGC_20)*coupl(nGC_2531)*coupl(nGC_47) + coupl(nGC_20)*   &
                      coupl(nGC_421)*coupl(nGC_61) + coupl(nGC_20)*coupl(      &
                      nGC_427)*coupl(nGC_46) - coupl(nGC_2481)*coupl(nGC_28)*  &
                      coupl(nGC_35) - 2d0*coupl(nGC_2531)*coupl(nGC_28)*coupl( &
                      nGC_47) - 3d0*coupl(nGC_2531)*coupl(nGC_30)*coupl(nGC_35 &
                      ) - 2d0*coupl(nGC_28)*coupl(nGC_427)*coupl(nGC_46) - 3d0*&
                      coupl(nGC_30)*coupl(nGC_34)*coupl(nGC_427) - 3d0*coupl(  &
                      nGC_421)*coupl(nGC_57)*coupl(nGC_66) - 2d0*coupl(nGC_421 &
                      )*coupl(nGC_61)*coupl(nGC_65))/(32d0*pi**2d0)
    coupl(nGC_5169) = (-32d0*Nc*cima*coupl(nGC_109)**2d0*coupl(nGC_50)**2d0 +  &
                      40d0*Nc*cima*coupl(nGC_109)**2d0*coupl(nGC_50)*coupl(    &
                      nGC_53) - 32d0*Nc*cima*coupl(nGC_109)**2d0*coupl(nGC_53  &
                      )**2d0 - 32d0*Nc*cima*coupl(nGC_114)**2d0*coupl(nGC_51)**&
                      2d0 + 40d0*Nc*cima*coupl(nGC_114)**2d0*coupl(nGC_51)*    &
                      coupl(nGC_54) - 32d0*Nc*cima*coupl(nGC_114)**2d0*coupl(  &
                      nGC_54)**2d0 - 32d0*Nc*cima*coupl(nGC_124)**2d0*coupl(   &
                      nGC_51)**2d0 + 40d0*Nc*cima*coupl(nGC_124)**2d0*coupl(   &
                      nGC_51)*coupl(nGC_54) - 32d0*Nc*cima*coupl(nGC_124)**2d0*&
                      coupl(nGC_54)**2d0 - 32d0*Nc*cima*coupl(nGC_50)**2d0*    &
                      coupl(nGC_84)**2d0 - 32d0*Nc*cima*coupl(nGC_50)**2d0*    &
                      coupl(nGC_94)**2d0 + 40d0*Nc*cima*coupl(nGC_50)*coupl(   &
                      nGC_53)*coupl(nGC_84)**2d0 + 40d0*Nc*cima*coupl(nGC_50)* &
                      coupl(nGC_53)*coupl(nGC_94)**2d0 - 32d0*Nc*cima*coupl(   &
                      nGC_51)**2d0*coupl(nGC_89)**2d0 + 40d0*Nc*cima*coupl(    &
                      nGC_51)*coupl(nGC_54)*coupl(nGC_89)**2d0 - 32d0*Nc*cima* &
                      coupl(nGC_53)**2d0*coupl(nGC_84)**2d0 - 32d0*Nc*cima*    &
                      coupl(nGC_53)**2d0*coupl(nGC_94)**2d0 - 32d0*Nc*cima*    &
                      coupl(nGC_54)**2d0*coupl(nGC_89)**2d0 - 32d0*cima*coupl( &
                      nGC_104)**2d0*coupl(nGC_52)**2d0 + 40d0*cima*coupl(      &
                      nGC_104)**2d0*coupl(nGC_52)*coupl(nGC_55) - 32d0*cima*   &
                      coupl(nGC_104)**2d0*coupl(nGC_55)**2d0 - 32d0*cima*coupl(&
                      nGC_119)**2d0*coupl(nGC_52)**2d0 + 40d0*cima*coupl(      &
                      nGC_119)**2d0*coupl(nGC_52)*coupl(nGC_55) - 32d0*cima*   &
                      coupl(nGC_119)**2d0*coupl(nGC_55)**2d0 + 4d0*cima*coupl( &
                      nGC_1691)**2d0*coupl(nGC_61)**2d0 + 4d0*cima*coupl(      &
                      nGC_1691)*coupl(nGC_421)*coupl(nGC_57)*coupl(nGC_61) +   &
                      4d0*cima*coupl(nGC_1933)*coupl(nGC_46)*coupl(nGC_477)**  &
                      2d0 + 9d0*cima*coupl(nGC_1933)*coupl(nGC_46)*coupl(      &
                      nGC_509)**2d0 + 9d0*cima*coupl(nGC_2481)*coupl(nGC_37)** &
                      2d0*coupl(nGC_47) + 4d0*cima*coupl(nGC_2481)*coupl(nGC_47&
                      )*coupl(nGC_55)**2d0 + 12d0*cima*coupl(nGC_31)*coupl(    &
                      nGC_469) - 32d0*cima*coupl(nGC_52)**2d0*coupl(nGC_99)**  &
                      2d0 + 40d0*cima*coupl(nGC_52)*coupl(nGC_55)*coupl(nGC_99 &
                      )**2d0 - 32d0*cima*coupl(nGC_55)**2d0*coupl(nGC_99)**2d0 &
                       + 3d0*coupl(nGC_1691)*coupl(nGC_61)*coupl(nGC_64) - 6d0*&
                      coupl(nGC_17)*coupl(nGC_1933)*coupl(nGC_509) - 6d0*coupl(&
                      nGC_17)*coupl(nGC_2481)*coupl(nGC_37) - 6d0*coupl(nGC_17 &
                      )*coupl(nGC_37)*coupl(nGC_47) - 6d0*coupl(nGC_17)*coupl( &
                      nGC_46)*coupl(nGC_509) - 3d0*coupl(nGC_1933)*coupl(nGC_46&
                      )*coupl(nGC_469) + 3d0*coupl(nGC_1933)*coupl(nGC_46)*    &
                      coupl(nGC_63) - 3d0*coupl(nGC_2481)*coupl(nGC_469)*coupl(&
                      nGC_47) + 3d0*coupl(nGC_2481)*coupl(nGC_47)*coupl(nGC_63 &
                      ) + 18d0*coupl(nGC_31)*coupl(nGC_37)**2d0 + 18d0*coupl(  &
                      nGC_31)*coupl(nGC_509)**2d0)/(96d0*pi**2d0)
    coupl(nGC_7702) = -coupl(nGC_7650)
    coupl(nGC_4845) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_83)*coupl(nGC_84) - 8d0*&
                      Nc*cMC**2d0*cima*coupl(nGC_88)*coupl(nGC_89) - 8d0*Nc*cMD&
                      **2d0*cima*coupl(nGC_93)*coupl(nGC_94) - 8d0*Nc*cMS**2d0*&
                      cima*coupl(nGC_108)*coupl(nGC_109) - 8d0*Nc*cMT**2d0*cima&
                      *coupl(nGC_113)*coupl(nGC_114) - 8d0*Nc*cMU**2d0*cima*   &
                      coupl(nGC_123)*coupl(nGC_124) - 8d0*cME**2d0*cima*coupl( &
                      nGC_98)*coupl(nGC_99) - 8d0*cMM**2d0*cima*coupl(nGC_103)*&
                      coupl(nGC_104) - 8d0*cMTA**2d0*cima*coupl(nGC_118)*coupl(&
                      nGC_119) - cMW**2d0*cima*coupl(nGC_1933)*coupl(nGC_34) - &
                      cMW**2d0*cima*coupl(nGC_2481)*coupl(nGC_35) - cMW**2d0*  &
                      cima*coupl(nGC_2531)*coupl(nGC_47) - cMW**2d0*cima*coupl(&
                      nGC_427)*coupl(nGC_46) - 4d0*cMW**2d0*coupl(nGC_30) - cMZ&
                      **2d0*cima*coupl(nGC_1691)*coupl(nGC_57) - cMZ**2d0*cima*&
                      coupl(nGC_421)*coupl(nGC_61) - 2d0*cMZ**2d0*coupl(nGC_66 &
                      ) + 4d0*cima*coupl(nGC_69)*coupl(nGC_70) + 2d0*cima*coupl&
                      (nGC_72)*coupl(nGC_73))/(32d0*pi**2d0)
    coupl(nGC_5162) = (-32d0*Nc*cima*coupl(nGC_109)**2d0*coupl(nGC_33)**2d0 -  &
                      32d0*Nc*cima*coupl(nGC_114)**2d0*coupl(nGC_33)**2d0 -    &
                      32d0*Nc*cima*coupl(nGC_124)**2d0*coupl(nGC_33)**2d0 -    &
                      32d0*Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_84)**2d0 - 32d0&
                      *Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_89)**2d0 - 32d0*Nc*&
                      cima*coupl(nGC_33)**2d0*coupl(nGC_94)**2d0 - 32d0*cima*  &
                      coupl(nGC_104)**2d0*coupl(nGC_33)**2d0 - 32d0*cima*coupl(&
                      nGC_119)**2d0*coupl(nGC_33)**2d0 + 8d0*cima*coupl(       &
                      nGC_1691)*coupl(nGC_32)*coupl(nGC_569)*coupl(nGC_61) +   &
                      9d0*cima*coupl(nGC_1691)*coupl(nGC_37)**2d0*coupl(nGC_61 &
                      ) + 9d0*cima*coupl(nGC_1691)*coupl(nGC_509)**2d0*coupl(  &
                      nGC_61) + 8d0*cima*coupl(nGC_1933)*coupl(nGC_2481)*coupl(&
                      nGC_46)*coupl(nGC_47) + 4d0*cima*coupl(nGC_1933)*coupl(  &
                      nGC_2531)*coupl(nGC_35)*coupl(nGC_46) + 9d0*cima*coupl(  &
                      nGC_1933)*coupl(nGC_3)**2d0*coupl(nGC_46) + 4d0*cima*    &
                      coupl(nGC_1933)*coupl(nGC_32)*coupl(nGC_46)*coupl(nGC_569&
                      ) + 9d0*cima*coupl(nGC_1933)*coupl(nGC_37)**2d0*coupl(   &
                      nGC_46) + 4d0*cima*coupl(nGC_2481)*coupl(nGC_32)*coupl(  &
                      nGC_47)*coupl(nGC_569) + 4d0*cima*coupl(nGC_2481)*coupl( &
                      nGC_34)*coupl(nGC_427)*coupl(nGC_47) + 9d0*cima*coupl(   &
                      nGC_2481)*coupl(nGC_47)*coupl(nGC_509)**2d0 + 9d0*cima*  &
                      coupl(nGC_2481)*coupl(nGC_47)*coupl(nGC_551)**2d0 + 24d0*&
                      cima*coupl(nGC_27)*coupl(nGC_31) - 32d0*cima*coupl(nGC_33&
                      )**2d0*coupl(nGC_99)**2d0 + 12d0*cima*coupl(nGC_469)*    &
                      coupl(nGC_67) + 6d0*coupl(nGC_1691)*coupl(nGC_26)*coupl( &
                      nGC_61) - 6d0*coupl(nGC_1691)*coupl(nGC_469)*coupl(nGC_61&
                      ) - 6d0*coupl(nGC_17)*coupl(nGC_1933)*coupl(nGC_37) - 6d0&
                      *coupl(nGC_17)*coupl(nGC_2481)*coupl(nGC_509) - 6d0*coupl&
                      (nGC_17)*coupl(nGC_37)*coupl(nGC_46) - 6d0*coupl(nGC_17)*&
                      coupl(nGC_47)*coupl(nGC_509) + 6d0*coupl(nGC_1933)*coupl(&
                      nGC_26)*coupl(nGC_46) - 6d0*coupl(nGC_1933)*coupl(nGC_27 &
                      )*coupl(nGC_46) - 6d0*coupl(nGC_1933)*coupl(nGC_3)*coupl(&
                      nGC_48) + 6d0*coupl(nGC_2481)*coupl(nGC_26)*coupl(nGC_47 &
                      ) - 6d0*coupl(nGC_2481)*coupl(nGC_27)*coupl(nGC_47) - 6d0&
                      *coupl(nGC_2481)*coupl(nGC_48)*coupl(nGC_551) - 6d0*coupl&
                      (nGC_3)*coupl(nGC_46)*coupl(nGC_48) + 36d0*coupl(nGC_31)*&
                      coupl(nGC_509)**2d0 + 36d0*coupl(nGC_31)*coupl(nGC_551)**&
                      2d0 + 36d0*coupl(nGC_37)**2d0*coupl(nGC_67) - 6d0*coupl( &
                      nGC_47)*coupl(nGC_48)*coupl(nGC_551))/(192d0*pi**2d0)
    coupl(nGC_5163) = (120d0*Nc*cima*coupl(nGC_108)**2d0*coupl(nGC_109)**2d0 + &
                      120d0*Nc*cima*coupl(nGC_113)**2d0*coupl(nGC_114)**2d0 +  &
                      120d0*Nc*cima*coupl(nGC_123)**2d0*coupl(nGC_124)**2d0 +  &
                      120d0*Nc*cima*coupl(nGC_83)**2d0*coupl(nGC_84)**2d0 +    &
                      120d0*Nc*cima*coupl(nGC_88)**2d0*coupl(nGC_89)**2d0 +    &
                      120d0*Nc*cima*coupl(nGC_93)**2d0*coupl(nGC_94)**2d0 +    &
                      120d0*cima*coupl(nGC_103)**2d0*coupl(nGC_104)**2d0 +     &
                      120d0*cima*coupl(nGC_118)**2d0*coupl(nGC_119)**2d0 - 5d0*&
                      cima*coupl(nGC_1691)**2d0*coupl(nGC_57)**2d0 - 20d0*cima*&
                      coupl(nGC_1691)*coupl(nGC_421)*coupl(nGC_57)*coupl(nGC_61&
                      ) - 5d0*cima*coupl(nGC_1933)**2d0*coupl(nGC_34)**2d0 -   &
                      20d0*cima*coupl(nGC_1933)*coupl(nGC_34)*coupl(nGC_427)*  &
                      coupl(nGC_46) - 5d0*cima*coupl(nGC_2481)**2d0*coupl(     &
                      nGC_35)**2d0 - 20d0*cima*coupl(nGC_2481)*coupl(nGC_2531)*&
                      coupl(nGC_35)*coupl(nGC_47) - 5d0*cima*coupl(nGC_2531)** &
                      2d0*coupl(nGC_47)**2d0 + 12d0*cima*coupl(nGC_28)*coupl(  &
                      nGC_31) + 24d0*cima*coupl(nGC_30)**2d0 - 5d0*cima*coupl( &
                      nGC_421)**2d0*coupl(nGC_61)**2d0 - 5d0*cima*coupl(nGC_427&
                      )**2d0*coupl(nGC_46)**2d0 + 6d0*cima*coupl(nGC_65)*coupl(&
                      nGC_67) + 12d0*cima*coupl(nGC_66)**2d0 + 120d0*cima*coupl&
                      (nGC_98)**2d0*coupl(nGC_99)**2d0 + 6d0*coupl(nGC_1691)*  &
                      coupl(nGC_18)*coupl(nGC_57) + 3d0*coupl(nGC_1691)*coupl( &
                      nGC_20)*coupl(nGC_61) - 6d0*coupl(nGC_1691)*coupl(nGC_57 &
                      )*coupl(nGC_66) - 3d0*coupl(nGC_1691)*coupl(nGC_61)*coupl&
                      (nGC_65) + 6d0*coupl(nGC_18)*coupl(nGC_1933)*coupl(nGC_34&
                      ) + 6d0*coupl(nGC_18)*coupl(nGC_2481)*coupl(nGC_35) + 6d0&
                      *coupl(nGC_18)*coupl(nGC_2531)*coupl(nGC_47) + 6d0*coupl(&
                      nGC_18)*coupl(nGC_421)*coupl(nGC_61) + 6d0*coupl(nGC_18)*&
                      coupl(nGC_427)*coupl(nGC_46) + 3d0*coupl(nGC_19)*coupl(  &
                      nGC_2531)*coupl(nGC_35) + 3d0*coupl(nGC_19)*coupl(nGC_34 &
                      )*coupl(nGC_427) + 3d0*coupl(nGC_19)*coupl(nGC_421)*coupl&
                      (nGC_57) + 3d0*coupl(nGC_1933)*coupl(nGC_20)*coupl(nGC_46&
                      ) - 3d0*coupl(nGC_1933)*coupl(nGC_28)*coupl(nGC_46) - 6d0&
                      *coupl(nGC_1933)*coupl(nGC_30)*coupl(nGC_34) + 3d0*coupl(&
                      nGC_20)*coupl(nGC_2481)*coupl(nGC_47) - 3d0*coupl(       &
                      nGC_2481)*coupl(nGC_28)*coupl(nGC_47) - 6d0*coupl(       &
                      nGC_2481)*coupl(nGC_30)*coupl(nGC_35) - 6d0*coupl(       &
                      nGC_2531)*coupl(nGC_30)*coupl(nGC_47) - 3d0*coupl(       &
                      nGC_2531)*coupl(nGC_31)*coupl(nGC_35) - 6d0*coupl(nGC_30 &
                      )*coupl(nGC_427)*coupl(nGC_46) - 3d0*coupl(nGC_31)*coupl(&
                      nGC_34)*coupl(nGC_427) - 3d0*coupl(nGC_421)*coupl(nGC_57 &
                      )*coupl(nGC_67) - 6d0*coupl(nGC_421)*coupl(nGC_61)*coupl(&
                      nGC_66))/(96d0*pi**2d0)
    coupl(nGC_5160) = (-32d0*Nc*cima*coupl(nGC_106)*coupl(nGC_107)*coupl(nGC_50&
                      )**2d0 + 40d0*Nc*cima*coupl(nGC_106)*coupl(nGC_107)*coupl&
                      (nGC_50)*coupl(nGC_53) - 32d0*Nc*cima*coupl(nGC_106)*    &
                      coupl(nGC_107)*coupl(nGC_53)**2d0 - 32d0*Nc*cima*coupl(  &
                      nGC_111)*coupl(nGC_112)*coupl(nGC_51)**2d0 + 40d0*Nc*cima&
                      *coupl(nGC_111)*coupl(nGC_112)*coupl(nGC_51)*coupl(nGC_54&
                      ) - 32d0*Nc*cima*coupl(nGC_111)*coupl(nGC_112)*coupl(    &
                      nGC_54)**2d0 - 32d0*Nc*cima*coupl(nGC_121)*coupl(nGC_122 &
                      )*coupl(nGC_51)**2d0 + 40d0*Nc*cima*coupl(nGC_121)*coupl(&
                      nGC_122)*coupl(nGC_51)*coupl(nGC_54) - 32d0*Nc*cima*coupl&
                      (nGC_121)*coupl(nGC_122)*coupl(nGC_54)**2d0 - 32d0*Nc*   &
                      cima*coupl(nGC_50)**2d0*coupl(nGC_81)*coupl(nGC_82) -    &
                      32d0*Nc*cima*coupl(nGC_50)**2d0*coupl(nGC_91)*coupl(     &
                      nGC_92) + 40d0*Nc*cima*coupl(nGC_50)*coupl(nGC_53)*coupl(&
                      nGC_81)*coupl(nGC_82) + 40d0*Nc*cima*coupl(nGC_50)*coupl(&
                      nGC_53)*coupl(nGC_91)*coupl(nGC_92) - 32d0*Nc*cima*coupl(&
                      nGC_51)**2d0*coupl(nGC_86)*coupl(nGC_87) + 40d0*Nc*cima* &
                      coupl(nGC_51)*coupl(nGC_54)*coupl(nGC_86)*coupl(nGC_87   &
                      ) - 32d0*Nc*cima*coupl(nGC_53)**2d0*coupl(nGC_81)*coupl( &
                      nGC_82) - 32d0*Nc*cima*coupl(nGC_53)**2d0*coupl(nGC_91)* &
                      coupl(nGC_92) - 32d0*Nc*cima*coupl(nGC_54)**2d0*coupl(   &
                      nGC_86)*coupl(nGC_87) - 32d0*cima*coupl(nGC_101)*coupl(  &
                      nGC_102)*coupl(nGC_52)**2d0 + 40d0*cima*coupl(nGC_101)*  &
                      coupl(nGC_102)*coupl(nGC_52)*coupl(nGC_55) - 32d0*cima*  &
                      coupl(nGC_101)*coupl(nGC_102)*coupl(nGC_55)**2d0 - 32d0* &
                      cima*coupl(nGC_116)*coupl(nGC_117)*coupl(nGC_52)**2d0 +  &
                      40d0*cima*coupl(nGC_116)*coupl(nGC_117)*coupl(nGC_52)*   &
                      coupl(nGC_55) - 32d0*cima*coupl(nGC_116)*coupl(nGC_117)* &
                      coupl(nGC_55)**2d0 + 4d0*cima*coupl(nGC_1691)**2d0*coupl(&
                      nGC_57)**2d0 + 4d0*cima*coupl(nGC_1691)**2d0*coupl(nGC_61&
                      )**2d0 + 12d0*cima*coupl(nGC_26)*coupl(nGC_469) + 9d0*   &
                      cima*coupl(nGC_32)*coupl(nGC_37)**2d0*coupl(nGC_569) +   &
                      4d0*cima*coupl(nGC_32)*coupl(nGC_477)**2d0*coupl(nGC_569 &
                      ) + 9d0*cima*coupl(nGC_32)*coupl(nGC_509)**2d0*coupl(    &
                      nGC_569) + 4d0*cima*coupl(nGC_32)*coupl(nGC_55)**2d0*    &
                      coupl(nGC_569) + 4d0*cima*coupl(nGC_421)**2d0*coupl(     &
                      nGC_57)**2d0 + 4d0*cima*coupl(nGC_421)**2d0*coupl(nGC_61 &
                      )**2d0 - 32d0*cima*coupl(nGC_52)**2d0*coupl(nGC_96)*coupl&
                      (nGC_97) + 40d0*cima*coupl(nGC_52)*coupl(nGC_55)*coupl(  &
                      nGC_96)*coupl(nGC_97) - 32d0*cima*coupl(nGC_55)**2d0*    &
                      coupl(nGC_96)*coupl(nGC_97) + 3d0*coupl(nGC_1691)*coupl( &
                      nGC_57)*coupl(nGC_66) + 3d0*coupl(nGC_1691)*coupl(nGC_61 &
                      )*coupl(nGC_67) + 18d0*coupl(nGC_26)*coupl(nGC_37)**2d0  &
                       + 18d0*coupl(nGC_26)*coupl(nGC_509)**2d0 - 6d0*coupl(   &
                      nGC_32)*coupl(nGC_37)*coupl(nGC_8) - 6d0*coupl(nGC_32)*  &
                      coupl(nGC_469)*coupl(nGC_569) - 6d0*coupl(nGC_32)*coupl( &
                      nGC_509)*coupl(nGC_7) + 6d0*coupl(nGC_32)*coupl(nGC_569)*&
                      coupl(nGC_63) - 6d0*coupl(nGC_37)*coupl(nGC_569)*coupl(  &
                      nGC_7) + 3d0*coupl(nGC_421)*coupl(nGC_57)*coupl(nGC_65   &
                      ) + 3d0*coupl(nGC_421)*coupl(nGC_61)*coupl(nGC_66) - 6d0*&
                      coupl(nGC_509)*coupl(nGC_569)*coupl(nGC_8))/(96d0*pi**2d0&
                      )
    coupl(nGC_5161) = (40d0*Nc*cima*coupl(nGC_108)*coupl(nGC_109)**3d0 + 40d0* &
                      Nc*cima*coupl(nGC_113)*coupl(nGC_114)**3d0 + 40d0*Nc*cima&
                      *coupl(nGC_123)*coupl(nGC_124)**3d0 + 40d0*Nc*cima*coupl(&
                      nGC_83)*coupl(nGC_84)**3d0 + 40d0*Nc*cima*coupl(nGC_88)* &
                      coupl(nGC_89)**3d0 + 40d0*Nc*cima*coupl(nGC_93)*coupl(   &
                      nGC_94)**3d0 + 40d0*cima*coupl(nGC_103)*coupl(nGC_104)** &
                      3d0 + 40d0*cima*coupl(nGC_118)*coupl(nGC_119)**3d0 - 5d0*&
                      cima*coupl(nGC_1691)**2d0*coupl(nGC_57)*coupl(nGC_61) -  &
                      5d0*cima*coupl(nGC_1691)*coupl(nGC_421)*coupl(nGC_61)**  &
                      2d0 - 5d0*cima*coupl(nGC_1933)**2d0*coupl(nGC_34)*coupl( &
                      nGC_46) - 5d0*cima*coupl(nGC_1933)*coupl(nGC_427)*coupl( &
                      nGC_46)**2d0 - 5d0*cima*coupl(nGC_2481)**2d0*coupl(nGC_35&
                      )*coupl(nGC_47) - 5d0*cima*coupl(nGC_2481)*coupl(nGC_2531&
                      )*coupl(nGC_47)**2d0 + 12d0*cima*coupl(nGC_30)*coupl(    &
                      nGC_31) + 6d0*cima*coupl(nGC_66)*coupl(nGC_67) + 40d0*   &
                      cima*coupl(nGC_98)*coupl(nGC_99)**3d0 + 3d0*coupl(       &
                      nGC_1691)*coupl(nGC_18)*coupl(nGC_61) + coupl(nGC_1691)* &
                      coupl(nGC_19)*coupl(nGC_57) - 2d0*coupl(nGC_1691)*coupl( &
                      nGC_57)*coupl(nGC_67) - 3d0*coupl(nGC_1691)*coupl(nGC_61 &
                      )*coupl(nGC_66) + 3d0*coupl(nGC_18)*coupl(nGC_1933)*coupl&
                      (nGC_46) + 3d0*coupl(nGC_18)*coupl(nGC_2481)*coupl(nGC_47&
                      ) + coupl(nGC_19)*coupl(nGC_1933)*coupl(nGC_34) + coupl( &
                      nGC_19)*coupl(nGC_2481)*coupl(nGC_35) + 2d0*coupl(nGC_19 &
                      )*coupl(nGC_2531)*coupl(nGC_47) + 2d0*coupl(nGC_19)*coupl&
                      (nGC_421)*coupl(nGC_61) + 2d0*coupl(nGC_19)*coupl(nGC_427&
                      )*coupl(nGC_46) - 3d0*coupl(nGC_1933)*coupl(nGC_30)*coupl&
                      (nGC_46) - 2d0*coupl(nGC_1933)*coupl(nGC_31)*coupl(nGC_34&
                      ) - 3d0*coupl(nGC_2481)*coupl(nGC_30)*coupl(nGC_47) - 2d0&
                      *coupl(nGC_2481)*coupl(nGC_31)*coupl(nGC_35) - coupl(    &
                      nGC_2531)*coupl(nGC_31)*coupl(nGC_47) - coupl(nGC_31)*   &
                      coupl(nGC_427)*coupl(nGC_46) - coupl(nGC_421)*coupl(     &
                      nGC_61)*coupl(nGC_67))/(32d0*pi**2d0)
    coupl(nGC_8298) = coupl(nGC_5234) + coupl(nGC_74)*dZHh_QED2/2d0 + coupl(   &
                      nGC_75)*dZHlHh_QED2/2d0 + coupl(nGC_TS_GC_18_Hl) + coupl(&
                      nGC_TS_GC_19_Hh)
    coupl(nGC_8054) = coupl(nGC_5443) + coupl(nGC_TS_GC_83_Hl) + coupl(        &
                      nGC_TS_GC_84_Hh)
    coupl(nGC_7101) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_5273)
    coupl(nGC_7832) = coupl(nGC_7101) + coupl(nGC_7831)
    coupl(nGC_7833) = coupl(nGC_7101) + coupl(nGC_7827)
    coupl(nGC_10637) = coupl(nGC_10631) + coupl(nGC_10636)
    coupl(nGC_8854) = coupl(nGC_5428) + coupl(nGC_MHH)*dZHh_QED2 + coupl(      &
                      nGC_TS_GC_77_Hh) + coupl(nGC_TS_GC_79_Hl)
    coupl(nGC_7739) = coupl(nGC_7493) + coupl(nGC_7737)
    coupl(nGC_7738) = coupl(nGC_7493) + coupl(nGC_7736)
    coupl(nGC_8756) = coupl(nGC_7101) + coupl(nGC_8752)
    coupl(nGC_7058) = coupl(nGC_5276) + coupl(nGC_54)*dZZ_QED2/2d0 + coupl(    &
                      nGC_54)*dZcL_QED2
    coupl(nGC_8755) = coupl(nGC_7101) + coupl(nGC_8754)
    coupl(nGC_7085) = coupl(nGC_7082) - coupl(nGC_7083)/2d0
    coupl(nGC_8323) = coupl(nGC_3)*dZAZ_QED2/2d0 + coupl(nGC_37)*dZZ_QED2/2d0  &
                       + coupl(nGC_5216)
    coupl(nGC_8288) = coupl(nGC_7414) + coupl(nGC_8285)
    coupl(nGC_7242) = coupl(nGC_7054) + coupl(nGC_7240)
    coupl(nGC_8287) = coupl(nGC_7414) + coupl(nGC_8286)
    coupl(nGC_7847) = coupl(nGC_5276) + coupl(nGC_54)*dZZ_QED2/2d0 + coupl(    &
                      nGC_54)*dZuL_QED2
    coupl(nGC_13507) = coupl(nGC_5433) + coupl(nGC_TS_GC_123_Hl) + coupl(      &
                       nGC_TS_GC_124_Hh)
    coupl(nGC_7849) = coupl(nGC_7054) + coupl(nGC_7848)
    coupl(nGC_14222) = -coupl(nGC_4920)
    coupl(nGC_10742) = coupl(nGC_5257) + coupl(nGC_57)*dZHlHh_QED2/2d0 + coupl(&
                       nGC_61)*dZHh_QED2/2d0 + coupl(nGC_61)*dZZ_QED2/2d0
    coupl(nGC_4887) = (4d0*Nc*coupl(nGC_1)*coupl(nGC_105)**2d0 + 4d0*Nc*coupl( &
                      nGC_1)*coupl(nGC_110)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl(  &
                      nGC_120)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl(nGC_80)**2d0 + &
                      4d0*Nc*coupl(nGC_1)*coupl(nGC_85)**2d0 + 4d0*Nc*coupl(   &
                      nGC_1)*coupl(nGC_90)**2d0 - 4d0*Nc*coupl(nGC_105)**2d0*  &
                      coupl(nGC_2) - 4d0*Nc*coupl(nGC_110)**2d0*coupl(nGC_2) - &
                      4d0*Nc*coupl(nGC_120)**2d0*coupl(nGC_2) - 4d0*Nc*coupl(  &
                      nGC_2)*coupl(nGC_80)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(   &
                      nGC_85)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(nGC_90)**2d0 +  &
                      4d0*coupl(nGC_100)**2d0*coupl(nGC_4) + 4d0*coupl(nGC_115 &
                      )**2d0*coupl(nGC_4) - 6d0*coupl(nGC_1933)*coupl(nGC_3)*  &
                      coupl(nGC_46) - 6d0*coupl(nGC_3)*coupl(nGC_32)*coupl(    &
                      nGC_569) - 6d0*coupl(nGC_3)*coupl(nGC_34)*coupl(nGC_427  &
                      ) + coupl(nGC_4)*coupl(nGC_477)**2d0 + coupl(nGC_4)*coupl&
                      (nGC_647)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_95)**2d0)/(  &
                      96d0*pi**2d0)
    coupl(nGC_4888) = (coupl(nGC_2531)*coupl(nGC_4)*coupl(nGC_569) - 6d0*coupl(&
                      nGC_3)*coupl(nGC_32)*coupl(nGC_35) - 6d0*coupl(nGC_32)*  &
                      coupl(nGC_34)*coupl(nGC_551) + coupl(nGC_427)*coupl(     &
                      nGC_569)*coupl(nGC_647))/(96d0*pi**2d0)
    coupl(nGC_4889) = (-8d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_84) - 8d0*Nc*cMC&
                      *coupl(nGC_2)**2d0*coupl(nGC_89) - 8d0*Nc*cMD*coupl(nGC_1&
                      )**2d0*coupl(nGC_94) - 8d0*Nc*cMS*coupl(nGC_1)**2d0*coupl&
                      (nGC_109) - 8d0*Nc*cMT*coupl(nGC_114)*coupl(nGC_2)**2d0  &
                       - 8d0*Nc*cMU*coupl(nGC_124)*coupl(nGC_2)**2d0 - 8d0*cME*&
                      coupl(nGC_4)**2d0*coupl(nGC_99) - 8d0*cMM*coupl(nGC_104)*&
                      coupl(nGC_4)**2d0 - 8d0*cMTA*coupl(nGC_119)*coupl(nGC_4  &
                      )**2d0 + 4d0*cima*coupl(nGC_70)*coupl(nGC_817) - coupl(  &
                      nGC_1933)*coupl(nGC_551)*coupl(nGC_71) - coupl(nGC_2481)*&
                      coupl(nGC_3)*coupl(nGC_71) + 6d0*coupl(nGC_3)**2d0*coupl(&
                      nGC_70) - coupl(nGC_3)*coupl(nGC_47)*coupl(nGC_71) -     &
                      coupl(nGC_46)*coupl(nGC_551)*coupl(nGC_71) + 6d0*coupl(  &
                      nGC_551)**2d0*coupl(nGC_70))/(32d0*pi**2d0)
    coupl(nGC_7603) = -coupl(nGC_7602)
    coupl(nGC_9033) = coupl(nGC_34)*dZHl_QED2/2d0 + coupl(nGC_34)*dZWMinus_QED2&
                      /2d0 + coupl(nGC_46)*dZHhHl_QED2/2d0 + coupl(nGC_5247)
    coupl(nGC_9034) = -coupl(nGC_9033)
    coupl(nGC_5044) = (-coupl(nGC_120)*coupl(nGC_2531)*coupl(nGC_33) - coupl(  &
                      nGC_120)*coupl(nGC_90)*coupl(nGC_93) - coupl(nGC_121)**  &
                      2d0*coupl(nGC_123) - coupl(nGC_121)*coupl(nGC_421)*coupl(&
                      nGC_54) - coupl(nGC_121)*coupl(nGC_51)*coupl(nGC_57) -   &
                      coupl(nGC_123)**3d0 - coupl(nGC_123)*coupl(nGC_124)**2d0 &
                       + 8d0*coupl(nGC_123)*coupl(nGC_2)**2d0 + 8d0*coupl(     &
                      nGC_123)*coupl(nGC_51)*coupl(nGC_54))/(32d0*pi**2d0)
    coupl(nGC_7314) = coupl(nGC_7311) - 2d0*coupl(nGC_7312)
    coupl(nGC_7313) = -coupl(nGC_7311)/2d0 + coupl(nGC_7312)
    coupl(nGC_7495) = coupl(nGC_7493) + coupl(nGC_7494)
    coupl(nGC_13722) = -coupl(nGC_4894)
    coupl(nGC_7496) = coupl(nGC_7492) + coupl(nGC_7493)
    coupl(nGC_8037) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_5238) + coupl(     &
                      nGC_55)*dZZA_QED2/2d0
    coupl(nGC_8246) = coupl(nGC_8237) + coupl(nGC_8245)
    coupl(nGC_7399) = coupl(nGC_7396) + coupl(nGC_7398)
    coupl(nGC_7850) = coupl(nGC_7054) + coupl(nGC_7847)
    coupl(nGC_8891) = -coupl(nGC_8890)
    coupl(nGC_8879) = coupl(nGC_8876) + coupl(nGC_8878)
    coupl(nGC_12077) = -coupl(nGC_10742)
    coupl(nGC_14070) = -coupl(nGC_4887)
    coupl(nGC_8536) = coupl(nGC_8530) + coupl(nGC_8535)
    coupl(nGC_7061) = coupl(nGC_7054) + coupl(nGC_7058)
    coupl(nGC_8324) = -coupl(nGC_8323)
    coupl(nGC_13585) = -coupl(nGC_4888)
    coupl(nGC_13999) = -coupl(nGC_4921)
    coupl(nGC_7102) = coupl(nGC_7100) + coupl(nGC_7101)
    coupl(nGC_7103) = coupl(nGC_7096) + coupl(nGC_7101)
    coupl(nGC_8491) = coupl(nGC_8484) + coupl(nGC_8490)
    coupl(nGC_13508) = coupl(nGC_13499) + coupl(nGC_13507)
    coupl(nGC_7476) = coupl(nGC_7101) + coupl(nGC_7473)
    coupl(nGC_7477) = coupl(nGC_7101) + coupl(nGC_7475)
    coupl(nGC_9684) = coupl(nGC_7101) + coupl(nGC_9682)
    coupl(nGC_7626) = -coupl(nGC_7625)
    coupl(nGC_14521) = -coupl(nGC_5047)
    coupl(nGC_8038) = -coupl(nGC_8037)
    coupl(nGC_8055) = coupl(nGC_8050) + coupl(nGC_8054)
    coupl(nGC_7132) = coupl(nGC_7101) + coupl(nGC_7128)
    coupl(nGC_7131) = coupl(nGC_7101) + coupl(nGC_7130)
    coupl(nGC_10499) = coupl(nGC_10494) + coupl(nGC_10498)
    coupl(nGC_9683) = coupl(nGC_7101) + coupl(nGC_9680)
  end subroutine fill_CTcouplings_mdl5
end module fill_ctcouplings5
