!******************************************************************************!
!                                                                              !
!    ctparameter0.f90                                                          !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter0.f90                               |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2019-10-09 13:26             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter0
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter0()
  dZnu_eL_QED2 = (-2d0*Ten265*coupl(nGC_56)**2d0 + Ten510*(2d0*coupl(nGC_33)** &
                 2d0 + coupl(nGC_95)**2d0) + Ten511*(2d0*coupl(nGC_33)**2d0 +  &
                 coupl(nGC_95)**2d0) + pi**2d0*(-coupl(nGC_33)**2d0/pi**2d0 -  &
                 coupl(nGC_56)**2d0/pi**2d0))/(16d0*pi**2d0)
  dZnu_eL_QED2 = cone*real(dZnu_eL_QED2,kind=dp)
end subroutine set_ctparameter0
end module ctparameter0
