!******************************************************************************!
!                                                                              !
!    ctparameter127.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter127.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2019-10-09 13:26             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter127
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter127()
  if (dZtauMinusL_QED2_scheme .eq. 1) then
    dZtauMinusL_QED2 = (2d0*Ten492*coupl(nGC_4)**2d0 + 2d0*Ten493*coupl(nGC_55 &
                       )**2d0 + 2d0*Ten496*coupl(nGC_4)**2d0 - 2d0*Ten497*coupl&
                       (nGC_33)**2d0 + 2d0*Ten498*coupl(nGC_55)**2d0 - 4d0*    &
                       Ten503*cMTA_reg**2d0*coupl(nGC_4)**2d0 + 4d0*Ten507*    &
                       cMTA_reg**2d0*coupl(nGC_4)**2d0 + pi**2d0*(-coupl(nGC_33&
                       )**2d0/pi**2d0 - coupl(nGC_4)**2d0/pi**2d0 - coupl(     &
                       nGC_55)**2d0/pi**2d0))/(16d0*pi**2d0)
    dZtauMinusL_QED2 = cone*real(dZtauMinusL_QED2,kind=dp)
  end if 
end subroutine set_ctparameter127
end module ctparameter127
