!******************************************************************************!
!                                                                              !
!    currents_info1.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   currents_info1.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2019-10-09 13:25             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module currents_info1
  implicit none
  contains
  subroutine fill_current_1(check)
    use class_particles
    use current_keys, only: createCurrent
    logical, intent(in) :: check
    call createCurrent(P_GMinus, P_G0, P_A, P_WPlus, 373, check)
    call createCurrent(P_WPlus, P_GPlus, P_GMinus, P_WMinus, 418, check)
    call createCurrent(P_GPlus, P_b, P_tAnti, 998, check)
    call createCurrent(P_GPlus, P_A, P_Z, P_GMinus, 767, check)
    call createCurrent(P_G0, P_WMinus, P_WPlus, P_G0, 180, check)
    call createCurrent(P_Z, P_Hl, P_GPlus, P_WMinus, 197, check)
    call createCurrent(P_GPlus, P_Hl, P_GMinus, 1257, check)
    call createCurrent(P_Hl, P_WMinus, P_A, P_GPlus, 314, check)
    call createCurrent(P_g, P_g, P_Hl, P_Hl, 1544, check)
    call createCurrent(P_Hh, P_cAnti, P_c, 500, check)
    call createCurrent(P_Hh, P_Hl, P_Hh, P_Hh, 814, check)
    call createCurrent(P_G0, P_G0, P_G0, P_G0, 1212, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_G0, 285, check)
    call createCurrent(P_GPlus, P_Hh, P_WMinus, P_Z, 1139, check)
    call createCurrent(P_GPlus, P_Hl, P_GMinus, P_Hl, 1026, check)
    call createCurrent(P_g, P_cAnti, P_c, 1019, check)
    call createCurrent(P_WMinus, P_G0, P_G0, P_WPlus, 1031, check)
    call createCurrent(P_Hl, P_Z, P_Z, 1202, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, 190, check)
    call createCurrent(P_Hl, P_G0, P_G0, P_Hh, 580, check)
    call createCurrent(P_sAnti, P_g, P_s, 599, check)
    call createCurrent(P_ghWp, P_Hh, P_ghWpAnti, 89, check)
    call createCurrent(P_Z, P_Hh, P_A, P_Hh, 1465, check)
    call createCurrent(P_A, P_ePlus, P_eMinus, 526, check)
    call createCurrent(P_g, P_Hh, P_g, P_Hl, 1624, check)
    call createCurrent(P_GMinus, P_Hl, P_GPlus, P_Hh, 1183, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_Hh, 119, check)
    call createCurrent(P_tauMinus, P_tauPlus, 1408, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_GPlus, 15, check)
    call createCurrent(P_GPlus, P_Hl, P_Z, P_WMinus, 253, check)
    call createCurrent(P_Z, P_tauPlus, P_tauMinus, 935, check)
    call createCurrent(P_WMinus, P_dAnti, P_u, 58, check)
    call createCurrent(P_muPlus, P_muMinus, P_Hh, 525, check)
    call createCurrent(P_G0, P_g, P_G0, P_g, 1545, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghA, 649, check)
    call createCurrent(P_Z, P_WPlus, P_A, P_WMinus, 933, check)
    call createCurrent(P_A, P_Hl, P_A, 1618, check)
    call createCurrent(P_WPlus, P_Z, P_A, P_WMinus, 271, check)
    call createCurrent(P_G0, P_GPlus, P_Z, P_WMinus, 1172, check)
    call createCurrent(P_GMinus, P_Hh, P_WPlus, 421, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, P_A, 1461, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, P_Hl, 1020, check)
    call createCurrent(P_GPlus, P_Z, P_Hh, P_WMinus, 139, check)
    call createCurrent(P_ghWm, P_Hl, P_ghWmAnti, 839, check)
    call createCurrent(P_A, P_Hl, P_A, P_Hl, 1613, check)
    call createCurrent(P_Z, P_WPlus, P_Z, P_WMinus, 240, check)
    call createCurrent(P_A, P_Hl, P_Hh, P_Z, 1393, check)
    call createCurrent(P_GMinus, P_GPlus, P_Hl, P_Hl, 698, check)
    call createCurrent(P_A, P_ghWm, P_ghWmAnti, 985, check)
    call createCurrent(P_dAnti, P_d, P_Hl, 1207, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, P_Hh, 765, check)
    call createCurrent(P_bAnti, P_b, P_g, 459, check)
    call createCurrent(P_cAnti, P_Z, P_c, 1195, check)
    call createCurrent(P_GPlus, P_Hh, P_Hl, P_GMinus, 1003, check)
    call createCurrent(P_eMinus, P_WPlus, P_nu_eAnti, 710, check)
    call createCurrent(P_uAnti, P_u, P_Hl, 519, check)
    call createCurrent(P_GPlus, P_GMinus, P_WPlus, P_WMinus, 268, check)
    call createCurrent(P_Z, P_ePlus, P_eMinus, 381, check)
    call createCurrent(P_A, P_tauPlus, P_tauMinus, 1264, check)
    call createCurrent(P_A, P_Hh, P_A, 1531, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, P_Z, 893, check)
    call createCurrent(P_t, P_Z, P_tAnti, 249, check)
    call createCurrent(P_G0, P_dAnti, P_d, 949, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_ghWp, 220, check)
    call createCurrent(P_GPlus, P_Hl, P_A, P_WMinus, 1334, check)
    call createCurrent(P_Hl, P_GPlus, P_A, P_WMinus, 803, check)
    call createCurrent(P_s, P_Z, P_sAnti, 91, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, P_Z, 579, check)
    call createCurrent(P_Hl, P_muMinus, P_muPlus, 383, check)
    call createCurrent(P_nu_e, P_WMinus, P_ePlus, 954, check)
    call createCurrent(P_eMinus, P_Hh, P_ePlus, 628, check)
    call createCurrent(P_GMinus, P_dAnti, P_u, 30, check)
    call createCurrent(P_t, P_Hl, P_tAnti, 1188, check)
    call createCurrent(P_g, P_g, P_Hh, P_Hh, 1581, check)
    call createCurrent(P_A, P_muPlus, P_muMinus, 1220, check)
    call createCurrent(P_WMinus, P_GMinus, P_GPlus, P_WPlus, 108, check)
    call createCurrent(P_G0, P_uAnti, P_u, 1029, check)
    call createCurrent(P_Hh, P_Hl, P_Hh, P_Hl, 544, check)
    call createCurrent(P_Hh, P_Hh, P_Hl, 1339, check)
    call createCurrent(P_G0, P_c, P_cAnti, 707, check)
    call createCurrent(P_GPlus, P_Hh, P_WMinus, P_A, 615, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, 794, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, P_Z, 42, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, P_G0, 50, check)
    call createCurrent(P_Hh, P_Hl, P_Hl, P_Hl, 444, check)
    call createCurrent(P_GPlus, P_Hh, P_A, P_WMinus, 455, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, P_A, 1520, check)
    call createCurrent(P_Hh, P_Hl, P_Hl, 376, check)
    call createCurrent(P_Hh, P_Hh, P_Hl, P_Hh, 705, check)
    call createCurrent(P_WMinus, P_g, P_WPlus, P_g, 1542, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, P_Hh, 721, check)
    call createCurrent(P_Hl, P_G0, P_Z, 1086, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_Hh, 507, check)
    call createCurrent(P_A, P_G0, P_Hh, 1406, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_WPlus, 1, check)
    call createCurrent(P_g, P_A, P_g, P_Z, 1656, check)
    call createCurrent(P_u, P_uAnti, P_Hh, 219, check)
    call createCurrent(P_Hh, P_ghWp, P_ghWpAnti, 1282, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, P_A, 1415, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, P_G0, 1111, check)
    call createCurrent(P_Hl, P_WPlus, P_GMinus, 1145, check)
    call createCurrent(P_A, P_G0, P_WPlus, P_GMinus, 320, check)
    call createCurrent(P_Z, P_uAnti, P_u, 1210, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, P_Z, 842, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_Hh, 937, check)
    call createCurrent(P_Z, P_WMinus, P_G0, P_GPlus, 146, check)
    call createCurrent(P_GPlus, P_nu_muAnti, P_muMinus, 915, check)
    call createCurrent(P_Hl, P_A, P_WPlus, P_GMinus, 1295, check)
    call createCurrent(P_dAnti, P_g, P_d, 923, check)
    call createCurrent(P_Hh, P_Hl, P_GPlus, P_GMinus, 1022, check)
    call createCurrent(P_c, P_cAnti, P_A, 1345, check)
    call createCurrent(P_G0, P_A, P_Hh, 1459, check)
    call createCurrent(P_WPlus, P_Hl, P_Hl, P_WMinus, 589, check)
    call createCurrent(P_WPlus, P_g, P_WMinus, P_g, 1610, check)
    call createCurrent(P_tAnti, P_t, P_A, 957, check)
    call createCurrent(P_Hl, P_Z, P_A, P_Hl, 1470, check)
    call createCurrent(P_WMinus, P_WPlus, P_Hl, 1037, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_GPlus, 841, check)
    call createCurrent(P_WMinus, P_Hl, P_WPlus, P_Hl, 523, check)
    call createCurrent(P_c, P_sAnti, P_WMinus, 871, check)
    call createCurrent(P_Hh, P_A, P_WMinus, P_GPlus, 402, check)
    call createCurrent(P_A, P_d, P_dAnti, 687, check)
    call createCurrent(P_GPlus, P_tauMinus, P_nu_tauAnti, 560, check)
    call createCurrent(P_ePlus, P_Hh, P_eMinus, 1117, check)
    call createCurrent(P_WPlus, P_ghZ, P_ghWpAnti, 299, check)
    call createCurrent(P_muPlus, P_nu_mu, P_WMinus, 11, check)
    call createCurrent(P_A, P_Hl, P_Z, P_Hh, 1523, check)
    call createCurrent(P_Hl, P_Z, P_G0, 1230, check)
    call createCurrent(P_Hl, P_GPlus, P_WMinus, P_Z, 144, check)
    call createCurrent(P_Z, P_G0, P_WMinus, P_GPlus, 745, check)
    call createCurrent(P_sAnti, P_A, P_s, 1303, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, P_A, 1261, check)
    call createCurrent(P_WMinus, P_GPlus, P_WPlus, P_GMinus, 1176, check)
    call createCurrent(P_Hh, P_Hl, P_WPlus, P_WMinus, 1289, check)
    call createCurrent(P_WPlus, P_Hh, P_A, P_GMinus, 156, check)
    call createCurrent(P_GPlus, P_Hh, P_GMinus, 254, check)
    call createCurrent(P_Hh, P_Hl, 1416, check)
    call createCurrent(P_Hh, P_A, P_A, P_Hh, 1584, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, P_Hh, 559, check)
    call createCurrent(P_A, P_nu_muAnti, P_nu_mu, 1513, check)
    call createCurrent(P_Z, P_A, P_Hl, P_Hh, 1439, check)
    call createCurrent(P_GMinus, P_ghZAnti, P_ghWp, 991, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, P_G0, 600, check)
    call createCurrent(P_uAnti, P_u, P_g, 354, check)
    call createCurrent(P_Z, P_A, P_Hl, 1462, check)
    call createCurrent(P_ghWp, P_A, P_ghWpAnti, 148, check)
    call createCurrent(P_u, P_uAnti, 1526, check)
    call createCurrent(P_Z, P_Hh, P_GPlus, P_WMinus, 71, check)
    call createCurrent(P_ghWpAnti, P_Hh, P_ghWp, 1231, check)
    call createCurrent(P_G0, P_Hh, P_G0, 537, check)
    call createCurrent(P_ghZ, P_Hl, P_ghZAnti, 167, check)
    call createCurrent(P_GPlus, P_Hl, P_Hl, P_GMinus, 1065, check)
    call createCurrent(P_tAnti, P_t, P_Z, 484, check)
    call createCurrent(P_WPlus, P_GMinus, P_WMinus, P_GPlus, 407, check)
    call createCurrent(P_GMinus, P_A, P_Hl, P_WPlus, 428, check)
    call createCurrent(P_Hl, P_A, P_Hh, P_Z, 1490, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, P_Hl, 181, check)
    call createCurrent(P_WMinus, P_G0, P_Z, P_GPlus, 677, check)
    call createCurrent(P_sAnti, P_s, P_Z, 1323, check)
    call createCurrent(P_Z, P_Hl, P_Z, P_Hh, 1314, check)
    call createCurrent(P_Hh, P_ghZAnti, P_ghZ, 748, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_G0, 1143, check)
    call createCurrent(P_Hh, P_Hh, P_WPlus, P_WMinus, 716, check)
    call createCurrent(P_G0, P_Z, P_WPlus, P_GMinus, 695, check)
    call createCurrent(P_WMinus, P_Hl, P_Hh, P_WPlus, 244, check)
    call createCurrent(P_Z, P_Z, P_GMinus, P_GPlus, 976, check)
    call createCurrent(P_cAnti, P_c, 1424, check)
    call createCurrent(P_c, P_cAnti, P_G0, 641, check)
    call createCurrent(P_GPlus, P_eMinus, P_nu_eAnti, 491, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Z, 845, check)
    call createCurrent(P_G0, P_tAnti, P_t, 785, check)
    call createCurrent(P_Z, P_G0, P_Z, P_G0, 159, check)
    call createCurrent(P_s, P_GPlus, P_cAnti, 1217, check)
    call createCurrent(P_Hl, P_Z, P_GMinus, P_WPlus, 630, check)
    call createCurrent(P_dAnti, P_d, P_g, 1049, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Hh, 330, check)
    call createCurrent(P_WMinus, P_G0, P_A, P_GPlus, 858, check)
    call createCurrent(P_Z, P_Hl, P_Z, 161, check)
    call createCurrent(P_c, P_cAnti, 1505, check)
    call createCurrent(P_Hl, P_A, P_A, P_Hh, 1564, check)
    call createCurrent(P_ePlus, P_eMinus, P_Hh, 963, check)
    call createCurrent(P_Hh, P_GPlus, P_WMinus, P_A, 57, check)
    call createCurrent(P_Z, P_GPlus, P_Hl, P_WMinus, 1053, check)
    call createCurrent(P_GMinus, P_A, P_A, P_GPlus, 92, check)
    call createCurrent(P_GPlus, P_s, P_cAnti, 75, check)
    call createCurrent(P_muPlus, P_muMinus, P_A, 203, check)
    call createCurrent(P_A, P_WMinus, P_Hl, P_GPlus, 690, check)
    call createCurrent(P_s, P_sAnti, P_g, 665, check)
    call createCurrent(P_uAnti, P_Z, P_u, 239, check)
    call createCurrent(P_GMinus, P_Hl, P_Z, P_WPlus, 1165, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_WPlus, 168, check)
    call createCurrent(P_Hh, P_tAnti, P_t, 1148, check)
    call createCurrent(P_A, P_Hh, P_A, P_Hh, 1632, check)
    call createCurrent(P_d, P_dAnti, 1402, check)
    call createCurrent(P_t, P_Hh, P_tAnti, 1364, check)
    call createCurrent(P_nu_e, P_ePlus, P_WMinus, 449, check)
    call createCurrent(P_Z, P_nu_e, P_nu_eAnti, 1252, check)
    call createCurrent(P_sAnti, P_s, P_Hl, 902, check)
    call createCurrent(P_WMinus, P_WPlus, P_Hl, P_Hl, 700, check)
    call createCurrent(P_G0, P_d, P_dAnti, 53, check)
    call createCurrent(P_bAnti, P_G0, P_b, 784, check)
    call createCurrent(P_GPlus, P_Hl, P_Hh, P_GMinus, 482, check)
    call createCurrent(P_GPlus, P_G0, P_GMinus, P_G0, 1130, check)
    call createCurrent(P_u, P_uAnti, P_A, 134, check)
    call createCurrent(P_GMinus, P_A, P_Hh, P_WPlus, 973, check)
    call createCurrent(P_A, P_Hh, P_G0, 1391, check)
    call createCurrent(P_bAnti, P_Z, P_b, 621, check)
    call createCurrent(P_A, P_Z, P_Hl, P_Hl, 1394, check)
    call createCurrent(P_Z, P_GMinus, P_Hh, P_WPlus, 127, check)
    call createCurrent(P_Hh, P_Hh, P_G0, P_G0, 1228, check)
    call createCurrent(P_G0, P_tauPlus, P_tauMinus, 601, check)
    call createCurrent(P_d, P_dAnti, P_A, 225, check)
    call createCurrent(P_Z, P_GPlus, P_Z, P_GMinus, 114, check)
    call createCurrent(P_WMinus, P_Z, P_Hl, P_GPlus, 408, check)
    call createCurrent(P_Hl, P_A, P_G0, 1404, check)
    call createCurrent(P_WPlus, P_WMinus, 1433, check)
    call createCurrent(P_G0, P_Z, P_WMinus, P_GPlus, 234, check)
    call createCurrent(P_nu_tauAnti, P_A, P_nu_tau, 1474, check)
    call createCurrent(P_eMinus, P_Hl, P_ePlus, 186, check)
    call createCurrent(P_Z, P_nu_tauAnti, P_nu_tau, 1332, check)
    call createCurrent(P_muPlus, P_Hh, P_muMinus, 394, check)
    call createCurrent(P_Hl, P_t, P_tAnti, 1213, check)
    call createCurrent(P_A, P_A, P_GMinus, P_GPlus, 77, check)
    call createCurrent(P_Hh, P_g, P_Hh, P_g, 1652, check)
    call createCurrent(P_muPlus, P_muMinus, P_Hl, 401, check)
    call createCurrent(P_muPlus, P_A, P_muMinus, 123, check)
    call createCurrent(P_WMinus, P_A, P_G0, P_GPlus, 346, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, P_A, 143, check)
    call createCurrent(P_GPlus, P_A, P_A, P_GMinus, 1066, check)
    call createCurrent(P_eMinus, P_GPlus, P_nu_eAnti, 1061, check)
    call createCurrent(P_Z, P_Hh, P_WPlus, P_GMinus, 676, check)
    call createCurrent(P_ghWp, P_Z, P_ghWpAnti, 1274, check)
    call createCurrent(P_d, P_G0, P_dAnti, 734, check)
    call createCurrent(P_Hh, P_Z, P_A, P_Hl, 1485, check)
    call createCurrent(P_s, P_WPlus, P_cAnti, 930, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_Hl, 1196, check)
    call createCurrent(P_WPlus, P_G0, P_G0, P_WMinus, 728, check)
    call createCurrent(P_Hh, P_g, P_g, P_Hh, 1626, check)
    call createCurrent(P_Hl, P_WPlus, P_GMinus, P_Z, 706, check)
    call createCurrent(P_g, P_WMinus, P_g, P_WPlus, 1556, check)
    call createCurrent(P_dAnti, P_d, P_Hh, 1154, check)
    call createCurrent(P_Z, P_Hh, P_Z, 1247, check)
    call createCurrent(P_Z, P_Z, P_Z, P_A, 1577, check)
    call createCurrent(P_ghWpAnti, P_A, P_ghWp, 759, check)
    call createCurrent(P_G0, P_GMinus, P_Z, P_WPlus, 309, check)
    call createCurrent(P_uAnti, P_u, P_Hh, 779, check)
    call createCurrent(P_Hh, P_Z, P_GPlus, P_WMinus, 869, check)
    call createCurrent(P_g, P_Hl, P_Hl, P_g, 1629, check)
    call createCurrent(P_GPlus, P_g, P_GMinus, P_g, 1611, check)
    call createCurrent(P_GPlus, P_Hh, P_WMinus, 561, check)
    call createCurrent(P_Hh, P_A, P_G0, 1529, check)
    call createCurrent(P_A, P_Z, P_WMinus, P_WPlus, 550, check)
    call createCurrent(P_G0, P_Hl, P_G0, P_Hl, 68, check)
    call createCurrent(P_A, P_s, P_sAnti, 942, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, P_Z, 926, check)
    call createCurrent(P_Hl, P_Hh, P_Z, P_Z, 744, check)
    call createCurrent(P_A, P_WMinus, P_Z, P_WPlus, 620, check)
    call createCurrent(P_d, P_g, P_dAnti, 548, check)
    call createCurrent(P_g, P_t, P_tAnti, 547, check)
    call createCurrent(P_G0, P_Z, P_G0, P_Z, 490, check)
    call createCurrent(P_t, P_tAnti, 1425, check)
    call createCurrent(P_A, P_Z, P_Z, P_A, 1667, check)
    call createCurrent(P_GMinus, P_Hl, P_WPlus, 588, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghZ, 487, check)
    call createCurrent(P_GMinus, P_Hh, P_Hh, P_GPlus, 639, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, 1410, check)
    call createCurrent(P_GMinus, P_GMinus, P_GPlus, P_GPlus, 658, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, 1040, check)
    call createCurrent(P_WPlus, P_GMinus, P_Hh, P_Z, 305, check)
    call createCurrent(P_c, P_cAnti, P_g, 317, check)
    call createCurrent(P_dAnti, P_d, P_A, 1132, check)
    call createCurrent(P_u, P_uAnti, P_Z, 685, check)
    call createCurrent(P_WMinus, P_Hh, P_A, P_GPlus, 340, check)
    call createCurrent(P_nu_eAnti, P_nu_e, P_Z, 228, check)
    call createCurrent(P_t, P_bAnti, P_WMinus, 1047, check)
    call createCurrent(P_Hh, P_c, P_cAnti, 790, check)
    call createCurrent(P_Hl, P_G0, P_G0, P_Hl, 1082, check)
    call createCurrent(P_Hh, P_Hl, P_g, P_g, 1636, check)
    call createCurrent(P_Z, P_GMinus, P_Z, P_GPlus, 257, check)
    call createCurrent(P_g, P_b, P_bAnti, 1356, check)
    call createCurrent(P_A, P_b, P_bAnti, 416, check)
    call createCurrent(P_ePlus, P_eMinus, P_G0, 1159, check)
    call createCurrent(P_Hh, P_Hl, P_Hh, 1067, check)
    call createCurrent(P_G0, P_G0, P_Z, P_A, 1496, check)
    call createCurrent(P_g, P_g, P_A, P_A, 1609, check)
    call createCurrent(P_g, P_Z, P_Z, P_g, 1650, check)
    call createCurrent(P_A, P_Z, P_WPlus, P_WMinus, 1161, check)
    call createCurrent(P_GMinus, P_nu_tau, P_tauPlus, 132, check)
    call createCurrent(P_g, P_Hh, P_g, P_Hh, 1654, check)
    call createCurrent(P_A, P_Hh, P_Z, P_Hl, 1419, check)
    call createCurrent(P_A, P_WPlus, P_G0, P_GMinus, 1088, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_Hl, 292, check)
    call createCurrent(P_A, P_GMinus, P_Hh, P_WPlus, 513, check)
    call createCurrent(P_WPlus, P_WMinus, P_WMinus, P_WPlus, 434, check)
    call createCurrent(P_Hl, P_GPlus, P_Hh, P_GMinus, 1125, check)
    call createCurrent(P_g, P_GPlus, P_GMinus, P_g, 1534, check)
    call createCurrent(P_WMinus, P_WPlus, P_GPlus, P_GMinus, 793, check)
    call createCurrent(P_G0, P_A, P_G0, P_Z, 1522, check)
    call createCurrent(P_sAnti, P_s, P_G0, 554, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, P_Hh, 807, check)
    call createCurrent(P_b, P_Hl, P_bAnti, 800, check)
    call createCurrent(P_A, P_Hl, P_A, P_Hh, 1638, check)
    call createCurrent(P_u, P_G0, P_uAnti, 1335, check)
    call createCurrent(P_Z, P_Hh, P_Hh, P_A, 1446, check)
    call createCurrent(P_GMinus, P_GPlus, P_Hl, P_Hh, 865, check)
    call createCurrent(P_A, P_G0, P_G0, P_Z, 1442, check)
    call createCurrent(P_G0, P_sAnti, P_s, 1227, check)
    call createCurrent(P_WPlus, P_A, P_Hh, P_GMinus, 1328, check)
    call createCurrent(P_Z, P_Hl, P_WPlus, P_GMinus, 363, check)
    call createCurrent(P_ghWmAnti, P_G0, P_ghWm, 10, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, 126, check)
    call createCurrent(P_Hh, P_A, P_Hh, P_Z, 1512, check)
    call createCurrent(P_eMinus, P_ePlus, P_A, 1009, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_G0, 859, check)
    call createCurrent(P_Hh, P_GPlus, P_WMinus, 103, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, P_G0, 1136, check)
    call createCurrent(P_GPlus, P_GMinus, P_g, P_g, 1601, check)
    call createCurrent(P_A, P_Hl, P_Hh, P_A, 1602, check)
    call createCurrent(P_d, P_GPlus, P_uAnti, 720, check)
    call createCurrent(P_WPlus, P_GMinus, P_Hl, 76, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, 631, check)
    call createCurrent(P_d, P_dAnti, P_G0, 988, check)
    call createCurrent(P_WMinus, P_WPlus, P_WMinus, P_WPlus, 367, check)
    call createCurrent(P_Hh, P_Hh, P_GPlus, P_GMinus, 1267, check)
    call createCurrent(P_GPlus, P_WMinus, P_Hh, P_Z, 359, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, P_Z, 272, check)
    call createCurrent(P_WPlus, P_WMinus, P_G0, P_G0, 467, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_WPlus, 1147, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_GMinus, 51, check)
    call createCurrent(P_Hh, P_uAnti, P_u, 405, check)
    call createCurrent(P_Hl, P_Hh, P_g, P_g, 1637, check)
    call createCurrent(P_Hh, P_Hh, P_A, P_A, 1645, check)
    call createCurrent(P_Z, P_A, 1388, check)
    call createCurrent(P_s, P_Hl, P_sAnti, 494, check)
    call createCurrent(P_Z, P_eMinus, P_ePlus, 1024, check)
    call createCurrent(P_g, P_g, P_g, P_Z, 1566, check)
    call createCurrent(P_WMinus, P_Hh, P_WPlus, P_Hh, 141, check)
    call createCurrent(P_bAnti, P_WMinus, P_t, 445, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, P_Z, 912, check)
    call createCurrent(P_WMinus, P_Hh, P_Hh, P_WPlus, 1074, check)
    call createCurrent(P_Z, P_WPlus, P_G0, P_GMinus, 1268, check)
    call createCurrent(P_muPlus, P_GMinus, P_nu_mu, 648, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_GMinus, 1298, check)
    call createCurrent(P_d, P_uAnti, P_GPlus, 655, check)
    call createCurrent(P_Hh, P_Hl, P_Hl, P_Hh, 27, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_G0, 1326, check)
    call createCurrent(P_Hh, P_Hh, P_Hl, P_Hl, 1331, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, P_Hl, 645, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, 269, check)
    call createCurrent(P_GMinus, P_A, P_G0, P_WPlus, 541, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, 193, check)
    call createCurrent(P_G0, P_Z, P_Hl, 623, check)
    call createCurrent(P_c, P_Z, P_cAnti, 632, check)
    call createCurrent(P_A, P_Hl, P_Hl, P_A, 1634, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, P_Z, 609, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_Hl, 1134, check)
    call createCurrent(P_g, P_g, 1508, check)
    call createCurrent(P_G0, P_G0, P_Hh, 747, check)
    call createCurrent(P_Hl, P_GPlus, P_Hl, P_GMinus, 1197, check)
    call createCurrent(P_WMinus, P_ghZ, P_ghWmAnti, 916, check)
    call createCurrent(P_WPlus, P_nu_eAnti, P_eMinus, 1354, check)
    call createCurrent(P_WPlus, P_A, P_G0, P_GMinus, 110, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, P_Z, 395, check)
    call createCurrent(P_Hh, P_GPlus, P_GMinus, P_Hh, 956, check)
    call createCurrent(P_Hh, P_GMinus, P_WPlus, 229, check)
    call createCurrent(P_WPlus, P_ghA, P_ghWpAnti, 667, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, P_A, 1039, check)
    call createCurrent(P_c, P_cAnti, P_Hh, 1133, check)
    call createCurrent(P_G0, P_G0, P_Hl, P_Hl, 1320, check)
    call createCurrent(P_u, P_uAnti, P_g, 1004, check)
    call createCurrent(P_A, P_Hl, P_GMinus, P_WPlus, 351, check)
    call createCurrent(P_ghWm, P_Hh, P_ghWmAnti, 135, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghA, 626, check)
    call createCurrent(P_ePlus, P_nu_e, P_GMinus, 989, check)
    call createCurrent(P_Hl, P_Hh, P_A, P_A, 1661, check)
    call createCurrent(P_Hh, P_WMinus, P_WPlus, 771, check)
    call createCurrent(P_WPlus, P_A, P_Hl, P_GMinus, 924, check)
    call createCurrent(P_Hl, P_Z, P_A, P_Hh, 1480, check)
    call createCurrent(P_A, P_G0, P_WMinus, P_GPlus, 423, check)
    call createCurrent(P_WPlus, P_GMinus, 1427, check)
    call createCurrent(P_u, P_g, P_uAnti, 1069, check)
    call createCurrent(P_GPlus, P_G0, P_Z, P_WMinus, 518, check)
    call createCurrent(P_A, P_WPlus, P_Hh, P_GMinus, 849, check)
    call createCurrent(P_Hh, P_g, P_g, 1537, check)
    call createCurrent(P_WMinus, P_Hl, P_WPlus, P_Hh, 1315, check)
    call createCurrent(P_nu_tauAnti, P_GPlus, P_tauMinus, 160, check)
    call createCurrent(P_A, P_WPlus, P_Z, P_WMinus, 1271, check)
    call createCurrent(P_Hl, P_G0, P_G0, 288, check)
    call createCurrent(P_ePlus, P_eMinus, P_A, 497, check)
    call createCurrent(P_Hl, P_GMinus, P_GPlus, P_Hl, 98, check)
    call createCurrent(P_ePlus, P_eMinus, P_Hl, 196, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghAAnti, 770, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_GPlus, 730, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, 1370, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, P_Z, 6, check)
    call createCurrent(P_t, P_tAnti, P_A, 82, check)
    call createCurrent(P_Hh, P_A, P_GMinus, P_WPlus, 140, check)
    call createCurrent(P_G0, P_Hh, P_Hh, P_G0, 555, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_G0, 88, check)
    call createCurrent(P_Hh, P_WMinus, P_A, P_GPlus, 29, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, P_Hl, 1150, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_Hh, 516, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, P_A, 797, check)
    call createCurrent(P_Z, P_G0, P_G0, P_A, 1385, check)
    call createCurrent(P_sAnti, P_s, P_Hh, 538, check)
    call createCurrent(P_Z, P_A, P_Hl, P_Hl, 1481, check)
    call createCurrent(P_g, P_Z, P_g, P_Z, 1549, check)
    call createCurrent(P_GPlus, P_Z, P_Z, P_GMinus, 427, check)
    call createCurrent(P_t, P_tAnti, P_G0, 267, check)
    call createCurrent(P_Hl, P_Hl, P_Z, P_Z, 1374, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, 792, check)
    call createCurrent(P_d, P_WPlus, P_uAnti, 130, check)
    call createCurrent(P_dAnti, P_u, P_GMinus, 104, check)
    call createCurrent(P_A, P_Hh, P_Z, 1444, check)
    call createCurrent(P_Hh, P_WPlus, P_Z, P_GMinus, 230, check)
    call createCurrent(P_Hl, P_cAnti, P_c, 556, check)
    call createCurrent(P_muMinus, P_Hh, P_muPlus, 163, check)
    call createCurrent(P_Z, P_Hl, P_WMinus, P_GPlus, 840, check)
    call createCurrent(P_Hh, P_Hh, P_GMinus, P_GPlus, 0, check)
    call createCurrent(P_GPlus, P_G0, P_A, P_WMinus, 237, check)
    call createCurrent(P_G0, P_WMinus, P_G0, P_WPlus, 593, check)
    call createCurrent(P_Hl, P_WMinus, P_WPlus, 1018, check)
    call createCurrent(P_WMinus, P_nu_mu, P_muPlus, 1225, check)
    call createCurrent(P_WPlus, P_Z, P_G0, P_GMinus, 622, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, 1275, check)
    call createCurrent(P_G0, P_eMinus, P_ePlus, 1310, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, P_Hh, 106, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, 1377, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, P_Z, 598, check)
    call createCurrent(P_Hh, P_Hh, P_Hh, P_Hl, 184, check)
    call createCurrent(P_u, P_dAnti, P_WMinus, 16, check)
    call createCurrent(P_tAnti, P_GPlus, P_b, 336, check)
    call createCurrent(P_G0, P_Hl, P_G0, 189, check)
    call createCurrent(P_Hh, P_u, P_uAnti, 1340, check)
    call createCurrent(P_Z, P_Z, P_g, P_g, 1635, check)
    call createCurrent(P_s, P_A, P_sAnti, 1052, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_Hl, 452, check)
    call createCurrent(P_Z, P_A, P_A, P_A, 1574, check)
    call createCurrent(P_G0, P_WMinus, P_Z, P_GPlus, 1006, check)
    call createCurrent(P_Hl, P_A, P_Z, 1399, check)
    call createCurrent(P_muPlus, P_muMinus, P_G0, 390, check)
    call createCurrent(P_A, P_WPlus, P_Hl, P_GMinus, 527, check)
    call createCurrent(P_A, P_Z, P_A, P_Z, 1575, check)
    call createCurrent(P_WPlus, P_d, P_uAnti, 699, check)
    call createCurrent(P_Z, P_A, P_G0, P_G0, 1494, check)
    call createCurrent(P_GMinus, P_bAnti, P_t, 536, check)
    call createCurrent(P_tauPlus, P_Hl, P_tauMinus, 531, check)
    call createCurrent(P_Hh, P_GPlus, P_WMinus, P_Z, 1215, check)
    call createCurrent(P_GPlus, P_WMinus, P_Hh, P_A, 709, check)
    call createCurrent(P_cAnti, P_A, P_c, 1015, check)
    call createCurrent(P_A, P_Hh, P_Hl, P_A, 1548, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, P_Z, 760, check)
    call createCurrent(P_tauPlus, P_G0, P_tauMinus, 1072, check)
    call createCurrent(P_Hl, P_A, P_A, P_Hl, 1547, check)
    call createCurrent(P_tauMinus, P_WPlus, P_nu_tauAnti, 674, check)
    call createCurrent(P_A, P_Hl, P_WPlus, P_GMinus, 397, check)
    call createCurrent(P_g, P_g, P_Hl, 1605, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, P_G0, 1093, check)
    call createCurrent(P_WMinus, P_ghZAnti, P_ghWp, 727, check)
    call createCurrent(P_nu_e, P_nu_eAnti, P_Z, 758, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, P_Z, 1185, check)
    call createCurrent(P_eMinus, P_ePlus, P_Hl, 829, check)
    call createCurrent(P_muMinus, P_muPlus, 1448, check)
    call createCurrent(P_Hh, P_WPlus, P_WMinus, P_Hh, 1038, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, P_Hh, 713, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, P_A, 583, check)
    call createCurrent(P_bAnti, P_b, P_G0, 729, check)
    call createCurrent(P_g, P_GMinus, P_GPlus, P_g, 1647, check)
    call createCurrent(P_Z, P_nu_tau, P_nu_tauAnti, 820, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghZ, 1095, check)
    call createCurrent(P_GPlus, P_GMinus, P_Hh, P_Hl, 1283, check)
    call createCurrent(P_WPlus, P_nu_muAnti, P_muMinus, 1104, check)
    call createCurrent(P_muMinus, P_muPlus, P_A, 704, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_G0, 789, check)
    call createCurrent(P_dAnti, P_d, P_Z, 701, check)
    call createCurrent(P_Z, P_WMinus, P_Hl, P_GPlus, 1287, check)
    call createCurrent(P_G0, P_Hh, P_Hl, P_G0, 1318, check)
    call createCurrent(P_WMinus, P_c, P_sAnti, 231, check)
    call createCurrent(P_WMinus, P_WPlus, P_Hl, P_Hh, 1270, check)
    call createCurrent(P_GMinus, P_Hl, P_A, P_WPlus, 1341, check)
    call createCurrent(P_A, P_Z, 1507, check)
    call createCurrent(P_Hl, P_WPlus, P_Hl, P_WMinus, 682, check)
    call createCurrent(P_WPlus, P_Hh, P_WMinus, 185, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, P_G0, 847, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_Hl, 45, check)
    call createCurrent(P_G0, P_A, P_WMinus, P_GPlus, 73, check)
    call createCurrent(P_b, P_bAnti, P_G0, 666, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, 115, check)
    call createCurrent(P_GPlus, P_Hh, P_Hh, P_GMinus, 207, check)
    call createCurrent(P_tauPlus, P_A, P_tauMinus, 1124, check)
    call createCurrent(P_Z, P_Z, P_GPlus, P_GMinus, 177, check)
    call createCurrent(P_WMinus, P_Hl, P_Z, P_GPlus, 306, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_WPlus, 345, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, P_A, 56, check)
    call createCurrent(P_Z, P_Hl, P_A, 1397, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, 738, check)
    call createCurrent(P_Hh, P_GMinus, P_A, P_WPlus, 981, check)
    call createCurrent(P_Z, P_A, P_Hh, P_Hh, 1503, check)
    call createCurrent(P_WPlus, P_Hl, P_WMinus, 786, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, P_A, 625, check)
    call createCurrent(P_A, P_Z, P_Z, P_Z, 1639, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, 462, check)
    call createCurrent(P_ghGAnti, P_g, P_ghG, 250, check)
    call createCurrent(P_s, P_cAnti, P_WPlus, 417, check)
    call createCurrent(P_Hl, P_WPlus, P_Z, P_GMinus, 1080, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_G0, 1208, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, 241, check)
    call createCurrent(P_WMinus, P_Hl, P_WPlus, 772, check)
    call createCurrent(P_Hh, P_G0, P_G0, P_Hl, 1363, check)
    call createCurrent(P_Z, P_A, P_Z, P_Z, 1612, check)
    call createCurrent(P_Hl, P_WMinus, P_GPlus, P_A, 63, check)
    call createCurrent(P_Hl, P_Z, P_WMinus, P_GPlus, 888, check)
    call createCurrent(P_WPlus, P_b, P_tAnti, 476, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, P_A, 14, check)
    call createCurrent(P_Hl, P_bAnti, P_b, 892, check)
    call createCurrent(P_ghA, P_GPlus, P_ghWpAnti, 811, check)
    call createCurrent(P_Hh, P_Z, P_Hh, P_Z, 1073, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghZAnti, 1278, check)
    call createCurrent(P_G0, P_Z, 1420, check)
    call createCurrent(P_nu_muAnti, P_A, P_nu_mu, 1524, check)
    call createCurrent(P_WMinus, P_Z, P_A, P_WPlus, 980, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghZ, 582, check)
    call createCurrent(P_GPlus, P_WMinus, P_Hl, 694, check)
    call createCurrent(P_Hl, P_GPlus, P_GMinus, 1042, check)
    call createCurrent(P_Hl, P_WMinus, P_GPlus, P_Z, 1366, check)
    call createCurrent(P_Z, P_g, P_g, P_Z, 1662, check)
    call createCurrent(P_GMinus, P_Z, P_Hl, P_WPlus, 810, check)
    call createCurrent(P_nu_mu, P_A, P_nu_muAnti, 1517, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, P_A, 534, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_G0, 551, check)
    call createCurrent(P_GPlus, P_WMinus, P_WPlus, P_GMinus, 671, check)
    call createCurrent(P_GMinus, P_ghA, P_ghWmAnti, 637, check)
    call createCurrent(P_G0, P_bAnti, P_b, 439, check)
    call createCurrent(P_Z, P_Z, P_Hl, P_Hl, 907, check)
    call createCurrent(P_GMinus, P_WPlus, P_Hl, P_A, 1194, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, P_A, 13, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_Hl, 686, check)
    call createCurrent(P_Hl, P_GMinus, P_WPlus, 284, check)
    call createCurrent(P_GMinus, P_tauPlus, P_nu_tau, 897, check)
    call createCurrent(P_WMinus, P_Hh, P_WPlus, 406, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, P_Z, 571, check)
    call createCurrent(P_Hl, P_Hl, P_Z, P_A, 1477, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, P_Hh, 726, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, P_G0, 183, check)
    call createCurrent(P_A, P_GMinus, P_G0, P_WPlus, 1110, check)
    call createCurrent(P_Hh, P_Hh, P_WMinus, P_WPlus, 138, check)
    call createCurrent(P_g, P_g, P_Hl, P_Hh, 1565, check)
    call createCurrent(P_Z, P_Hl, P_G0, 1083, check)
    call createCurrent(P_WMinus, P_A, P_A, P_WPlus, 941, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, P_A, 210, check)
    call createCurrent(P_G0, P_Hl, P_G0, P_Hh, 1285, check)
    call createCurrent(P_A, P_G0, P_Z, P_G0, 1396, check)
    call createCurrent(P_WPlus, P_GMinus, P_Hh, 1350, check)
    call createCurrent(P_WPlus, P_tAnti, P_b, 987, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, P_Hl, 1373, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, 1453, check)
    call createCurrent(P_GMinus, P_GPlus, 1409, check)
    call createCurrent(P_Hh, P_Z, P_G0, 775, check)
    call createCurrent(P_nu_eAnti, P_WPlus, P_eMinus, 321, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, P_Hl, 389, check)
    call createCurrent(P_Z, P_WMinus, P_Z, P_WPlus, 576, check)
    call createCurrent(P_tauPlus, P_tauMinus, 1501, check)
    call createCurrent(P_A, P_g, P_g, P_Z, 1670, check)
    call createCurrent(P_WPlus, P_WMinus, P_Hl, P_Hl, 364, check)
    call createCurrent(P_WPlus, P_WMinus, P_Hl, 1224, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, P_Z, 539, check)
    call createCurrent(P_tAnti, P_t, 1426, check)
    call createCurrent(P_g, P_Hh, P_g, 1607, check)
    call createCurrent(P_Hl, P_Z, P_Hh, P_Z, 426, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, P_A, 233, check)
    call createCurrent(P_Z, P_u, P_uAnti, 259, check)
    call createCurrent(P_Hh, P_WMinus, P_WPlus, P_Hh, 1105, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, 263, check)
    call createCurrent(P_Z, P_nu_mu, P_nu_muAnti, 1250, check)
    call createCurrent(P_Hh, P_A, P_Z, 1432, check)
    call createCurrent(P_WPlus, P_uAnti, P_d, 821, check)
    call createCurrent(P_WMinus, P_GPlus, P_Hh, P_Z, 44, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghZAnti, 777, check)
    call createCurrent(P_G0, P_Z, P_Hh, 431, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, P_Z, 150, check)
    call createCurrent(P_Hl, P_Z, P_Hh, P_A, 1527, check)
    call createCurrent(P_Z, P_g, P_g, P_A, 1627, check)
    call createCurrent(P_Hh, P_WPlus, P_GMinus, P_A, 835, check)
    call createCurrent(P_A, P_Hh, P_Z, P_Hh, 1492, check)
    call createCurrent(P_uAnti, P_A, P_u, 1347, check)
    call createCurrent(P_uAnti, P_WPlus, P_d, 49, check)
    call createCurrent(P_Z, P_A, P_GMinus, P_GPlus, 953, check)
    call createCurrent(P_G0, P_G0, P_Hl, 692, check)
    call createCurrent(P_WPlus, P_Hl, P_Z, P_GMinus, 922, check)
    call createCurrent(P_WPlus, P_A, P_Z, P_WMinus, 852, check)
    call createCurrent(P_tauPlus, P_GMinus, P_nu_tau, 549, check)
    call createCurrent(P_ghZAnti, P_Hl, P_ghZ, 1324, check)
    call createCurrent(P_g, P_g, P_A, P_g, 1595, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, P_Hh, 931, check)
    call createCurrent(P_sAnti, P_c, P_GMinus, 817, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, P_Z, 1180, check)
    call createCurrent(P_WMinus, P_t, P_bAnti, 131, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, 1182, check)
    call createCurrent(P_A, P_nu_eAnti, P_nu_e, 1466, check)
    call createCurrent(P_c, P_cAnti, P_Hl, 1002, check)
    call createCurrent(P_G0, P_Hl, P_Hl, P_G0, 618, check)
    call createCurrent(P_WPlus, P_Hh, P_GMinus, P_Z, 684, check)
    call createCurrent(P_nu_e, P_nu_eAnti, 1440, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Z, 485, check)
    call createCurrent(P_nu_eAnti, P_Z, P_nu_e, 528, check)
    call createCurrent(P_Hh, P_Z, P_A, P_Hh, 1498, check)
    call createCurrent(P_Hl, P_dAnti, P_d, 311, check)
    call createCurrent(P_b, P_Z, P_bAnti, 79, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, 1102, check)
    call createCurrent(P_cAnti, P_WPlus, P_s, 275, check)
    call createCurrent(P_ghAAnti, P_WMinus, P_ghWp, 361, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, P_A, 393, check)
    call createCurrent(P_d, P_uAnti, P_WPlus, 636, check)
    call createCurrent(P_Hl, P_Hh, P_GPlus, P_GMinus, 1121, check)
    call createCurrent(P_Hl, P_GMinus, P_A, P_WPlus, 286, check)
    call createCurrent(P_GPlus, P_WPlus, P_GMinus, P_WMinus, 964, check)
    call createCurrent(P_tauPlus, P_WMinus, P_nu_tau, 28, check)
    call createCurrent(P_b, P_tAnti, P_WPlus, 328, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_WMinus, 1025, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghZAnti, 881, check)
    call createCurrent(P_GPlus, P_Hl, P_WMinus, P_Z, 38, check)
    call createCurrent(P_Hl, P_WMinus, P_Hl, P_WPlus, 857, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_WMinus, 708, check)
    call createCurrent(P_GPlus, P_A, P_Hl, P_WMinus, 791, check)
    call createCurrent(P_A, P_nu_mu, P_nu_muAnti, 1486, check)
    call createCurrent(P_A, P_G0, P_A, P_G0, 1591, check)
    call createCurrent(P_Hl, P_Z, P_WPlus, P_GMinus, 644, check)
    call createCurrent(P_G0, P_b, P_bAnti, 903, check)
    call createCurrent(P_ghWm, P_GPlus, P_ghZAnti, 680, check)
    call createCurrent(P_G0, P_GMinus, P_A, P_WPlus, 493, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, P_Hh, 495, check)
    call createCurrent(P_Hh, P_ghWmAnti, P_ghWm, 855, check)
    call createCurrent(P_Hl, P_A, P_WMinus, P_GPlus, 282, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_WPlus, 414, check)
    call createCurrent(P_WPlus, P_WMinus, P_WPlus, P_WMinus, 757, check)
    call createCurrent(P_WPlus, P_Z, P_Hl, P_GMinus, 741, check)
    call createCurrent(P_WMinus, P_Hh, P_WPlus, P_Hl, 1244, check)
    call createCurrent(P_Hl, P_ghWpAnti, P_ghWp, 87, check)
    call createCurrent(P_nu_tau, P_Z, P_nu_tauAnti, 1071, check)
    call createCurrent(P_WPlus, P_Hh, P_Hl, P_WMinus, 1041, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, P_A, 978, check)
    call createCurrent(P_Hl, P_g, P_Hh, P_g, 1643, check)
    call createCurrent(P_A, P_nu_e, P_nu_eAnti, 1514, check)
    call createCurrent(P_cAnti, P_c, P_Hh, 577, check)
    call createCurrent(P_bAnti, P_t, P_WMinus, 124, check)
    call createCurrent(P_Hl, P_Z, P_Hl, P_Z, 928, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_G0, 1262, check)
    call createCurrent(P_WMinus, P_Hh, P_GPlus, P_Z, 1281, check)
    call createCurrent(P_WPlus, P_eMinus, P_nu_eAnti, 904, check)
    call createCurrent(P_tAnti, P_WPlus, P_b, 1000, check)
    call createCurrent(P_WMinus, P_ghAAnti, P_ghWp, 276, check)
    call createCurrent(P_Hl, P_ghWm, P_ghWmAnti, 642, check)
    call createCurrent(P_G0, P_A, P_A, P_G0, 1570, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_WMinus, 831, check)
    call createCurrent(P_g, P_Hl, P_g, P_Hh, 1596, check)
    call createCurrent(P_Hh, P_GPlus, P_GMinus, P_Hl, 574, check)
    call createCurrent(P_nu_eAnti, P_nu_e, P_A, 1434, check)
    call createCurrent(P_Hl, P_WPlus, P_WMinus, 743, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_GPlus, 496, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, 1116, check)
    call createCurrent(P_A, P_ghWpAnti, P_ghWp, 93, check)
    call createCurrent(P_G0, P_G0, P_Hl, P_Hh, 64, check)
    call createCurrent(P_ghZAnti, P_Hh, P_ghZ, 606, check)
    call createCurrent(P_GPlus, P_d, P_uAnti, 370, check)
    call createCurrent(P_eMinus, P_ePlus, 1451, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, 1362, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, P_Z, 1259, check)
    call createCurrent(P_G0, P_Hl, P_Hh, P_G0, 175, check)
    call createCurrent(P_Hl, P_g, P_g, 1563, check)
    call createCurrent(P_ghWm, P_Z, P_ghWmAnti, 261, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, P_Z, 711, check)
    call createCurrent(P_Z, P_A, P_WMinus, P_WPlus, 774, check)
    call createCurrent(P_A, P_Z, P_GMinus, P_GPlus, 472, check)
    call createCurrent(P_A, P_A, P_GPlus, P_GMinus, 1352, check)
    call createCurrent(P_A, P_tAnti, P_t, 640, check)
    call createCurrent(P_WPlus, P_Hl, P_GMinus, 365, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, 851, check)
    call createCurrent(P_GPlus, P_nu_tauAnti, P_tauMinus, 471, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, P_A, 959, check)
    call createCurrent(P_WMinus, P_Hh, P_GPlus, 843, check)
    call createCurrent(P_Hl, P_GMinus, P_GPlus, P_Hh, 371, check)
    call createCurrent(P_Z, P_d, P_dAnti, 252, check)
    call createCurrent(P_eMinus, P_ePlus, P_Hh, 982, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_GMinus, 388, check)
    call createCurrent(P_b, P_A, P_bAnti, 1190, check)
    call createCurrent(P_G0, P_WPlus, P_G0, P_WMinus, 532, check)
    call createCurrent(P_GMinus, P_c, P_sAnti, 880, check)
    call createCurrent(P_g, P_c, P_cAnti, 440, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_A, 256, check)
    call createCurrent(P_Hh, P_Z, P_A, 1430, check)
    call createCurrent(P_GMinus, P_WPlus, P_Hh, 629, check)
    call createCurrent(P_WPlus, P_WMinus, P_GPlus, P_GMinus, 522, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_Hl, 36, check)
    call createCurrent(P_cAnti, P_s, P_WPlus, 1175, check)
    call createCurrent(P_G0, P_Z, P_GPlus, P_WMinus, 1351, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, P_A, 848, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_A, 1032, check)
    call createCurrent(P_s, P_Hh, P_sAnti, 900, check)
    call createCurrent(P_G0, P_GPlus, P_G0, P_GMinus, 510, check)
    call createCurrent(P_GMinus, P_G0, P_Z, P_WPlus, 587, check)
    call createCurrent(P_WMinus, P_GPlus, 1405, check)
    call createCurrent(P_g, P_sAnti, P_s, 1319, check)
    call createCurrent(P_Z, P_Hl, P_Hh, P_A, 1468, check)
    call createCurrent(P_A, P_A, P_Hh, P_Hh, 1541, check)
    call createCurrent(P_ePlus, P_nu_e, P_WMinus, 724, check)
    call createCurrent(P_GMinus, P_WPlus, 1511, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, P_A, 1497, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, 864, check)
    call createCurrent(P_A, P_t, P_tAnti, 1119, check)
    call createCurrent(P_b, P_G0, P_bAnti, 819, check)
    call createCurrent(P_nu_tau, P_GMinus, P_tauPlus, 595, check)
    call createCurrent(P_Z, P_Hl, P_Hl, P_Z, 1089, check)
    call createCurrent(P_WMinus, P_GPlus, P_Hl, P_A, 205, check)
    call createCurrent(P_Hh, P_WMinus, P_GPlus, P_Z, 1299, check)
    call createCurrent(P_Hh, P_Z, P_GMinus, P_WPlus, 40, check)
    call createCurrent(P_ghWpAnti, P_Z, P_ghWp, 887, check)
    call createCurrent(P_Hl, P_WMinus, P_GPlus, 668, check)
    call createCurrent(P_A, P_Z, P_Hh, P_Hl, 1463, check)
    call createCurrent(P_Z, P_s, P_sAnti, 836, check)
    call createCurrent(P_nu_tau, P_WMinus, P_tauPlus, 886, check)
    call createCurrent(P_Hl, P_WMinus, P_WPlus, P_Hl, 1269, check)
    call createCurrent(P_GPlus, P_GMinus, P_GPlus, P_GMinus, 592, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, P_A, 1153, check)
    call createCurrent(P_sAnti, P_s, P_g, 290, check)
    call createCurrent(P_G0, P_Hh, P_G0, P_Hh, 137, check)
    call createCurrent(P_A, P_g, P_Z, P_g, 1633, check)
    call createCurrent(P_WPlus, P_WPlus, P_WMinus, P_WMinus, 293, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, 107, check)
    call createCurrent(P_ePlus, P_Hl, P_eMinus, 437, check)
    call createCurrent(P_tAnti, P_t, P_g, 874, check)
    call createCurrent(P_Hl, P_GPlus, P_GMinus, P_Hl, 1084, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_Hh, 1229, check)
    call createCurrent(P_GPlus, P_ghZ, P_ghWpAnti, 102, check)
    call createCurrent(P_GMinus, P_Hh, P_GPlus, 1012, check)
    call createCurrent(P_t, P_tAnti, P_Hl, 613, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghZAnti, 182, check)
    call createCurrent(P_GMinus, P_WPlus, P_GPlus, P_WMinus, 1368, check)
    call createCurrent(P_eMinus, P_ePlus, P_G0, 1284, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, P_G0, 564, check)
    call createCurrent(P_A, P_GPlus, P_A, P_GMinus, 19, check)
    call createCurrent(P_Hl, P_GMinus, P_Z, P_WPlus, 1023, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, P_A, 1327, check)
    call createCurrent(P_uAnti, P_u, P_Z, 152, check)
    call createCurrent(P_GMinus, P_G0, P_GPlus, P_G0, 1118, check)
    call createCurrent(P_GPlus, P_WMinus, P_Hh, 1254, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_GMinus, 1129, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, P_Z, 59, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghA, 278, check)
    call createCurrent(P_g, P_Hl, P_Hh, P_g, 1615, check)
    call createCurrent(P_nu_mu, P_Z, P_nu_muAnti, 419, check)
    call createCurrent(P_GMinus, P_GPlus, P_GPlus, P_GMinus, 736, check)
    call createCurrent(P_u, P_WMinus, P_dAnti, 478, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, 287, check)
    call createCurrent(P_ghG, P_g, P_ghGAnti, 204, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, P_Hl, 833, check)
    call createCurrent(P_tauPlus, P_Hh, P_tauMinus, 1277, check)
    call createCurrent(P_tauMinus, P_Z, P_tauPlus, 446, check)
    call createCurrent(P_A, P_g, P_g, P_A, 1619, check)
    call createCurrent(P_GMinus, P_nu_mu, P_muPlus, 425, check)
    call createCurrent(P_WPlus, P_WMinus, P_GMinus, P_GPlus, 875, check)
    call createCurrent(P_A, P_bAnti, P_b, 733, check)
    call createCurrent(P_GPlus, P_GMinus, P_Hh, P_Hh, 570, check)
    call createCurrent(P_G0, P_G0, P_A, P_Z, 1454, check)
    call createCurrent(P_Hh, P_Z, P_Z, P_Hl, 866, check)
    call createCurrent(P_ePlus, P_eMinus, 1521, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, P_Z, 1189, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghA, 448, check)
    call createCurrent(P_WPlus, P_GMinus, P_Hl, P_Z, 337, check)
    call createCurrent(P_Hl, P_tauMinus, P_tauPlus, 591, check)
    call createCurrent(P_A, P_Z, P_Hh, 1389, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_GPlus, 569, check)
    call createCurrent(P_Hh, P_b, P_bAnti, 1142, check)
    call createCurrent(P_bAnti, P_GMinus, P_t, 562, check)
    call createCurrent(P_g, P_Z, P_g, P_g, 1600, check)
    call createCurrent(P_Z, P_tauMinus, P_tauPlus, 296, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_A, 870, check)
    call createCurrent(P_Z, P_A, P_WPlus, P_WMinus, 675, check)
    call createCurrent(P_Hl, P_Hl, P_Hl, P_Hh, 878, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_G0, 1123, check)
    call createCurrent(P_WPlus, P_WMinus, P_Hh, 362, check)
    call createCurrent(P_GMinus, P_Hl, P_Hl, P_GPlus, 732, check)
    call createCurrent(P_ghZ, P_GMinus, P_ghWmAnti, 129, check)
    call createCurrent(P_WPlus, P_WMinus, P_Hl, P_Hh, 1010, check)
    call createCurrent(P_WMinus, P_Hh, P_GPlus, P_A, 385, check)
    call createCurrent(P_A, P_A, P_G0, P_G0, 1583, check)
    call createCurrent(P_Hl, P_Hh, P_Hl, 1168, check)
    call createCurrent(P_G0, P_tauMinus, P_tauPlus, 1045, check)
    call createCurrent(P_A, P_A, P_Hl, P_Hl, 1553, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, 1504, check)
    call createCurrent(P_G0, P_s, P_sAnti, 313, check)
    call createCurrent(P_g, P_ghG, P_ghGAnti, 502, check)
    call createCurrent(P_bAnti, P_b, P_Hl, 1177, check)
    call createCurrent(P_A, P_g, P_A, P_g, 1649, check)
    call createCurrent(P_Hl, P_WPlus, P_A, P_GMinus, 950, check)
    call createCurrent(P_muMinus, P_muPlus, P_Hl, 498, check)
    call createCurrent(P_ghAAnti, P_WPlus, P_ghWm, 243, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, 1452, check)
    call createCurrent(P_WMinus, P_Hl, P_GPlus, 37, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_WMinus, 854, check)
    call createCurrent(P_WMinus, P_WPlus, P_G0, P_G0, 1219, check)
    call createCurrent(P_Z, P_g, P_A, P_g, 1571, check)
    call createCurrent(P_tAnti, P_t, P_G0, 475, check)
    call createCurrent(P_G0, P_ghWmAnti, P_ghWm, 1081, check)
    call createCurrent(P_WPlus, P_Hl, P_A, P_GMinus, 725, check)
    call createCurrent(P_Hh, P_G0, P_G0, P_Hh, 488, check)
    call createCurrent(P_b, P_bAnti, P_Hh, 940, check)
    call createCurrent(P_s, P_G0, P_sAnti, 192, check)
    call createCurrent(P_Hl, P_A, P_Hl, P_A, 1623, check)
    call createCurrent(P_GMinus, P_ghWp, P_ghZAnti, 312, check)
    call createCurrent(P_Z, P_Z, P_Hh, P_Hh, 575, check)
    call createCurrent(P_Hh, P_G0, P_G0, 1107, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_WPlus, 664, check)
    call createCurrent(P_nu_e, P_nu_eAnti, P_A, 1500, check)
    call createCurrent(P_Hh, P_G0, P_Hl, P_G0, 85, check)
    call createCurrent(P_WPlus, P_Hh, P_WMinus, P_Hl, 172, check)
    call createCurrent(P_A, P_Z, P_GPlus, P_GMinus, 121, check)
    call createCurrent(P_d, P_A, P_dAnti, 46, check)
    call createCurrent(P_Hh, P_WPlus, P_GMinus, P_Z, 1028, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, 384, check)
    call createCurrent(P_GMinus, P_WPlus, P_Hl, P_Z, 735, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, P_Z, 607, check)
    call createCurrent(P_g, P_g, P_Z, P_A, 1538, check)
    call createCurrent(P_Hh, P_Hl, P_Z, P_A, 1525, check)
    call createCurrent(P_ghZ, P_Hh, P_ghZAnti, 974, check)
    call createCurrent(P_WPlus, P_Hh, P_GMinus, 436, check)
    call createCurrent(P_Z, P_Z, P_Hl, P_Hh, 442, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, P_Z, 614, check)
    call createCurrent(P_GMinus, P_GPlus, P_Hh, 943, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, 506, check)
    call createCurrent(P_WMinus, P_A, P_Hl, P_GPlus, 326, check)
    call createCurrent(P_tAnti, P_A, P_t, 1087, check)
    call createCurrent(P_Z, P_G0, P_A, P_G0, 1441, check)
    call createCurrent(P_c, P_WMinus, P_sAnti, 1011, check)
    call createCurrent(P_u, P_Z, P_uAnti, 809, check)
    call createCurrent(P_g, P_GPlus, P_g, P_GMinus, 1669, check)
    call createCurrent(P_Hh, P_GMinus, P_Z, P_WPlus, 702, check)
    call createCurrent(P_WPlus, P_GMinus, P_Hh, P_A, 1216, check)
    call createCurrent(P_s, P_sAnti, P_A, 714, check)
    call createCurrent(P_t, P_tAnti, P_g, 17, check)
    call createCurrent(P_WMinus, P_Hh, P_Hl, P_WPlus, 1013, check)
    call createCurrent(P_GPlus, P_ghA, P_ghWpAnti, 1293, check)
    call createCurrent(P_Hl, P_GMinus, P_WPlus, P_A, 24, check)
    call createCurrent(P_Z, P_bAnti, P_b, 761, check)
    call createCurrent(P_Z, P_A, P_Z, P_A, 1586, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_GPlus, 584, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, P_A, 1280, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, P_Hh, 316, check)
    call createCurrent(P_Z, P_dAnti, P_d, 1296, check)
    call createCurrent(P_A, P_WMinus, P_A, P_WPlus, 861, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Hl, 501, check)
    call createCurrent(P_Hl, P_GMinus, P_Hl, P_GPlus, 264, check)
    call createCurrent(P_bAnti, P_b, P_Z, 112, check)
    call createCurrent(P_sAnti, P_Hh, P_s, 844, check)
    call createCurrent(P_A, P_c, P_cAnti, 853, check)
    call createCurrent(P_Z, P_Hh, P_G0, 1333, check)
    call createCurrent(P_A, P_uAnti, P_u, 133, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, P_A, 327, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, 1358, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, P_Z, 1170, check)
    call createCurrent(P_Hl, P_Hl, 1455, check)
    call createCurrent(P_Z, P_g, P_Z, P_g, 1535, check)
    call createCurrent(P_uAnti, P_u, 1530, check)
    call createCurrent(P_Z, P_A, P_GPlus, P_GMinus, 62, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_WPlus, 919, check)
    call createCurrent(P_Hh, P_WMinus, P_WPlus, P_Hl, 142, check)
    call createCurrent(P_s, P_g, P_sAnti, 782, check)
    call createCurrent(P_G0, P_G0, P_Z, P_Z, 1240, check)
    call createCurrent(P_Hl, P_Hl, P_GPlus, P_GMinus, 1378, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, 1381, check)
    call createCurrent(P_Z, P_GMinus, P_Hl, P_WPlus, 122, check)
    call createCurrent(P_A, P_g, P_g, P_g, 1585, check)
    call createCurrent(P_nu_e, P_GMinus, P_ePlus, 659, check)
    call createCurrent(P_Hl, P_GMinus, P_GPlus, 563, check)
    call createCurrent(P_b, P_Hh, P_bAnti, 683, check)
    call createCurrent(P_Hh, P_WPlus, P_WMinus, 1221, check)
    call createCurrent(P_dAnti, P_d, 1495, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, P_G0, 1214, check)
    call createCurrent(P_Hh, P_Z, P_Hh, P_A, 1472, check)
    call createCurrent(P_s, P_sAnti, P_Z, 469, check)
    call createCurrent(P_Z, P_ghWm, P_ghWmAnti, 993, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, P_Hl, 530, check)
    call createCurrent(P_Z, P_G0, P_Hl, 1127, check)
    call createCurrent(P_Z, P_Hh, P_WMinus, P_GPlus, 424, check)
    call createCurrent(P_Hh, P_G0, P_Hh, P_G0, 222, check)
    call createCurrent(P_g, P_d, P_dAnti, 773, check)
    call createCurrent(P_Hl, P_Hl, P_A, P_Z, 1528, check)
    call createCurrent(P_cAnti, P_g, P_c, 799, check)
    call createCurrent(P_A, P_cAnti, P_c, 679, check)
    call createCurrent(P_GMinus, P_Z, P_A, P_GPlus, 375, check)
    call createCurrent(P_g, P_tAnti, P_t, 1292, check)
    call createCurrent(P_Hh, P_A, P_Hh, P_A, 1621, check)
    call createCurrent(P_cAnti, P_Hl, P_c, 983, check)
    call createCurrent(P_Hh, P_GMinus, P_GPlus, P_Hh, 191, check)
    call createCurrent(P_A, P_Z, P_A, P_A, 1672, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Hl, 154, check)
    call createCurrent(P_Hh, P_WPlus, P_A, P_GMinus, 1337, check)
    call createCurrent(P_Z, P_Z, P_Z, P_Z, 1665, check)
    call createCurrent(P_Hh, P_Hl, P_A, P_Z, 1413, check)
    call createCurrent(P_Hh, P_WPlus, P_Hh, P_WMinus, 754, check)
    call createCurrent(P_t, P_g, P_tAnti, 945, check)
    call createCurrent(P_Z, P_Hh, P_Hh, P_Z, 322, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_GMinus, 1149, check)
    call createCurrent(P_ghG, P_ghGAnti, P_g, 22, check)
    call createCurrent(P_WPlus, P_Hl, P_GMinus, P_Z, 719, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, P_A, 703, check)
    call createCurrent(P_Hh, P_Z, P_Hl, P_A, 1473, check)
    call createCurrent(P_G0, P_WPlus, P_Z, P_GMinus, 946, check)
    call createCurrent(P_WPlus, P_A, P_A, P_WMinus, 465, check)
    call createCurrent(P_Hl, P_A, P_Z, P_Hl, 1516, check)
    call createCurrent(P_ghA, P_WPlus, P_ghWpAnti, 480, check)
    call createCurrent(P_G0, P_u, P_uAnti, 1353, check)
    call createCurrent(P_Hl, P_d, P_dAnti, 936, check)
    call createCurrent(P_u, P_Hh, P_uAnti, 1307, check)
    call createCurrent(P_muPlus, P_muMinus, 1449, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_A, 409, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, 323, check)
    call createCurrent(P_GMinus, P_Hh, P_Hl, P_GPlus, 34, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, P_Hl, 1064, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_Hl, 1166, check)
    call createCurrent(P_uAnti, P_G0, P_u, 410, check)
    call createCurrent(P_Z, P_nu_muAnti, P_nu_mu, 890, check)
    call createCurrent(P_Hh, P_WMinus, P_GPlus, P_A, 223, check)
    call createCurrent(P_A, P_ghWmAnti, P_ghWm, 1156, check)
    call createCurrent(P_Z, P_A, P_Hh, P_Hl, 1387, check)
    call createCurrent(P_GMinus, P_WPlus, P_Hl, 804, check)
    call createCurrent(P_Hh, P_dAnti, P_d, 1372, check)
    call createCurrent(P_Hl, P_ghZAnti, P_ghZ, 635, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghZ, 545, check)
    call createCurrent(P_d, P_Hl, P_dAnti, 608, check)
    call createCurrent(P_Hh, P_A, P_Hl, P_A, 1533, check)
    call createCurrent(P_Hl, P_u, P_uAnti, 347, check)
    call createCurrent(P_WPlus, P_WMinus, P_g, P_g, 1560, check)
    call createCurrent(P_Z, P_G0, P_GPlus, P_WMinus, 1286, check)
    call createCurrent(P_Hl, P_ghWp, P_ghWpAnti, 806, check)
    call createCurrent(P_Z, P_b, P_bAnti, 1043, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, P_Z, 1181, check)
    call createCurrent(P_muMinus, P_Hl, P_muPlus, 979, check)
    call createCurrent(P_WPlus, P_G0, P_Z, P_GMinus, 753, check)
    call createCurrent(P_Z, P_GMinus, P_G0, P_WPlus, 1279, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, 911, check)
    call createCurrent(P_WMinus, P_nu_e, P_ePlus, 392, check)
    call createCurrent(P_WMinus, P_GPlus, P_Hh, 1054, check)
    call createCurrent(P_g, P_u, P_uAnti, 643, check)
    call createCurrent(P_eMinus, P_A, P_ePlus, 616, check)
    call createCurrent(P_Hl, P_Hh, P_Hl, P_Hl, 1131, check)
    call createCurrent(P_A, P_Hh, P_Hh, P_Z, 1435, check)
    call createCurrent(P_nu_tauAnti, P_Z, P_nu_tau, 492, check)
    call createCurrent(P_nu_muAnti, P_GPlus, P_muMinus, 1253, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, 100, check)
    call createCurrent(P_Hl, P_Hh, P_WMinus, P_WPlus, 877, check)
    call createCurrent(P_g, P_Hl, P_g, P_Hl, 1572, check)
    call createCurrent(P_WMinus, P_GPlus, P_Hl, P_Z, 948, check)
    call createCurrent(P_G0, P_GMinus, P_GPlus, P_G0, 746, check)
    call createCurrent(P_A, P_GMinus, P_A, P_GPlus, 1201, check)
    call createCurrent(P_g, P_g, P_GMinus, P_GPlus, 1614, check)
    call createCurrent(P_Z, P_Hh, P_Z, P_Hh, 200, check)
    call createCurrent(P_sAnti, P_s, P_A, 1380, check)
    call createCurrent(P_eMinus, P_ePlus, P_Z, 610, check)
    call createCurrent(P_Hh, P_GPlus, P_GMinus, 689, check)
    call createCurrent(P_WPlus, P_GPlus, P_WMinus, P_GMinus, 179, check)
    call createCurrent(P_s, P_sAnti, P_Hl, 35, check)
    call createCurrent(P_G0, P_G0, P_WPlus, P_WMinus, 1137, check)
    call createCurrent(P_GMinus, P_ePlus, P_nu_e, 962, check)
    call createCurrent(P_G0, P_A, P_GPlus, P_WMinus, 1192, check)
    call createCurrent(P_t, P_tAnti, P_Hh, 834, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_WPlus, 1342, check)
    call createCurrent(P_WPlus, P_ghAAnti, P_ghWm, 86, check)
    call createCurrent(P_cAnti, P_c, P_g, 673, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_ghWm, 158, check)
    call createCurrent(P_dAnti, P_Hh, P_d, 97, check)
    call createCurrent(P_GMinus, P_G0, P_G0, P_GPlus, 262, check)
    call createCurrent(P_WMinus, P_WPlus, P_g, P_g, 1642, check)
    call createCurrent(P_A, P_A, P_Hh, P_Hl, 1641, check)
    call createCurrent(P_A, P_sAnti, P_s, 1258, check)
    call createCurrent(P_Z, P_ghWp, P_ghWpAnti, 84, check)
    call createCurrent(P_d, P_dAnti, P_Z, 343, check)
    call createCurrent(P_g, P_g, P_Hh, 1622, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_Hh, 1375, check)
    call createCurrent(P_Hh, P_d, P_dAnti, 1055, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghAAnti, 590, check)
    call createCurrent(P_cAnti, P_s, P_GPlus, 304, check)
    call createCurrent(P_G0, P_A, P_GMinus, P_WPlus, 1101, check)
    call createCurrent(P_Z, P_A, P_g, P_g, 1617, check)
    call createCurrent(P_u, P_Hl, P_uAnti, 808, check)
    call createCurrent(P_Z, P_GMinus, P_A, P_GPlus, 174, check)
    call createCurrent(P_GMinus, P_u, P_dAnti, 149, check)
    call createCurrent(P_Hh, P_WPlus, P_Hl, P_WMinus, 379, check)
    call createCurrent(P_Z, P_ghWpAnti, P_ghWp, 627, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, 245, check)
    call createCurrent(P_WMinus, P_G0, P_WPlus, P_G0, 171, check)
    call createCurrent(P_A, P_Z, P_Hl, 1383, check)
    call createCurrent(P_Hh, P_Z, P_Hl, P_Z, 430, check)
    call createCurrent(P_Hl, P_Z, P_Z, P_Hh, 47, check)
    call createCurrent(P_nu_e, P_A, P_nu_eAnti, 1437, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, P_Z, 48, check)
    call createCurrent(P_sAnti, P_G0, P_s, 891, check)
    call createCurrent(P_ghGAnti, P_ghG, P_g, 860, check)
    call createCurrent(P_Hh, P_G0, P_Z, 1085, check)
    call createCurrent(P_muMinus, P_Z, P_muPlus, 818, check)
    call createCurrent(P_G0, P_G0, P_WMinus, P_WPlus, 557, check)
    call createCurrent(P_GMinus, P_Hh, P_WPlus, P_Z, 1348, check)
    call createCurrent(P_Hl, P_g, P_Hl, P_g, 1655, check)
    call createCurrent(P_b, P_bAnti, P_A, 403, check)
    call createCurrent(P_Hh, P_Hh, P_Hh, P_Hh, 105, check)
    call createCurrent(P_A, P_G0, 1510, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghZ, 826, check)
    call createCurrent(P_A, P_Z, P_Hh, P_Hh, 1460, check)
    call createCurrent(P_A, P_Hh, P_GPlus, P_WMinus, 8, check)
    call createCurrent(P_Hl, P_WMinus, P_WPlus, P_Hh, 578, check)
    call createCurrent(P_WMinus, P_GPlus, P_GMinus, P_WPlus, 830, check)
    call createCurrent(P_Hl, P_Hh, P_Hh, 503, check)
    call createCurrent(P_g, P_g, P_g, P_g, 1256, check)
    call createCurrent(P_tAnti, P_b, P_WPlus, 358, check)
    call createCurrent(P_G0, P_Hh, P_G0, P_Hl, 333, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_WPlus, 61, check)
    call createCurrent(P_bAnti, P_b, P_Hh, 1336, check)
    call createCurrent(P_Hh, P_GMinus, P_Hh, P_GPlus, 969, check)
    call createCurrent(P_g, P_WMinus, P_WPlus, P_g, 1603, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_GMinus, 768, check)
    call createCurrent(P_muMinus, P_muPlus, P_Hh, 5, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_ghWp, 952, check)
    call createCurrent(P_A, P_A, P_A, P_A, 1592, check)
    call createCurrent(P_Hh, P_WMinus, P_Hl, P_WPlus, 83, check)
    call createCurrent(P_t, P_WMinus, P_bAnti, 69, check)
    call createCurrent(P_Hl, P_GPlus, P_GMinus, P_Hh, 749, check)
    call createCurrent(P_Hl, P_c, P_cAnti, 566, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_Hl, 227, check)
    call createCurrent(P_b, P_bAnti, P_Hl, 1021, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_Hl, 872, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghAAnti, 1238, check)
    call createCurrent(P_Hh, P_GMinus, P_WPlus, P_A, 1126, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, P_G0, 889, check)
    call createCurrent(P_g, P_g, P_WMinus, P_WPlus, 1540, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, 752, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, 1344, check)
    call createCurrent(P_bAnti, P_A, P_b, 755, check)
    call createCurrent(P_A, P_A, P_A, P_Z, 1569, check)
    call createCurrent(P_G0, P_t, P_tAnti, 867, check)
    call createCurrent(P_Hl, P_Hh, P_G0, P_G0, 1255, check)
    call createCurrent(P_tAnti, P_Hl, P_t, 215, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_Hh, 816, check)
    call createCurrent(P_bAnti, P_g, P_b, 81, check)
    call createCurrent(P_GMinus, P_Hl, P_GPlus, 691, check)
    call createCurrent(P_Hh, P_g, P_Hl, P_g, 1557, check)
    call createCurrent(P_Hh, P_GPlus, P_Hl, P_GMinus, 1076, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, 511, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, P_A, 778, check)
    call createCurrent(P_WPlus, P_Hh, P_Hh, P_WMinus, 9, check)
    call createCurrent(P_Hh, P_ghWpAnti, P_ghWp, 717, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghA, 1163, check)
    call createCurrent(P_GMinus, P_GPlus, P_Hl, 1297, check)
    call createCurrent(P_ghWmAnti, P_Hl, P_ghWm, 813, check)
    call createCurrent(P_g, P_uAnti, P_u, 70, check)
    call createCurrent(P_G0, P_Hl, P_A, 1483, check)
    call createCurrent(P_muMinus, P_G0, P_muPlus, 1288, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_Hl, 801, check)
    call createCurrent(P_nu_mu, P_GMinus, P_muPlus, 213, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_WMinus, 1265, check)
    call createCurrent(P_G0, P_Z, P_GMinus, P_WPlus, 512, check)
    call createCurrent(P_tauMinus, P_Hl, P_tauPlus, 422, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_WPlus, 654, check)
    call createCurrent(P_Hh, P_bAnti, P_b, 1162, check)
    call createCurrent(P_ghWmAnti, P_Z, P_ghWm, 1242, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_G0, 265, check)
    call createCurrent(P_Hh, P_Z, P_Z, P_Hh, 1173, check)
    call createCurrent(P_Hh, P_Hh, P_Z, P_A, 1482, check)
    call createCurrent(P_g, P_Z, P_A, P_g, 1562, check)
    call createCurrent(P_muPlus, P_Z, P_muMinus, 391, check)
    call createCurrent(P_GMinus, P_Z, P_Z, P_GPlus, 669, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghZ, 1237, check)
    call createCurrent(P_A, P_A, P_Z, P_A, 1550, check)
    call createCurrent(P_Hl, P_GMinus, P_WPlus, P_Z, 447, check)
    call createCurrent(P_d, P_Hh, P_dAnti, 377, check)
    call createCurrent(P_GMinus, P_Hh, P_GPlus, P_Hh, 60, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Hh, 226, check)
    call createCurrent(P_Hh, P_Hh, P_g, P_g, 1561, check)
    call createCurrent(P_Hl, P_Hl, P_Hl, P_Hl, 984, check)
    call createCurrent(P_GPlus, P_Hh, P_GMinus, P_Hl, 1241, check)
    call createCurrent(P_A, P_Hl, P_Hl, P_Z, 1390, check)
    call createCurrent(P_Z, P_cAnti, P_c, 997, check)
    call createCurrent(P_Hl, P_ghZ, P_ghZAnti, 764, check)
    call createCurrent(P_muPlus, P_G0, P_muMinus, 136, check)
    call createCurrent(P_nu_eAnti, P_A, P_nu_e, 1412, check)
    call createCurrent(P_Hl, P_Hl, P_WMinus, P_WPlus, 1108, check)
    call createCurrent(P_A, P_GPlus, P_Z, P_GMinus, 971, check)
    call createCurrent(P_A, P_A, P_Hl, P_Hh, 1579, check)
    call createCurrent(P_g, P_A, P_g, P_A, 1536, check)
    call createCurrent(P_Z, P_Z, P_Hh, 718, check)
    call createCurrent(P_s, P_cAnti, P_GPlus, 822, check)
    call createCurrent(P_cAnti, P_c, P_A, 1304, check)
    call createCurrent(P_WMinus, P_Hl, P_A, P_GPlus, 1138, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_Hh, 1100, check)
    call createCurrent(P_Hh, P_WMinus, P_Hh, P_WPlus, 905, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghAAnti, 178, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, 515, check)
    call createCurrent(P_Hl, P_Hl, P_A, P_A, 1646, check)
    call createCurrent(P_WMinus, P_ghA, P_ghWmAnti, 508, check)
    call createCurrent(P_tauMinus, P_G0, P_tauPlus, 1300, check)
    call createCurrent(P_G0, P_ghWpAnti, P_ghWp, 815, check)
    call createCurrent(P_GMinus, P_nu_e, P_ePlus, 450, check)
    call createCurrent(P_Z, P_Z, P_Hh, P_Hl, 568, check)
    call createCurrent(P_Hl, P_Hh, P_Hl, P_Hh, 74, check)
    call createCurrent(P_WMinus, P_ePlus, P_nu_e, 247, check)
    call createCurrent(P_WPlus, P_Hh, P_WMinus, P_Hh, 120, check)
    call createCurrent(P_Z, P_G0, P_Hh, 899, check)
    call createCurrent(P_Hh, P_GPlus, P_Hh, P_GMinus, 187, check)
    call createCurrent(P_Hl, P_WMinus, P_Hh, P_WPlus, 634, check)
    call createCurrent(P_cAnti, P_GPlus, P_s, 533, check)
    call createCurrent(P_uAnti, P_u, P_A, 433, check)
    call createCurrent(P_tAnti, P_G0, P_t, 335, check)
    call createCurrent(P_Hl, P_ghWmAnti, P_ghWm, 387, check)
    call createCurrent(P_muPlus, P_nu_mu, P_GMinus, 55, check)
    call createCurrent(P_GPlus, P_WMinus, P_Hl, P_A, 258, check)
    call createCurrent(P_Z, P_nu_eAnti, P_nu_e, 1079, check)
    call createCurrent(P_WMinus, P_WPlus, P_Hh, P_Hh, 366, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_WMinus, 1355, check)
    call createCurrent(P_tAnti, P_Z, P_t, 1233, check)
    call createCurrent(P_Hh, P_Hh, 1411, check)
    call createCurrent(P_WMinus, P_u, P_dAnti, 863, check)
    call createCurrent(P_G0, P_Z, P_Z, P_G0, 301, check)
    call createCurrent(P_Hh, P_muMinus, P_muPlus, 529, check)
    call createCurrent(P_WMinus, P_Hh, P_Z, P_GPlus, 260, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Hh, 909, check)
    call createCurrent(P_Hl, P_A, P_GPlus, P_WMinus, 883, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_Z, 380, check)
    call createCurrent(P_G0, P_WPlus, P_WMinus, P_G0, 918, check)
    call createCurrent(P_Hh, P_Hl, P_GMinus, P_GPlus, 934, check)
    call createCurrent(P_b, P_bAnti, P_g, 338, check)
    call createCurrent(P_Z, P_WMinus, P_Hh, P_GPlus, 198, check)
    call createCurrent(P_nu_mu, P_WMinus, P_muPlus, 80, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_WPlus, 499, check)
    call createCurrent(P_A, P_A, P_WMinus, P_WPlus, 992, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, P_Z, 1382, check)
    call createCurrent(P_Hh, P_Hh, P_Z, P_Z, 832, check)
    call createCurrent(P_Hl, P_WPlus, P_Hh, P_WMinus, 812, check)
    call createCurrent(P_g, P_A, P_A, P_g, 1666, check)
    call createCurrent(P_sAnti, P_Z, P_s, 1050, check)
    call createCurrent(P_Hl, P_G0, P_Hh, P_G0, 505, check)
    call createCurrent(P_Hh, P_GMinus, P_GPlus, 1171, check)
    call createCurrent(P_G0, P_g, P_g, P_G0, 1608, check)
    call createCurrent(P_g, P_WPlus, P_WMinus, P_g, 1555, check)
    call createCurrent(P_Z, P_muMinus, P_muPlus, 164, check)
    call createCurrent(P_WPlus, P_Z, P_Hh, P_GMinus, 604, check)
    call createCurrent(P_Hh, P_A, P_WPlus, P_GMinus, 298, check)
    call createCurrent(P_b, P_tAnti, P_GPlus, 224, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, P_A, 825, check)
    call createCurrent(P_dAnti, P_A, P_d, 653, check)
    call createCurrent(P_Hl, P_G0, P_A, 1493, check)
    call createCurrent(P_GPlus, P_WMinus, 1515, check)
    call createCurrent(P_Z, P_tAnti, P_t, 678, check)
    call createCurrent(P_tauMinus, P_GPlus, P_nu_tauAnti, 756, check)
    call createCurrent(P_Z, P_G0, P_WPlus, P_GMinus, 876, check)
    call createCurrent(P_A, P_A, P_Z, P_Z, 1578, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, 300, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, 348, check)
    call createCurrent(P_A, P_Hl, P_WMinus, P_GPlus, 1308, check)
    call createCurrent(P_s, P_sAnti, 1491, check)
    call createCurrent(P_WMinus, P_GPlus, P_Hl, 1367, check)
    call createCurrent(P_u, P_dAnti, P_GMinus, 921, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, P_Z, 1349, check)
    call createCurrent(P_Hh, P_WPlus, P_GMinus, 742, check)
    call createCurrent(P_G0, P_G0, P_Hh, P_Hh, 266, check)
    call createCurrent(P_g, P_G0, P_g, P_G0, 1576, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, P_Z, 396, check)
    call createCurrent(P_Hl, P_A, P_GMinus, P_WPlus, 457, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, 1097, check)
    call createCurrent(P_Hh, P_ghWm, P_ghWmAnti, 967, check)
    call createCurrent(P_sAnti, P_c, P_WMinus, 429, check)
    call createCurrent(P_WPlus, P_Hl, P_Hh, P_WMinus, 1251, check)
    call createCurrent(P_bAnti, P_t, P_GMinus, 1222, check)
    call createCurrent(P_A, P_WMinus, P_G0, P_GPlus, 125, check)
    call createCurrent(P_GPlus, P_Hl, P_WMinus, 602, check)
    call createCurrent(P_WPlus, P_Hh, P_Z, P_GMinus, 776, check)
    call createCurrent(P_cAnti, P_c, P_G0, 344, check)
    call createCurrent(P_G0, P_G0, 1457, check)
    call createCurrent(P_A, P_Hh, P_WMinus, P_GPlus, 828, check)
    call createCurrent(P_WMinus, P_bAnti, P_t, 572, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, P_G0, 1007, check)
    call createCurrent(P_GMinus, P_Z, P_Hh, P_WPlus, 920, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, 481, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, 1236, check)
    call createCurrent(P_Z, P_G0, P_GMinus, P_WPlus, 277, check)
    call createCurrent(P_A, P_GPlus, P_Hh, P_WMinus, 165, check)
    call createCurrent(P_Hh, P_GMinus, P_GPlus, P_Hl, 324, check)
    call createCurrent(P_GMinus, P_WPlus, P_Hh, P_A, 413, check)
    call createCurrent(P_sAnti, P_GMinus, P_c, 441, check)
    call createCurrent(P_Hl, P_sAnti, P_s, 1160, check)
    call createCurrent(P_GPlus, P_cAnti, P_s, 542, check)
    call createCurrent(P_ghWmAnti, P_Hh, P_ghWm, 1246, check)
    call createCurrent(P_WMinus, P_Hl, P_GPlus, P_A, 33, check)
    call createCurrent(P_Hh, P_sAnti, P_s, 238, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_GPlus, 1151, check)
    call createCurrent(P_GPlus, P_g, P_g, P_GMinus, 1606, check)
    call createCurrent(P_nu_eAnti, P_GPlus, P_eMinus, 1243, check)
    call createCurrent(P_Hl, P_Hh, P_Z, P_A, 1458, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, P_A, 468, check)
    call createCurrent(P_GPlus, P_ghWm, P_ghZAnti, 246, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, 483, check)
    call createCurrent(P_Hl, P_Hl, P_GMinus, P_GPlus, 352, check)
    call createCurrent(P_tauMinus, P_Hh, P_tauPlus, 1146, check)
    call createCurrent(P_Hl, P_A, P_Z, P_Hh, 1421, check)
    call createCurrent(P_Z, P_Z, P_A, P_Z, 1546, check)
    call createCurrent(P_g, P_bAnti, P_b, 20, check)
    call createCurrent(P_ghA, P_WMinus, P_ghWmAnti, 617, check)
    call createCurrent(P_WMinus, P_muPlus, P_nu_mu, 567, check)
    call createCurrent(P_u, P_GMinus, P_dAnti, 404, check)
    call createCurrent(P_Hl, P_Hl, P_Hh, 217, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_GMinus, 999, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_Hh, 1063, check)
    call createCurrent(P_A, P_GPlus, P_G0, P_WMinus, 1059, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_G0, 221, check)
    call createCurrent(P_WMinus, P_sAnti, P_c, 970, check)
    call createCurrent(P_Hl, P_G0, P_Hl, P_G0, 965, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghA, 1309, check)
    call createCurrent(P_bAnti, P_b, P_A, 386, check)
    call createCurrent(P_WPlus, P_G0, P_WMinus, P_G0, 1113, check)
    call createCurrent(P_G0, P_G0, P_GPlus, P_GMinus, 43, check)
    call createCurrent(P_WPlus, P_WMinus, P_Hh, P_Hl, 597, check)
    call createCurrent(P_GMinus, P_muPlus, P_nu_mu, 398, check)
    call createCurrent(P_Z, P_WPlus, P_Hh, P_GMinus, 1305, check)
    call createCurrent(P_G0, P_muPlus, P_muMinus, 1302, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, 474, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_WMinus, 458, check)
    call createCurrent(P_b, P_GPlus, P_tAnti, 357, check)
    call createCurrent(P_GMinus, P_GPlus, P_GMinus, P_GPlus, 917, check)
    call createCurrent(P_uAnti, P_GPlus, P_d, 1359, check)
    call createCurrent(P_Z, P_Hl, P_A, P_Hh, 1476, check)
    call createCurrent(P_WMinus, P_nu_tau, P_tauPlus, 1058, check)
    call createCurrent(P_WMinus, P_A, P_Z, P_WPlus, 1179, check)
    call createCurrent(P_b, P_WPlus, P_tAnti, 780, check)
    call createCurrent(P_Hh, P_Z, P_WMinus, P_GPlus, 740, check)
    call createCurrent(P_Z, P_Hh, P_Z, P_Hl, 1174, check)
    call createCurrent(P_b, P_bAnti, 1489, check)
    call createCurrent(P_G0, P_GPlus, P_A, P_WMinus, 873, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_Hh, 1209, check)
    call createCurrent(P_Z, P_G0, 1518, check)
    call createCurrent(P_A, P_nu_tauAnti, P_nu_tau, 1438, check)
    call createCurrent(P_tauMinus, P_A, P_tauPlus, 535, check)
    call createCurrent(P_GMinus, P_WMinus, P_WPlus, P_GPlus, 1030, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Hl, 1317, check)
    call createCurrent(P_GPlus, P_Z, P_A, P_GMinus, 827, check)
    call createCurrent(P_uAnti, P_g, P_u, 951, check)
    call createCurrent(P_Hh, P_Hl, P_A, P_A, 1543, check)
    call createCurrent(P_Hh, P_Z, P_Z, 201, check)
    call createCurrent(P_GMinus, P_GPlus, P_G0, P_G0, 898, check)
    call createCurrent(P_WPlus, P_G0, P_A, P_GMinus, 1048, check)
    call createCurrent(P_G0, P_A, 1475, check)
    call createCurrent(P_Hl, P_uAnti, P_u, 1005, check)
    call createCurrent(P_GMinus, P_g, P_GPlus, P_g, 1674, check)
    call createCurrent(P_ePlus, P_A, P_eMinus, 332, check)
    call createCurrent(P_g, P_GMinus, P_g, P_GPlus, 1589, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Z, 750, check)
    call createCurrent(P_uAnti, P_Hl, P_u, 18, check)
    call createCurrent(P_Z, P_muPlus, P_muMinus, 1152, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, P_Z, 32, check)
    call createCurrent(P_GPlus, P_A, P_Hh, P_WMinus, 242, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, P_A, 1316, check)
    call createCurrent(P_dAnti, P_d, P_G0, 1329, check)
    call createCurrent(P_G0, P_cAnti, P_c, 96, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_G0, 1077, check)
    call createCurrent(P_A, P_Hh, P_A, P_Hl, 1604, check)
    call createCurrent(P_c, P_G0, P_cAnti, 565, check)
    call createCurrent(P_nu_mu, P_muPlus, P_GMinus, 939, check)
    call createCurrent(P_Hl, P_WMinus, P_Z, P_GPlus, 461, check)
    call createCurrent(P_muMinus, P_muPlus, P_G0, 884, check)
    call createCurrent(P_Hh, P_eMinus, P_ePlus, 1035, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_GPlus, 382, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_Hh, 155, check)
    call createCurrent(P_Hh, P_A, P_A, 1588, check)
    call createCurrent(P_bAnti, P_Hh, P_b, 882, check)
    call createCurrent(P_A, P_A, P_Hh, 1664, check)
    call createCurrent(P_G0, P_G0, P_A, P_A, 1552, check)
    call createCurrent(P_uAnti, P_d, P_WPlus, 517, check)
    call createCurrent(P_A, P_Z, P_g, P_g, 1628, check)
    call createCurrent(P_A, P_GMinus, P_Z, P_GPlus, 1034, check)
    call createCurrent(P_GMinus, P_WPlus, P_WMinus, P_GPlus, 731, check)
    call createCurrent(P_WMinus, P_A, P_Hh, P_GPlus, 546, check)
    call createCurrent(P_g, P_g, P_g, P_A, 1630, check)
    call createCurrent(P_Hl, P_GPlus, P_WMinus, 412, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, 195, check)
    call createCurrent(P_A, P_dAnti, P_d, 972, check)
    call createCurrent(P_Hl, P_Z, P_Z, P_Hl, 521, check)
    call createCurrent(P_sAnti, P_s, 1445, check)
    call createCurrent(P_c, P_sAnti, P_GMinus, 212, check)
    call createCurrent(P_Hl, P_Hl, P_G0, P_G0, 837, check)
    call createCurrent(P_GPlus, P_GMinus, P_Hl, 1266, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghA, 795, check)
    call createCurrent(P_cAnti, P_c, P_Hl, 99, check)
    call createCurrent(P_GPlus, P_GPlus, P_GMinus, P_GMinus, 2, check)
    call createCurrent(P_WMinus, P_Z, P_Hh, P_GPlus, 938, check)
    call createCurrent(P_Z, P_Z, P_G0, P_G0, 236, check)
    call createCurrent(P_A, P_Hl, P_Z, 1450, check)
    call createCurrent(P_d, P_dAnti, P_Hl, 1273, check)
    call createCurrent(P_Z, P_Z, P_Hl, 895, check)
    call createCurrent(P_Hh, P_ghZ, P_ghZAnti, 619, check)
    call createCurrent(P_WPlus, P_GMinus, P_GPlus, P_WMinus, 1112, check)
    call createCurrent(P_u, P_uAnti, P_G0, 660, check)
    call createCurrent(P_WPlus, P_ghZAnti, P_ghWm, 489, check)
    call createCurrent(P_Hh, P_GMinus, P_Hl, P_GPlus, 1330, check)
    call createCurrent(P_dAnti, P_Hl, P_d, 552, check)
    call createCurrent(P_t, P_G0, P_tAnti, 1312, check)
    call createCurrent(P_g, P_Hl, P_g, 1567, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_Hh, 66, check)
    call createCurrent(P_GMinus, P_WPlus, P_Hh, P_Z, 763, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_Hh, 21, check)
    call createCurrent(P_A, P_nu_tau, P_nu_tauAnti, 1422, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, 908, check)
    call createCurrent(P_g, P_Hh, P_Hl, P_g, 1657, check)
    call createCurrent(P_WPlus, P_tauMinus, P_nu_tauAnti, 1311, check)
    call createCurrent(P_Hl, P_g, P_g, P_Hh, 1651, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_ghWm, 715, check)
    call createCurrent(P_A, P_Hl, P_G0, 1429, check)
    call createCurrent(P_cAnti, P_c, P_Z, 331, check)
    call createCurrent(P_Hl, P_Hl, P_g, P_g, 1640, check)
    call createCurrent(P_GPlus, P_Hl, P_WMinus, P_A, 885, check)
    call createCurrent(P_GMinus, P_Hl, P_WPlus, P_A, 281, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, 1141, check)
    call createCurrent(P_Z, P_WPlus, P_Hl, P_GMinus, 438, check)
    call createCurrent(P_Z, P_Hl, P_A, P_Hl, 1447, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_Hh, 850, check)
    call createCurrent(P_Hl, P_Hh, P_Hh, P_Hh, 454, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, P_Z, 838, check)
    call createCurrent(P_t, P_GMinus, P_bAnti, 31, check)
    call createCurrent(P_A, P_A, P_Hl, 1599, check)
    call createCurrent(P_ghZ, P_WMinus, P_ghWmAnti, 315, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_Hh, 722, check)
    call createCurrent(P_Z, P_Hl, P_Hh, P_Z, 420, check)
    call createCurrent(P_Hh, P_WMinus, P_GPlus, 1234, check)
    call createCurrent(P_G0, P_WPlus, P_A, P_GMinus, 1263, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghZAnti, 109, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_GPlus, 209, check)
    call createCurrent(P_muMinus, P_GPlus, P_nu_muAnti, 1001, check)
    call createCurrent(P_u, P_A, P_uAnti, 927, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_WMinus, 372, check)
    call createCurrent(P_GMinus, P_Hh, P_Z, P_WPlus, 329, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, P_Hh, 1199, check)
    call createCurrent(P_A, P_u, P_uAnti, 1033, check)
    call createCurrent(P_WPlus, P_Hl, P_GMinus, P_A, 697, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_WPlus, 611, check)
    call createCurrent(P_WPlus, P_Hl, P_WMinus, P_Hh, 960, check)
    call createCurrent(P_s, P_sAnti, P_Hh, 94, check)
    call createCurrent(P_GPlus, P_A, P_G0, P_WMinus, 663, check)
    call createCurrent(P_Hl, P_WPlus, P_WMinus, P_Hl, 356, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_Hl, 162, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, 868, check)
    call createCurrent(P_G0, P_ghWm, P_ghWmAnti, 353, check)
    call createCurrent(P_G0, P_A, P_WPlus, P_GMinus, 307, check)
    call createCurrent(P_GMinus, P_Hh, P_GPlus, P_Hl, 1144, check)
    call createCurrent(P_dAnti, P_GMinus, P_u, 504, check)
    call createCurrent(P_bAnti, P_Hl, P_b, 862, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_G0, 291, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_G0, 633, check)
    call createCurrent(P_GMinus, P_Hh, P_WPlus, P_A, 1346, check)
    call createCurrent(P_GPlus, P_Hh, P_GMinus, P_Hh, 603, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, P_Z, 788, check)
    call createCurrent(P_GMinus, P_GPlus, P_WPlus, P_WMinus, 54, check)
    call createCurrent(P_muMinus, P_WPlus, P_nu_muAnti, 199, check)
    call createCurrent(P_g, P_Z, P_g, P_A, 1532, check)
    call createCurrent(P_Z, P_Hl, P_Hl, P_A, 1478, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_GPlus, 1075, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, P_A, 283, check)
    call createCurrent(P_G0, P_muMinus, P_muPlus, 176, check)
    call createCurrent(P_Hh, P_ePlus, P_eMinus, 374, check)
    call createCurrent(P_nu_mu, P_muPlus, P_WMinus, 1204, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, P_Z, 751, check)
    call createCurrent(P_Hh, P_A, P_Hl, P_Z, 1499, check)
    call createCurrent(P_WPlus, P_Hh, P_GMinus, P_A, 211, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_Hl, 1223, check)
    call createCurrent(P_GPlus, P_G0, P_G0, P_GMinus, 1338, check)
    call createCurrent(P_Z, P_Z, P_A, P_A, 1568, check)
    call createCurrent(P_Hh, P_tauPlus, P_tauMinus, 910, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_WPlus, 966, check)
    call createCurrent(P_Z, P_Hl, P_GMinus, P_WPlus, 996, check)
    call createCurrent(P_Z, P_Z, P_WPlus, P_WMinus, 1325, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_A, 360, check)
    call createCurrent(P_Hh, P_G0, P_A, 1464, check)
    call createCurrent(P_A, P_A, P_WPlus, P_WMinus, 116, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, P_A, 349, check)
    call createCurrent(P_A, P_Hh, P_Hh, P_A, 1580, check)
    call createCurrent(P_Z, P_Hh, P_Hl, P_A, 1519, check)
    call createCurrent(P_ghWp, P_G0, P_ghWpAnti, 986, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, 218, check)
    call createCurrent(P_GPlus, P_muMinus, P_nu_muAnti, 274, check)
    call createCurrent(P_g, P_g, P_Z, P_g, 1644, check)
    call createCurrent(P_muMinus, P_A, P_muPlus, 1091, check)
    call createCurrent(P_muPlus, P_WMinus, P_nu_mu, 466, check)
    call createCurrent(P_Z, P_GPlus, P_Hh, P_WMinus, 1360, check)
    call createCurrent(P_Hh, P_Hl, P_Z, P_Z, 12, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, 1276, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, P_Z, 1218, check)
    call createCurrent(P_GPlus, P_GMinus, P_Hl, P_Hh, 1164, check)
    call createCurrent(P_ePlus, P_WMinus, P_nu_e, 1109, check)
    call createCurrent(P_uAnti, P_Hh, P_u, 151, check)
    call createCurrent(P_d, P_dAnti, P_g, 650, check)
    call createCurrent(P_g, P_A, P_g, P_g, 1551, check)
    call createCurrent(P_WMinus, P_WPlus, P_Hh, P_Hl, 411, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, P_A, 235, check)
    call createCurrent(P_GPlus, P_GMinus, P_GMinus, P_GPlus, 216, check)
    call createCurrent(P_GMinus, P_GPlus, P_WMinus, P_WPlus, 1098, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghA, 1017, check)
    call createCurrent(P_GPlus, P_WPlus, P_WMinus, P_GMinus, 796, check)
    call createCurrent(P_g, P_g, P_WPlus, P_WMinus, 1648, check)
    call createCurrent(P_g, P_A, P_Z, P_g, 1559, check)
    call createCurrent(P_ePlus, P_eMinus, P_Z, 712, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_G0, 762, check)
    call createCurrent(P_cAnti, P_Hh, P_c, 118, check)
    call createCurrent(P_A, P_Hl, P_GPlus, P_WMinus, 25, check)
    call createCurrent(P_nu_tauAnti, P_WPlus, P_tauMinus, 451, check)
    call createCurrent(P_ghWp, P_Hl, P_ghWpAnti, 41, check)
    call createCurrent(P_GPlus, P_GMinus, 1418, check)
    call createCurrent(P_c, P_g, P_cAnti, 477, check)
    call createCurrent(P_c, P_cAnti, P_Z, 7, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, 415, check)
    call createCurrent(P_GPlus, P_Hl, P_GMinus, P_Hh, 169, check)
    call createCurrent(P_GPlus, P_GMinus, P_WMinus, P_WPlus, 1322, check)
    call createCurrent(P_Hl, P_Hl, P_Hl, 341, check)
    call createCurrent(P_GMinus, P_Hl, P_Hh, P_GPlus, 994, check)
    call createCurrent(P_nu_tau, P_A, P_nu_tauAnti, 1423, check)
    call createCurrent(P_dAnti, P_Z, P_d, 101, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, P_A, 1184, check)
    call createCurrent(P_Z, P_Hh, P_A, P_Hl, 1431, check)
    call createCurrent(P_A, P_Hl, P_Z, P_Hl, 1456, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, 586, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_G0, 4, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, P_Z, 766, check)
    call createCurrent(P_sAnti, P_WMinus, P_c, 1379, check)
    call createCurrent(P_uAnti, P_u, P_G0, 166, check)
    call createCurrent(P_GPlus, P_tAnti, P_b, 624, check)
    call createCurrent(P_GMinus, P_Hl, P_GPlus, P_Hl, 1169, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, P_A, 1371, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_Hl, 334, check)
    call createCurrent(P_Hh, P_GPlus, P_A, P_WMinus, 486, check)
    call createCurrent(P_ghZ, P_WPlus, P_ghWpAnti, 651, check)
    call createCurrent(P_WMinus, P_GPlus, P_Hh, P_A, 470, check)
    call createCurrent(P_G0, P_Hh, P_Z, 1114, check)
    call createCurrent(P_Z, P_GPlus, P_G0, P_WMinus, 693, check)
    call createCurrent(P_Hl, P_b, P_bAnti, 1120, check)
    call createCurrent(P_tAnti, P_t, P_Hl, 128, check)
    call createCurrent(P_G0, P_G0, P_Hh, P_Hl, 194, check)
    call createCurrent(P_Hh, P_A, P_Z, P_Hh, 1509, check)
    call createCurrent(P_Hl, P_A, P_Hh, P_A, 1673, check)
    call createCurrent(P_GPlus, P_Hh, P_Z, P_WMinus, 1357, check)
    call createCurrent(P_g, P_g, P_A, P_Z, 1587, check)
    call createCurrent(P_A, P_A, 1407, check)
    call createCurrent(P_Hh, P_WMinus, P_Z, P_GPlus, 1361, check)
    call createCurrent(P_WMinus, P_Z, P_Z, P_WPlus, 1014, check)
    call createCurrent(P_Hl, P_Hh, P_A, P_Z, 1502, check)
    call createCurrent(P_WPlus, P_g, P_g, P_WMinus, 1668, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, 1115, check)
    call createCurrent(P_Hh, P_A, P_Z, P_Hl, 1488, check)
    call createCurrent(P_WPlus, P_muMinus, P_nu_muAnti, 65, check)
    call createCurrent(P_WMinus, P_GMinus, P_WPlus, P_GPlus, 1343, check)
    call createCurrent(P_ghWm, P_G0, P_ghWmAnti, 961, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Hh, 514, check)
    call createCurrent(P_A, P_A, P_g, P_g, 1616, check)
    call createCurrent(P_Hh, P_GMinus, P_WPlus, P_Z, 1106, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, 596, check)
    call createCurrent(P_A, P_G0, P_G0, P_A, 1593, check)
    call createCurrent(P_b, P_bAnti, P_Z, 26, check)
    call createCurrent(P_Z, P_Z, 1428, check)
    call createCurrent(P_Hl, P_tAnti, P_t, 302, check)
    call createCurrent(P_A, P_eMinus, P_ePlus, 214, check)
    call createCurrent(P_g, P_g, P_Z, P_Z, 1590, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, 1167, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, P_A, 1313, check)
    call createCurrent(P_Hh, P_Z, P_WPlus, P_GMinus, 1369, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghZ, 977, check)
    call createCurrent(P_WPlus, P_GMinus, P_Hl, P_A, 318, check)
    call createCurrent(P_Z, P_sAnti, P_s, 1057, check)
    call createCurrent(P_A, P_ghWp, P_ghWpAnti, 947, check)
    call createCurrent(P_g, P_g, P_Hh, P_Hl, 1558, check)
    call createCurrent(P_G0, P_WMinus, P_A, P_GPlus, 1051, check)
    call createCurrent(P_Hl, P_A, P_A, 1631, check)
    call createCurrent(P_Hl, P_GMinus, P_Hh, P_GPlus, 145, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_WPlus, 696, check)
    call createCurrent(P_Z, P_G0, P_G0, P_Z, 958, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, P_Z, 339, check)
    call createCurrent(P_Hh, P_WPlus, P_WMinus, P_Hl, 823, check)
    call createCurrent(P_Hl, P_eMinus, P_ePlus, 232, check)
    call createCurrent(P_Hh, P_tauMinus, P_tauPlus, 280, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, 968, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, P_A, 1321, check)
    call createCurrent(P_G0, P_A, P_G0, P_A, 1597, check)
    call createCurrent(P_nu_muAnti, P_Z, P_nu_mu, 781, check)
    call createCurrent(P_G0, P_G0, P_GMinus, P_GPlus, 147, check)
    call createCurrent(P_nu_eAnti, P_nu_e, 1395, check)
    call createCurrent(P_WPlus, P_WMinus, P_Hh, P_Hh, 1249, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, P_Hl, 1198, check)
    call createCurrent(P_GPlus, P_nu_eAnti, P_eMinus, 111, check)
    call createCurrent(P_A, P_Hh, P_WPlus, P_GMinus, 297, check)
    call createCurrent(P_WMinus, P_g, P_g, P_WPlus, 1573, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, P_A, 325, check)
    call createCurrent(P_A, P_Z, P_G0, P_G0, 1392, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_A, 153, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, P_Z, 310, check)
    call createCurrent(P_WMinus, P_Z, P_G0, P_GPlus, 975, check)
    call createCurrent(P_cAnti, P_G0, P_c, 1158, check)
    call createCurrent(P_c, P_GMinus, P_sAnti, 1070, check)
    call createCurrent(P_sAnti, P_Hl, P_s, 52, check)
    call createCurrent(P_Hh, P_GPlus, P_Z, P_WMinus, 279, check)
    call createCurrent(P_WPlus, P_s, P_cAnti, 400, check)
    call createCurrent(P_Hl, P_A, P_Hl, P_Z, 1467, check)
    call createCurrent(P_WMinus, P_WPlus, 1471, check)
    call createCurrent(P_GPlus, P_GMinus, P_Hh, 802, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, 117, check)
    call createCurrent(P_G0, P_Hl, P_Z, 657, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_Hl, 913, check)
    call createCurrent(P_G0, P_GMinus, P_G0, P_GPlus, 1096, check)
    call createCurrent(P_Z, P_g, P_g, P_g, 1660, check)
    call createCurrent(P_Z, P_A, P_A, P_Z, 1594, check)
    call createCurrent(P_d, P_dAnti, P_Hh, 67, check)
    call createCurrent(P_Hl, P_WPlus, P_GMinus, P_A, 270, check)
    call createCurrent(P_g, P_s, P_sAnti, 1060, check)
    call createCurrent(P_G0, P_GPlus, P_GMinus, P_G0, 787, check)
    call createCurrent(P_eMinus, P_G0, P_ePlus, 90, check)
    call createCurrent(P_GPlus, P_WMinus, P_GMinus, P_WPlus, 1099, check)
    call createCurrent(P_WMinus, P_WPlus, P_WPlus, P_WMinus, 113, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, 739, check)
    call createCurrent(P_Z, P_Hh, P_Hl, P_Z, 672, check)
    call createCurrent(P_c, P_A, P_cAnti, 894, check)
    call createCurrent(P_ghWmAnti, P_A, P_ghWm, 769, check)
    call createCurrent(P_GPlus, P_Z, P_G0, P_WMinus, 355, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, P_A, 581, check)
    call createCurrent(P_tauPlus, P_Z, P_tauMinus, 1294, check)
    call createCurrent(P_GPlus, P_GMinus, P_G0, P_G0, 605, check)
    call createCurrent(P_A, P_GMinus, P_Hl, P_WPlus, 990, check)
    call createCurrent(P_c, P_Hh, P_cAnti, 1239, check)
    call createCurrent(P_A, P_G0, P_GPlus, P_WMinus, 1291, check)
    call createCurrent(P_Z, P_WMinus, P_A, P_WPlus, 1078, check)
    call createCurrent(P_bAnti, P_b, 1398, check)
    call createCurrent(P_g, P_g, P_g, 170, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_GPlus, 1245, check)
    call createCurrent(P_A, P_Hh, P_GMinus, P_WPlus, 652, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_WMinus, 368, check)
    call createCurrent(P_GMinus, P_g, P_g, P_GPlus, 1539, check)
    call createCurrent(P_c, P_Hl, P_cAnti, 443, check)
    call createCurrent(P_Hh, P_s, P_sAnti, 1128, check)
    call createCurrent(P_G0, P_A, P_Z, P_G0, 1403, check)
    call createCurrent(P_t, P_tAnti, P_Z, 295, check)
    call createCurrent(P_GPlus, P_uAnti, P_d, 1140, check)
    call createCurrent(P_g, P_g, P_G0, P_G0, 1625, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_WMinus, 3, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_G0, 248, check)
    call createCurrent(P_t, P_bAnti, P_GMinus, 319, check)
    call createCurrent(P_Hl, P_GPlus, P_WMinus, P_A, 1090, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, 342, check)
    call createCurrent(P_tAnti, P_Hh, P_t, 378, check)
    call createCurrent(P_Z, P_Hh, P_A, 1414, check)
    call createCurrent(P_A, P_muMinus, P_muPlus, 157, check)
    call createCurrent(P_GMinus, P_WMinus, P_GPlus, P_WPlus, 1191, check)
    call createCurrent(P_GMinus, P_GPlus, P_g, P_g, 1653, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, 925, check)
    call createCurrent(P_Hh, P_A, P_A, P_Hl, 1663, check)
    call createCurrent(P_Hh, P_Hh, P_Hh, 432, check)
    call createCurrent(P_ghWpAnti, P_Hl, P_ghWp, 1365, check)
    call createCurrent(P_ePlus, P_Z, P_eMinus, 72, check)
    call createCurrent(P_Z, P_ghWmAnti, P_ghWm, 202, check)
    call createCurrent(P_GMinus, P_GPlus, P_Hh, P_Hl, 879, check)
    call createCurrent(P_Hl, P_tauPlus, P_tauMinus, 1068, check)
    call createCurrent(P_GMinus, P_ghZ, P_ghWmAnti, 1200, check)
    call createCurrent(P_nu_e, P_Z, P_nu_eAnti, 932, check)
    call createCurrent(P_G0, P_Hh, P_A, 1384, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_Hl, 206, check)
    call createCurrent(P_dAnti, P_u, P_WMinus, 173, check)
    call createCurrent(P_A, P_G0, P_Hl, 1401, check)
    call createCurrent(P_uAnti, P_d, P_GPlus, 906, check)
    call createCurrent(P_s, P_sAnti, P_G0, 1046, check)
    call createCurrent(P_Hl, P_Z, P_GPlus, P_WMinus, 723, check)
    call createCurrent(P_g, P_g, P_GPlus, P_GMinus, 1582, check)
    call createCurrent(P_u, P_uAnti, P_Hl, 1016, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_ghWm, 1056, check)
    call createCurrent(P_Hl, P_s, P_sAnti, 681, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_GPlus, 1178, check)
    call createCurrent(P_nu_muAnti, P_WPlus, P_muMinus, 456, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, P_Z, 1092, check)
    call createCurrent(P_Z, P_t, P_tAnti, 289, check)
    call createCurrent(P_nu_e, P_ePlus, P_GMinus, 23, check)
    call createCurrent(P_Hl, P_Hl, P_Hh, P_Hl, 524, check)
    call createCurrent(P_Hl, P_Hh, 1469, check)
    call createCurrent(P_Hh, P_Hl, P_WMinus, P_WPlus, 255, check)
    call createCurrent(P_Z, P_c, P_cAnti, 1157, check)
    call createCurrent(P_tAnti, P_b, P_GPlus, 308, check)
    call createCurrent(P_muPlus, P_Hl, P_muMinus, 1135, check)
    call createCurrent(P_G0, P_A, P_Hl, 1506, check)
    call createCurrent(P_Z, P_Hl, P_Z, P_Hl, 573, check)
    call createCurrent(P_Hl, P_Hl, P_Hh, P_Hh, 995, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_GMinus, 460, check)
    call createCurrent(P_b, P_g, P_bAnti, 78, check)
    call createCurrent(P_dAnti, P_WMinus, P_u, 1306, check)
    call createCurrent(P_ghA, P_GMinus, P_ghWmAnti, 638, check)
    call createCurrent(P_ePlus, P_G0, P_eMinus, 805, check)
    call createCurrent(P_WMinus, P_WPlus, P_Hh, 783, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Z, 1301, check)
    call createCurrent(P_WMinus, P_tauPlus, P_nu_tau, 594, check)
    call createCurrent(P_WPlus, P_nu_tauAnti, P_tauMinus, 929, check)
    call createCurrent(P_ePlus, P_GMinus, P_nu_e, 944, check)
    call createCurrent(P_Hl, P_Hl, P_WPlus, P_WMinus, 1376, check)
    call createCurrent(P_GMinus, P_A, P_Z, P_GPlus, 1290, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghZ, 955, check)
    call createCurrent(P_Hl, P_g, P_g, P_Hl, 1620, check)
    call createCurrent(P_GMinus, P_Hl, P_WPlus, P_Z, 1226, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, P_A, 294, check)
    call createCurrent(P_A, P_Hh, P_Hl, P_Z, 1484, check)
    call createCurrent(P_Hl, P_GPlus, P_Z, P_WMinus, 798, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_Hl, 95, check)
    call createCurrent(P_muPlus, P_muMinus, P_Z, 1155, check)
    call createCurrent(P_ghWpAnti, P_G0, P_ghWp, 520, check)
    call createCurrent(P_Hl, P_Z, P_A, 1479, check)
    call createCurrent(P_g, P_dAnti, P_d, 1036, check)
    call createCurrent(P_GMinus, P_t, P_bAnti, 662, check)
    call createCurrent(P_Hl, P_Hh, P_WPlus, P_WMinus, 856, check)
    call createCurrent(P_d, P_Z, P_dAnti, 464, check)
    call createCurrent(P_ghWm, P_A, P_ghWmAnti, 540, check)
    call createCurrent(P_Z, P_Z, P_WMinus, P_WPlus, 1186, check)
    call createCurrent(P_G0, P_ghWp, P_ghWpAnti, 612, check)
    call createCurrent(P_t, P_A, P_tAnti, 1260, check)
    call createCurrent(P_G0, P_Z, P_G0, P_A, 1386, check)
    call createCurrent(P_WMinus, P_Hl, P_Hl, P_WPlus, 585, check)
    call createCurrent(P_Z, P_A, P_Hh, 1417, check)
    call createCurrent(P_A, P_WMinus, P_Hh, P_GPlus, 1008, check)
    call createCurrent(P_GMinus, P_sAnti, P_c, 1103, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, P_Hl, 473, check)
    call createCurrent(P_Hl, P_Hh, P_Hh, P_Hl, 453, check)
    call createCurrent(P_WPlus, P_Z, P_Z, P_WMinus, 1211, check)
    call createCurrent(P_A, P_tauMinus, P_tauPlus, 350, check)
    call createCurrent(P_Hl, P_ePlus, P_eMinus, 901, check)
    call createCurrent(P_WPlus, P_Hl, P_WMinus, P_Hl, 509, check)
    call createCurrent(P_Hl, P_WPlus, P_WMinus, P_Hh, 1062, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_Hh, 303, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_G0, 1203, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, 656, check)
    call createCurrent(P_A, P_G0, P_GMinus, P_WPlus, 369, check)
    call createCurrent(P_Z, P_Hh, P_GMinus, P_WPlus, 1248, check)
    call createCurrent(P_G0, P_Z, P_A, P_G0, 1436, check)
    call createCurrent(P_A, P_Z, P_Hl, P_Hh, 1487, check)
    call createCurrent(P_Hl, P_Hh, P_GMinus, P_GPlus, 688, check)
    call createCurrent(P_Z, P_GPlus, P_A, P_GMinus, 1232, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, P_Z, 1272, check)
    call createCurrent(P_g, P_WPlus, P_g, P_WMinus, 1659, check)
    call createCurrent(P_GMinus, P_Hh, P_A, P_WPlus, 1205, check)
    call createCurrent(P_Hl, P_Z, P_Hl, P_A, 1400, check)
    call createCurrent(P_dAnti, P_G0, P_d, 1187, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_Z, 251, check)
    call createCurrent(P_A, P_GPlus, P_Hl, P_WMinus, 1206, check)
    call createCurrent(P_g, P_ghGAnti, P_ghG, 39, check)
    call createCurrent(P_Hh, P_A, P_GPlus, P_WMinus, 1044, check)
    call createCurrent(P_muMinus, P_muPlus, P_Z, 558, check)
    call createCurrent(P_eMinus, P_Z, P_ePlus, 1235, check)
    call createCurrent(P_Hh, P_muPlus, P_muMinus, 543, check)
    call createCurrent(P_WPlus, P_cAnti, P_s, 188, check)
    call createCurrent(P_Hh, P_t, P_tAnti, 824, check)
    call createCurrent(P_Hh, P_Hh, P_A, P_Z, 1443, check)
    call createCurrent(P_tAnti, P_g, P_t, 1193, check)
    call createCurrent(P_GMinus, P_Z, P_G0, P_WPlus, 463, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghWpAnti, 670, check)
    call createCurrent(P_WMinus, P_WMinus, P_WPlus, P_WPlus, 661, check)
    call createCurrent(P_tAnti, P_t, P_Hh, 435, check)
    call createCurrent(P_GPlus, P_Z, P_Hl, P_WMinus, 846, check)
    call createCurrent(P_GMinus, P_GPlus, P_Hh, P_Hh, 479, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, P_A, 1094, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Hl, 1122, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, P_Z, 399, check)
    call createCurrent(P_Hh, P_Hl, P_G0, P_G0, 553, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_Hh, 647, check)
    call createCurrent(P_Hh, P_g, P_g, P_Hl, 1554, check)
    call createCurrent(P_A, P_WPlus, P_A, P_WMinus, 914, check)
    call createCurrent(P_g, P_Hh, P_Hh, P_g, 1671, check)
    call createCurrent(P_WMinus, P_Hl, P_GPlus, P_Z, 273, check)
    call createCurrent(P_GPlus, P_GMinus, P_Hl, P_Hl, 208, check)
    call createCurrent(P_G0, P_ePlus, P_eMinus, 646, check)
    call createCurrent(P_G0, P_G0, P_g, P_g, 1598, check)
    call createCurrent(P_g, P_G0, P_G0, P_g, 1658, check)
    call createCurrent(P_Hl, P_muPlus, P_muMinus, 1027, check)
    call createCurrent(P_GPlus, P_WMinus, P_Hl, P_Z, 737, check)
    call createCurrent(P_WMinus, P_WPlus, P_GMinus, P_GPlus, 896, check)
  end subroutine fill_current_1
end module currents_info1
