!******************************************************************************!
!                                                                              !
!    vertices_info6.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info6.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2019-10-09 13:25             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info6
  implicit none
  contains
  subroutine fill_vertices_mdl6()
    use class_vertices
    use class_couplings
    allocate(vertices(1311)%branchR2(0:0))
    call avR2(1311, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_5052])

    allocate(vertices(908)%branchR2(0:0))
    call avR2(908, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_5047])

    allocate(vertices(365)%branchR2(0:0))
    call avR2(365, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_14269])

    allocate(vertices(48)%branchR2(0:0))
    call avR2(48, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5180, nGC_5181, nGC_5182])

    allocate(vertices(242)%branchR2(0:0))
    call avR2(242, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5118])

    allocate(vertices(1439)%branchR2(0:0))
    call avR2(1439, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5129])

    allocate(vertices(308)%branchR2(0:1))
    call avR2(308, 0, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_4925, nGC_4927])

    call avR2(308, 1, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_4926, nGC_4928])

    allocate(vertices(875)%branchR2(0:0))
    call avR2(875, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5142])

    allocate(vertices(669)%branchR2(0:0))
    call avR2(669, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5143])

    allocate(vertices(218)%branchR2(0:0))
    call avR2(218, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_4920])

    allocate(vertices(434)%branchR2(0:0))
    call avR2(434, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5183, nGC_5184, nGC_5184])

    allocate(vertices(894)%branchR2(0:1))
    call avR2(894, 0, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_4900, nGC_4900])

    call avR2(894, 1, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_4899, nGC_4898])

    allocate(vertices(1284)%branchR2(0:0))
    call avR2(1284, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_4970, nGC_4969])

    allocate(vertices(959)%branchR2(0:0))
    call avR2(959, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5117])

    allocate(vertices(1632)%branchR2(0:0))
    call avR2(1632, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5113])

    allocate(vertices(733)%branchR2(0:1))
    call avR2(733, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_4896, nGC_4895])

    call avR2(733, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_4897, nGC_4897])

    allocate(vertices(1633)%branchR2(0:1))
    call avR2(1633, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_5149, nGC_5149,        &
    nGC_5149])

    call avR2(1633, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_5150, nGC_5150,        &
    nGC_5150])

    allocate(vertices(1338)%branchR2(0:0))
    call avR2(1338, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5137])

    allocate(vertices(1213)%branchR2(0:1))
    call avR2(1213, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_5039, nGC_5040])

    call avR2(1213, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_5041, nGC_5041])

    allocate(vertices(665)%branchR2(0:3))
    call avR2(665, 0, 11, 1, 0, FFaV1, 0, [1, 2], [nGC_5096, nGC_5095])

    call avR2(665, 1, 11, 1, 0, FFaV1, 0, [3, 0], [nGC_5097, nGC_5097])

    call avR2(665, 2, 12, 1, 0, FFaV1, 0, [1, 2], [nGC_5093, nGC_5092])

    call avR2(665, 3, 12, 1, 0, FFaV1, 0, [3, 0], [nGC_5094, nGC_5094])

    allocate(vertices(1423)%branchR2(0:0))
    call avR2(1423, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_4909])

    allocate(vertices(1634)%branchR2(0:0))
    call avR2(1634, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5114])

    allocate(vertices(119)%branchR2(0:0))
    call avR2(119, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5145])

    allocate(vertices(1148)%branchR2(0:1))
    call avR2(1148, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_5010, nGC_5011])

    call avR2(1148, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_5012, nGC_5012])

    allocate(vertices(1635)%branchR2(0:1))
    call avR2(1635, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_5190, nGC_5190,        &
    nGC_5190])

    call avR2(1635, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_5191, nGC_5191,        &
    nGC_5191])

    allocate(vertices(1257)%branchR2(0:0))
    call avR2(1257, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_4919])

    allocate(vertices(496)%branchR2(0:0))
    call avR2(496, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_4939])

    allocate(vertices(1196)%branchR2(0:0))
    call avR2(1196, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5146])

    allocate(vertices(188)%branchR2(0:1))
    call avR2(188, 0, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_5049])

    call avR2(188, 1, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_5050])

    allocate(vertices(440)%branchR2(0:3))
    call avR2(440, 0, 30, 1, 0, VFFa1, 0, [1, 2], [nGC_5087, nGC_5086])

    call avR2(440, 1, 30, 1, 0, VFFa1, 0, [3, 0], [nGC_5082, nGC_5082])

    call avR2(440, 2, 31, 1, 0, VFFa1, 0, [1, 2], [nGC_5085, nGC_5084])

    call avR2(440, 3, 31, 1, 0, VFFa1, 0, [3, 0], [nGC_5079, nGC_5079])

    allocate(vertices(1636)%branchR2(0:1))
    call avR2(1636, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_5185])

    call avR2(1636, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_5186])

    allocate(vertices(201)%branchR2(0:0))
    call avR2(201, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_4991])

    allocate(vertices(1637)%branchR2(0:1))
    call avR2(1637, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_5185])

    call avR2(1637, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_5186])

    allocate(vertices(891)%branchR2(0:1))
    call avR2(891, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_4973, nGC_4975])

    call avR2(891, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_4974, nGC_4976])

    allocate(vertices(1283)%branchR2(0:0))
    call avR2(1283, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5140])

    allocate(vertices(698)%branchR2(0:0))
    call avR2(698, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5141])

    allocate(vertices(601)%branchR2(0:0))
    call avR2(601, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_4982, nGC_4981])

    allocate(vertices(803)%branchR2(0:0))
    call avR2(803, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5119])

    allocate(vertices(0)%branchR2(0:0))
    call avR2(0, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5138])

    allocate(vertices(1638)%branchR2(0:0))
    call avR2(1638, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5115])

    allocate(vertices(1276)%branchR2(0:0))
    call avR2(1276, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_14222])

    allocate(vertices(294)%branchR2(0:0))
    call avR2(294, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5122])

    allocate(vertices(1639)%branchR2(0:0))
    call avR2(1639, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5139, nGC_5139, nGC_5139&
    ])

    allocate(vertices(366)%branchR2(0:0))
    call avR2(366, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5162])

    allocate(vertices(384)%branchR2(0:0))
    call avR2(384, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_4921])

    allocate(vertices(181)%branchR2(0:0))
    call avR2(181, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5119])

    allocate(vertices(1160)%branchR2(0:1))
    call avR2(1160, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_5036, nGC_5037])

    call avR2(1160, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_5038, nGC_5038])

    allocate(vertices(83)%branchR2(0:0))
    call avR2(83, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5164])

    allocate(vertices(1381)%branchR2(0:0))
    call avR2(1381, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_4943])

    allocate(vertices(949)%branchR2(0:1))
    call avR2(949, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_4965, nGC_4967])

    call avR2(949, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_4966, nGC_4968])

    allocate(vertices(1640)%branchR2(0:1))
    call avR2(1640, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_5187])

    call avR2(1640, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_5188])

    allocate(vertices(411)%branchR2(0:0))
    call avR2(411, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5164])

    allocate(vertices(560)%branchR2(0:0))
    call avR2(560, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_4939])

    allocate(vertices(1171)%branchR2(0:0))
    call avR2(1171, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_4918])

    allocate(vertices(395)%branchR2(0:0))
    call avR2(395, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5151])

    allocate(vertices(408)%branchR2(0:0))
    call avR2(408, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5146])

    allocate(vertices(290)%branchR2(0:3))
    call avR2(290, 0, 24, 1, 0, FaFV1, 0, [1, 2], [nGC_5096, nGC_5095])

    call avR2(290, 1, 24, 1, 0, FaFV1, 0, [3, 0], [nGC_5097, nGC_5097])

    call avR2(290, 2, 25, 1, 0, FaFV1, 0, [1, 2], [nGC_5093, nGC_5092])

    call avR2(290, 3, 25, 1, 0, FaFV1, 0, [3, 0], [nGC_5094, nGC_5094])

    allocate(vertices(1193)%branchR2(0:3))
    call avR2(1193, 0, 22, 1, 0, FaVF1, 0, [1, 2], [nGC_5101, nGC_5100])

    call avR2(1193, 1, 22, 1, 0, FaVF1, 0, [3, 0], [nGC_5097, nGC_5097])

    call avR2(1193, 2, 23, 1, 0, FaVF1, 0, [1, 2], [nGC_5099, nGC_5098])

    call avR2(1193, 3, 23, 1, 0, FaVF1, 0, [3, 0], [nGC_5094, nGC_5094])

    allocate(vertices(95)%branchR2(0:0))
    call avR2(95, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5153])

    allocate(vertices(459)%branchR2(0:3))
    call avR2(459, 0, 24, 1, 0, FaFV1, 0, [1, 2], [nGC_5083, nGC_5081])

    call avR2(459, 1, 24, 1, 0, FaFV1, 0, [3, 0], [nGC_5082, nGC_5082])

    call avR2(459, 2, 25, 1, 0, FaFV1, 0, [1, 2], [nGC_5080, nGC_5078])

    call avR2(459, 3, 25, 1, 0, FaFV1, 0, [3, 0], [nGC_5079, nGC_5079])

    allocate(vertices(1641)%branchR2(0:0))
    call avR2(1641, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5115])

    allocate(vertices(1229)%branchR2(0:0))
    call avR2(1229, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5123])

    allocate(vertices(1642)%branchR2(0:1))
    call avR2(1642, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_5178, nGC_5178,        &
    nGC_5178])

    call avR2(1642, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_5179, nGC_5179,        &
    nGC_5179])

    allocate(vertices(966)%branchR2(0:0))
    call avR2(966, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_5051])

    allocate(vertices(1440)%branchR2(0:0))
    call avR2(1440, 0, 14, 1, 0, FFa1, 0, [0, 2], [nGC_4877])

    allocate(vertices(957)%branchR2(0:1))
    call avR2(957, 0, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_4900, nGC_4900])

    call avR2(957, 1, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_4913, nGC_4912])

    allocate(vertices(788)%branchR2(0:0))
    call avR2(788, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5117])

    allocate(vertices(331)%branchR2(0:1))
    call avR2(331, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_5059, nGC_5057])

    call avR2(331, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_5060, nGC_5058])

    allocate(vertices(587)%branchR2(0:0))
    call avR2(587, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5151])

    allocate(vertices(313)%branchR2(0:1))
    call avR2(313, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_4973, nGC_4975])

    call avR2(313, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_4974, nGC_4976])

    allocate(vertices(1334)%branchR2(0:0))
    call avR2(1334, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5119])

    allocate(vertices(478)%branchR2(0:1))
    call avR2(478, 0, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_5049])

    call avR2(478, 1, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_5050])

    allocate(vertices(367)%branchR2(0:0))
    call avR2(367, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5184, nGC_5183, nGC_5184])

    allocate(vertices(925)%branchR2(0:0))
    call avR2(925, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_14521])

    allocate(vertices(1457)%branchR2(0:0))
    call avR2(1457, 0, 14, 1, 0, SS3, 0, [0, 2], [nGC_4843, nGC_4842])

    allocate(vertices(912)%branchR2(0:0))
    call avR2(912, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5144])

    allocate(vertices(1344)%branchR2(0:0))
    call avR2(1344, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_4943])

    allocate(vertices(301)%branchR2(0:0))
    call avR2(301, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5160])

    allocate(vertices(279)%branchR2(0:0))
    call avR2(279, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5145])

    allocate(vertices(1434)%branchR2(0:0))
    call avR2(1434, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_4907])

    allocate(vertices(787)%branchR2(0:0))
    call avR2(787, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5137])

    allocate(vertices(467)%branchR2(0:0))
    call avR2(467, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5157])

    allocate(vertices(1102)%branchR2(0:0))
    call avR2(1102, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_4886])

    allocate(vertices(1386)%branchR2(0:0))
    call avR2(1386, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5127])

    allocate(vertices(1252)%branchR2(0:0))
    call avR2(1252, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_5065])

    allocate(vertices(1643)%branchR2(0:1))
    call avR2(1643, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_5185])

    call avR2(1643, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_5186])

    allocate(vertices(251)%branchR2(0:0))
    call avR2(251, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_5074, nGC_5075])

    allocate(vertices(3)%branchR2(0:0))
    call avR2(3, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_5051])

    allocate(vertices(1644)%branchR2(0:5))
    call avR2(1644, 0, 77, 1, 0, VVVV0, 0, [3, 1], [nGC_5192, nGC_5192,        &
    nGC_5192])

    call avR2(1644, 1, 78, 1, 0, VVVV0, 0, [3, 1], [nGC_5193, nGC_5193,        &
    nGC_5193])

    call avR2(1644, 2, 79, 1, 0, VVVV0, 0, [3, 1], [nGC_5193, nGC_5193,        &
    nGC_5193])

    call avR2(1644, 3, 80, 1, 0, VVVV0, 0, [3, 1], [nGC_5193, nGC_5193,        &
    nGC_5193])

    call avR2(1644, 4, 81, 1, 0, VVVV0, 0, [3, 1], [nGC_5194, nGC_5194,        &
    nGC_5194])

    call avR2(1644, 5, 82, 1, 0, VVVV0, 0, [3, 1], [nGC_5192, nGC_5192,        &
    nGC_5192])

    allocate(vertices(244)%branchR2(0:0))
    call avR2(244, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5164])

    allocate(vertices(1048)%branchR2(0:0))
    call avR2(1048, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5122])

    allocate(vertices(516)%branchR2(0:0))
    call avR2(516, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5118])

    allocate(vertices(305)%branchR2(0:0))
    call avR2(305, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5152])

    allocate(vertices(1345)%branchR2(0:1))
    call avR2(1345, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_4899, nGC_4898])

    call avR2(1345, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_4900, nGC_4900])

    allocate(vertices(1396)%branchR2(0:0))
    call avR2(1396, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5127])

    allocate(vertices(765)%branchR2(0:0))
    call avR2(765, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5145])

    allocate(vertices(640)%branchR2(0:1))
    call avR2(640, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_4913, nGC_4912])

    call avR2(640, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_4900, nGC_4900])

    allocate(vertices(817)%branchR2(0:1))
    call avR2(817, 0, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_4930, nGC_4932])

    call avR2(817, 1, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_4946, nGC_4947])

    allocate(vertices(650)%branchR2(0:3))
    call avR2(650, 0, 11, 1, 0, FFaV1, 0, [1, 2], [nGC_5091, nGC_5090])

    call avR2(650, 1, 11, 1, 0, FFaV1, 0, [3, 0], [nGC_5082, nGC_5082])

    call avR2(650, 2, 12, 1, 0, FFaV1, 0, [1, 2], [nGC_5089, nGC_5088])

    call avR2(650, 3, 12, 1, 0, FFaV1, 0, [3, 0], [nGC_5079, nGC_5079])

    allocate(vertices(1066)%branchR2(0:0))
    call avR2(1066, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5108])

    allocate(vertices(1645)%branchR2(0:0))
    call avR2(1645, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5113])

    allocate(vertices(574)%branchR2(0:0))
    call avR2(574, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5140])

    allocate(vertices(655)%branchR2(0:1))
    call avR2(655, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_4933, nGC_4935])

    call avR2(655, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_4934, nGC_4936])

    allocate(vertices(230)%branchR2(0:0))
    call avR2(230, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5152])

    allocate(vertices(740)%branchR2(0:0))
    call avR2(740, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5145])

    allocate(vertices(1646)%branchR2(0:0))
    call avR2(1646, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5114])

    allocate(vertices(1426)%branchR2(0:1))
    call avR2(1426, 0, 42, 1, 0, FaF1, 0, [0, 2], [nGC_4864, nGC_4863, nGC_4880&
    , nGC_4880])

    call avR2(1426, 1, 42, 1, 0, FaF1, 0, [2, 0], [nGC_4858, nGC_4858, nGC_4881&
    , nGC_4881])

    allocate(vertices(1391)%branchR2(0:0))
    call avR2(1391, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_13660])

    allocate(vertices(933)%branchR2(0:0))
    call avR2(933, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5131, nGC_5130, nGC_5132])

    allocate(vertices(118)%branchR2(0:1))
    call avR2(118, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_4997, nGC_4997])

    call avR2(118, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_4995, nGC_4996])

    allocate(vertices(1071)%branchR2(0:0))
    call avR2(1071, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_5069])

    allocate(vertices(262)%branchR2(0:0))
    call avR2(262, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5137])

    allocate(vertices(1335)%branchR2(0:1))
    call avR2(1335, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_4983, nGC_4985])

    call avR2(1335, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_4984, nGC_4986])

    allocate(vertices(615)%branchR2(0:0))
    call avR2(615, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5118])

    allocate(vertices(1165)%branchR2(0:0))
    call avR2(1165, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5153])

    allocate(vertices(162)%branchR2(0:0))
    call avR2(162, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5124])

    allocate(vertices(60)%branchR2(0:0))
    call avR2(60, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5138])

    allocate(vertices(1286)%branchR2(0:0))
    call avR2(1286, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5144])

    allocate(vertices(1407)%branchR2(0:0))
    call avR2(1407, 0, 14, 1, 0, VV2, 0, [0, 2], [nGC_4838, nGC_4837, nGC_4839])

    allocate(vertices(179)%branchR2(0:0))
    call avR2(179, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5142])

    allocate(vertices(1378)%branchR2(0:0))
    call avR2(1378, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5141])

    allocate(vertices(1429)%branchR2(0:0))
    call avR2(1429, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_13585])

    allocate(vertices(1647)%branchR2(0:1))
    call avR2(1647, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_5147])

    call avR2(1647, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_5148])

    allocate(vertices(405)%branchR2(0:1))
    call avR2(405, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_5015, nGC_5016])

    call avR2(405, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_5017, nGC_5017])

    allocate(vertices(589)%branchR2(0:0))
    call avR2(589, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5172])

    allocate(vertices(328)%branchR2(0:1))
    call avR2(328, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_5048])

    call avR2(328, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_5049])

    allocate(vertices(972)%branchR2(0:1))
    call avR2(972, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_4902, nGC_4901])

    call avR2(972, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_4897, nGC_4897])

    allocate(vertices(1418)%branchR2(0:0))
    call avR2(1418, 0, 14, 1, 0, SS3, 0, [0, 2], [nGC_4841, nGC_4840])

    allocate(vertices(861)%branchR2(0:0))
    call avR2(861, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5111, nGC_5110, nGC_5109])

    allocate(vertices(525)%branchR2(0:0))
    call avR2(525, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_5006, nGC_5005])

    allocate(vertices(1648)%branchR2(0:1))
    call avR2(1648, 0, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_5178, nGC_5178,        &
    nGC_5178])

    call avR2(1648, 1, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_5179, nGC_5179,        &
    nGC_5179])

    allocate(vertices(136)%branchR2(0:0))
    call avR2(136, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_4972, nGC_4971])

    allocate(vertices(1649)%branchR2(0:1))
    call avR2(1649, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_5135, nGC_5135,        &
    nGC_5135])

    call avR2(1649, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_5136, nGC_5136,        &
    nGC_5136])

    allocate(vertices(235)%branchR2(0:0))
    call avR2(235, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5110, nGC_5111, nGC_5109])

    allocate(vertices(70)%branchR2(0:3))
    call avR2(70, 0, 28, 1, 0, VFaF0, 0, [1, 2], [nGC_5105, nGC_5104])

    call avR2(70, 1, 28, 1, 0, VFaF0, 0, [3, 0], [nGC_5097, nGC_5097])

    call avR2(70, 2, 29, 1, 0, VFaF0, 0, [1, 2], [nGC_5103, nGC_5102])

    call avR2(70, 3, 29, 1, 0, VFaF0, 0, [3, 0], [nGC_5094, nGC_5094])

    allocate(vertices(848)%branchR2(0:0))
    call avR2(848, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5116])

    allocate(vertices(1471)%branchR2(0:0))
    call avR2(1471, 0, 14, 1, 0, VV3, 0, [0, 2], [nGC_4835, nGC_4834, nGC_4836])

    allocate(vertices(1287)%branchR2(0:0))
    call avR2(1287, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5146])

    allocate(vertices(731)%branchR2(0:0))
    call avR2(731, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5142])

    allocate(vertices(205)%branchR2(0:0))
    call avR2(205, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5119])

    allocate(vertices(190)%branchR2(0:0))
    call avR2(190, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_5047])

    allocate(vertices(146)%branchR2(0:0))
    call avR2(146, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5144])

    allocate(vertices(1288)%branchR2(0:0))
    call avR2(1288, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_4972, nGC_4971])

    allocate(vertices(711)%branchR2(0:0))
    call avR2(711, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5130, nGC_5131, nGC_5132])

    allocate(vertices(373)%branchR2(0:0))
    call avR2(373, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5122])

    allocate(vertices(28)%branchR2(0:0))
    call avR2(28, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_5051])

    allocate(vertices(27)%branchR2(0:0))
    call avR2(27, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5163])

    allocate(vertices(114)%branchR2(0:0))
    call avR2(114, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5143])

    allocate(vertices(1431)%branchR2(0:0))
    call avR2(1431, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5129])

    allocate(vertices(914)%branchR2(0:0))
    call avR2(914, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5109, nGC_5110, nGC_5111])

    allocate(vertices(1528)%branchR2(0:0))
    call avR2(1528, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5133])

    allocate(vertices(1133)%branchR2(0:1))
    call avR2(1133, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_4995, nGC_4996])

    call avR2(1133, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_4997, nGC_4997])

    allocate(vertices(78)%branchR2(0:3))
    call avR2(78, 0, 26, 1, 0, FVFa0, 0, [1, 2], [nGC_5083, nGC_5081])

    call avR2(78, 1, 26, 1, 0, FVFa0, 0, [3, 0], [nGC_5082, nGC_5082])

    call avR2(78, 2, 27, 1, 0, FVFa0, 0, [1, 2], [nGC_5080, nGC_5078])

    call avR2(78, 3, 27, 1, 0, FVFa0, 0, [3, 0], [nGC_5079, nGC_5079])

    allocate(vertices(424)%branchR2(0:0))
    call avR2(424, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5145])

    allocate(vertices(1062)%branchR2(0:0))
    call avR2(1062, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5164])

    allocate(vertices(503)%branchR2(0:0))
    call avR2(503, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_4988])

    allocate(vertices(1186)%branchR2(0:0))
    call avR2(1186, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5182, nGC_5180, nGC_5181&
    ])

    allocate(vertices(1504)%branchR2(0:0))
    call avR2(1504, 0, 14, 1, 0, FaF0, 0, [0, 2], [nGC_4877])

    allocate(vertices(137)%branchR2(0:0))
    call avR2(137, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5155])

    allocate(vertices(44)%branchR2(0:0))
    call avR2(44, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5145])

    allocate(vertices(1513)%branchR2(0:0))
    call avR2(1513, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_4908])

    allocate(vertices(493)%branchR2(0:0))
    call avR2(493, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5122])

    allocate(vertices(689)%branchR2(0:0))
    call avR2(689, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_4918])

    allocate(vertices(591)%branchR2(0:0))
    call avR2(591, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_5043, nGC_5042])

    allocate(vertices(776)%branchR2(0:0))
    call avR2(776, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5152])

    allocate(vertices(1310)%branchR2(0:0))
    call avR2(1310, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_4970, nGC_4969])

    allocate(vertices(1208)%branchR2(0:0))
    call avR2(1208, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5122])

    allocate(vertices(432)%branchR2(0:0))
    call avR2(432, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_4987])

    allocate(vertices(1013)%branchR2(0:0))
    call avR2(1013, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5164])

    allocate(vertices(513)%branchR2(0:0))
    call avR2(513, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5123])

    allocate(vertices(248)%branchR2(0:0))
    call avR2(248, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5151])

    allocate(vertices(304)%branchR2(0:1))
    call avR2(304, 0, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_4931, nGC_4929])

    call avR2(304, 1, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_4932, nGC_4930])

    allocate(vertices(1146)%branchR2(0:0))
    call avR2(1146, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_5014, nGC_5013])

    allocate(vertices(72)%branchR2(0:0))
    call avR2(72, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_5063, nGC_5064])

    allocate(vertices(1650)%branchR2(0:1))
    call avR2(1650, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_5190, nGC_5190,        &
    nGC_5190])

    call avR2(1650, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_5191, nGC_5191,        &
    nGC_5191])

    allocate(vertices(1482)%branchR2(0:0))
    call avR2(1482, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5128])

    allocate(vertices(187)%branchR2(0:0))
    call avR2(187, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5138])

    allocate(vertices(1651)%branchR2(0:1))
    call avR2(1651, 0, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_5185])

    call avR2(1651, 1, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_5186])

    allocate(vertices(703)%branchR2(0:0))
    call avR2(703, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5116])

    allocate(vertices(809)%branchR2(0:1))
    call avR2(809, 0, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_5060, nGC_5058])

    call avR2(809, 1, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_5077, nGC_5076])

    allocate(vertices(38)%branchR2(0:0))
    call avR2(38, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5146])

    allocate(vertices(734)%branchR2(0:1))
    call avR2(734, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_4965, nGC_4967])

    call avR2(734, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_4966, nGC_4968])

    allocate(vertices(288)%branchR2(0:0))
    call avR2(288, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_4954])

    allocate(vertices(1652)%branchR2(0:1))
    call avR2(1652, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_5176])

    call avR2(1652, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_5177])

    allocate(vertices(1290)%branchR2(0:0))
    call avR2(1290, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5117])

    allocate(vertices(349)%branchR2(0:0))
    call avR2(349, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5117])

    allocate(vertices(874)%branchR2(0:3))
    call avR2(874, 0, 24, 1, 0, FaFV1, 0, [1, 2], [nGC_5101, nGC_5100])

    call avR2(874, 1, 24, 1, 0, FaFV1, 0, [3, 0], [nGC_5097, nGC_5097])

    call avR2(874, 2, 25, 1, 0, FaFV1, 0, [1, 2], [nGC_5099, nGC_5098])

    call avR2(874, 3, 25, 1, 0, FaFV1, 0, [3, 0], [nGC_5094, nGC_5094])

    allocate(vertices(473)%branchR2(0:0))
    call avR2(473, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5153])

    allocate(vertices(1097)%branchR2(0:0))
    call avR2(1097, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_4940])

    allocate(vertices(1653)%branchR2(0:1))
    call avR2(1653, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_5147])

    call avR2(1653, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_5148])

    allocate(vertices(1654)%branchR2(0:1))
    call avR2(1654, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_5176])

    call avR2(1654, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_5177])

    allocate(vertices(1222)%branchR2(0:1))
    call avR2(1222, 0, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_4928, nGC_4926])

    call avR2(1222, 1, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_4945, nGC_4944])

    allocate(vertices(282)%branchR2(0:0))
    call avR2(282, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5119])

    allocate(vertices(936)%branchR2(0:1))
    call avR2(936, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_5027, nGC_5028])

    call avR2(936, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_5029, nGC_5029])

    allocate(vertices(1401)%branchR2(0:0))
    call avR2(1401, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_4888])

    allocate(vertices(1041)%branchR2(0:0))
    call avR2(1041, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5164])

    allocate(vertices(1211)%branchR2(0:0))
    call avR2(1211, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5181, nGC_5180, nGC_5182&
    ])

    allocate(vertices(835)%branchR2(0:0))
    call avR2(835, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5123])

    allocate(vertices(1480)%branchR2(0:0))
    call avR2(1480, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5129])

    allocate(vertices(1269)%branchR2(0:0))
    call avR2(1269, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5172])

    allocate(vertices(1466)%branchR2(0:0))
    call avR2(1466, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_4907])

    allocate(vertices(227)%branchR2(0:0))
    call avR2(227, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5119])

    allocate(vertices(1655)%branchR2(0:1))
    call avR2(1655, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_5187])

    call avR2(1655, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_5188])

    allocate(vertices(963)%branchR2(0:0))
    call avR2(963, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_5002, nGC_5001])

    allocate(vertices(455)%branchR2(0:0))
    call avR2(455, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5118])

    allocate(vertices(1656)%branchR2(0:1))
    call avR2(1656, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_5149, nGC_5149,        &
    nGC_5149])

    call avR2(1656, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_5150, nGC_5150,        &
    nGC_5150])

    allocate(vertices(1004)%branchR2(0:3))
    call avR2(1004, 0, 11, 1, 0, FFaV1, 0, [1, 2], [nGC_5105, nGC_5104])

    call avR2(1004, 1, 11, 1, 0, FFaV1, 0, [3, 0], [nGC_5097, nGC_5097])

    call avR2(1004, 2, 12, 1, 0, FFaV1, 0, [1, 2], [nGC_5103, nGC_5102])

    call avR2(1004, 3, 12, 1, 0, FFaV1, 0, [3, 0], [nGC_5094, nGC_5094])

    allocate(vertices(701)%branchR2(0:1))
    call avR2(701, 0, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_5056, nGC_5054])

    call avR2(701, 1, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_5062, nGC_5061])

    allocate(vertices(1224)%branchR2(0:0))
    call avR2(1224, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_5019])

    allocate(vertices(323)%branchR2(0:0))
    call avR2(323, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_4924])

    allocate(vertices(709)%branchR2(0:0))
    call avR2(709, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5118])

    allocate(vertices(886)%branchR2(0:0))
    call avR2(886, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_5051])

    allocate(vertices(1021)%branchR2(0:1))
    call avR2(1021, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_5021, nGC_5022])

    call avR2(1021, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_5023, nGC_5023])

    allocate(vertices(668)%branchR2(0:0))
    call avR2(668, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_4923])

    allocate(vertices(837)%branchR2(0:0))
    call avR2(837, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5158])

    allocate(vertices(693)%branchR2(0:0))
    call avR2(693, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5144])

    allocate(vertices(462)%branchR2(0:0))
    call avR2(462, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_4885])

    allocate(vertices(207)%branchR2(0:0))
    call avR2(207, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5138])

    allocate(vertices(1657)%branchR2(0:1))
    call avR2(1657, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_5185])

    call avR2(1657, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_5186])

    allocate(vertices(819)%branchR2(0:1))
    call avR2(819, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_4957, nGC_4959])

    call avR2(819, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_4958, nGC_4960])

    allocate(vertices(107)%branchR2(0:0))
    call avR2(107, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_4885])

    allocate(vertices(1658)%branchR2(0:1))
    call avR2(1658, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_5170])

    call avR2(1658, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_5171])

    allocate(vertices(746)%branchR2(0:0))
    call avR2(746, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5137])

    allocate(vertices(996)%branchR2(0:0))
    call avR2(996, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5153])

    allocate(vertices(681)%branchR2(0:1))
    call avR2(681, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_5036, nGC_5037])

    call avR2(681, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_5038, nGC_5038])

    allocate(vertices(1659)%branchR2(0:1))
    call avR2(1659, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_5178, nGC_5178,        &
    nGC_5178])

    call avR2(1659, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_5179, nGC_5179,        &
    nGC_5179])

    allocate(vertices(446)%branchR2(0:0))
    call avR2(446, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_5074, nGC_5075])

    allocate(vertices(1232)%branchR2(0:0))
    call avR2(1232, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5117])

    allocate(vertices(499)%branchR2(0:0))
    call avR2(499, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_5052])

    allocate(vertices(1170)%branchR2(0:0))
    call avR2(1170, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5143])

    allocate(vertices(567)%branchR2(0:0))
    call avR2(567, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_5052])

    allocate(vertices(284)%branchR2(0:0))
    call avR2(284, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_14269])

    allocate(vertices(321)%branchR2(0:0))
    call avR2(321, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_5051])

    allocate(vertices(40)%branchR2(0:0))
    call avR2(40, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5152])

    allocate(vertices(772)%branchR2(0:0))
    call avR2(772, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_5019])

    allocate(vertices(423)%branchR2(0:0))
    call avR2(423, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5116])

    allocate(vertices(82)%branchR2(0:1))
    call avR2(82, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_4913, nGC_4912])

    call avR2(82, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_4900, nGC_4900])

    allocate(vertices(725)%branchR2(0:0))
    call avR2(725, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5124])

    allocate(vertices(1660)%branchR2(0:5))
    call avR2(1660, 0, 65, 1, 0, VVVV0, 0, [3, 1], [nGC_5192, nGC_5192,        &
    nGC_5192])

    call avR2(1660, 1, 66, 1, 0, VVVV0, 0, [3, 1], [nGC_5193, nGC_5193,        &
    nGC_5193])

    call avR2(1660, 2, 67, 1, 0, VVVV0, 0, [3, 1], [nGC_5193, nGC_5193,        &
    nGC_5193])

    call avR2(1660, 3, 68, 1, 0, VVVV0, 0, [3, 1], [nGC_5194, nGC_5194,        &
    nGC_5194])

    call avR2(1660, 4, 69, 1, 0, VVVV0, 0, [3, 1], [nGC_5193, nGC_5193,        &
    nGC_5193])

    call avR2(1660, 5, 70, 1, 0, VVVV0, 0, [3, 1], [nGC_5192, nGC_5192,        &
    nGC_5192])

    allocate(vertices(1347)%branchR2(0:1))
    call avR2(1347, 0, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_4900, nGC_4900])

    call avR2(1347, 1, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_4917, nGC_4916])

    allocate(vertices(1430)%branchR2(0:0))
    call avR2(1430, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_4891])

    allocate(vertices(1525)%branchR2(0:0))
    call avR2(1525, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5129])

    allocate(vertices(1127)%branchR2(0:0))
    call avR2(1127, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_4956])

    allocate(vertices(728)%branchR2(0:0))
    call avR2(728, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5157])

    allocate(vertices(1373)%branchR2(0:0))
    call avR2(1373, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5119])

    allocate(vertices(457)%branchR2(0:0))
    call avR2(457, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5124])

    allocate(vertices(1314)%branchR2(0:0))
    call avR2(1314, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5174])

    allocate(vertices(378)%branchR2(0:1))
    call avR2(378, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_5012, nGC_5012])

    call avR2(378, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_5010, nGC_5011])

    allocate(vertices(1190)%branchR2(0:1))
    call avR2(1190, 0, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_4897, nGC_4897])

    call avR2(1190, 1, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_4896, nGC_4895])

    allocate(vertices(1072)%branchR2(0:0))
    call avR2(1072, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_4982, nGC_4981])

    allocate(vertices(1661)%branchR2(0:0))
    call avR2(1661, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5115])

    allocate(vertices(824)%branchR2(0:1))
    call avR2(824, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_5010, nGC_5011])

    call avR2(824, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_5012, nGC_5012])

    allocate(vertices(786)%branchR2(0:0))
    call avR2(786, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_5019])

    allocate(vertices(377)%branchR2(0:1))
    call avR2(377, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_5000, nGC_5000])

    call avR2(377, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_4998, nGC_4999])

    allocate(vertices(1662)%branchR2(0:1))
    call avR2(1662, 0, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_5190, nGC_5190,        &
    nGC_5190])

    call avR2(1662, 1, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_5191, nGC_5191,        &
    nGC_5191])

    allocate(vertices(163)%branchR2(0:0))
    call avR2(163, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_5006, nGC_5005])

    allocate(vertices(1260)%branchR2(0:1))
    call avR2(1260, 0, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_4900, nGC_4900])

    call avR2(1260, 1, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_4913, nGC_4912])

    allocate(vertices(1217)%branchR2(0:1))
    call avR2(1217, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_4931, nGC_4929])

    call avR2(1217, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_4932, nGC_4930])

    allocate(vertices(320)%branchR2(0:0))
    call avR2(320, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5122])

    allocate(vertices(1043)%branchR2(0:1))
    call avR2(1043, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_5055, nGC_5053])

    call avR2(1043, 1, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_5056, nGC_5054])

    allocate(vertices(1172)%branchR2(0:0))
    call avR2(1172, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5144])

    allocate(vertices(1663)%branchR2(0:0))
    call avR2(1663, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5115])

    allocate(vertices(1473)%branchR2(0:0))
    call avR2(1473, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5129])

    allocate(vertices(1385)%branchR2(0:0))
    call avR2(1385, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5127])

    allocate(vertices(254)%branchR2(0:0))
    call avR2(254, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_4918])

    allocate(vertices(1207)%branchR2(0:1))
    call avR2(1207, 0, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_5029, nGC_5029])

    call avR2(1207, 1, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_5027, nGC_5028])

    allocate(vertices(647)%branchR2(0:0))
    call avR2(647, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5145])

    allocate(vertices(905)%branchR2(0:0))
    call avR2(905, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5162])

    allocate(vertices(1664)%branchR2(0:0))
    call avR2(1664, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_4889])

    allocate(vertices(1322)%branchR2(0:0))
    call avR2(1322, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5142])

    allocate(vertices(428)%branchR2(0:0))
    call avR2(428, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5124])

    allocate(vertices(175)%branchR2(0:0))
    call avR2(175, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5156])

    allocate(vertices(1239)%branchR2(0:1))
    call avR2(1239, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_4997, nGC_4997])

    call avR2(1239, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_4995, nGC_4996])

    allocate(vertices(852)%branchR2(0:0))
    call avR2(852, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5130, nGC_5132, nGC_5131])

    allocate(vertices(592)%branchR2(0:0))
    call avR2(592, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5134])

    allocate(vertices(1304)%branchR2(0:1))
    call avR2(1304, 0, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_4900, nGC_4900])

    call avR2(1304, 1, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_4899, nGC_4898])

    allocate(vertices(847)%branchR2(0:0))
    call avR2(847, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5144])

    allocate(vertices(1202)%branchR2(0:0))
    call avR2(1202, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_5020])

    allocate(vertices(1191)%branchR2(0:0))
    call avR2(1191, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5142])

    allocate(vertices(1665)%branchR2(0:0))
    call avR2(1665, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5189, nGC_5189, nGC_5189&
    ])

    allocate(vertices(75)%branchR2(0:1))
    call avR2(75, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_4931, nGC_4929])

    call avR2(75, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_4932, nGC_4930])

    allocate(vertices(583)%branchR2(0:0))
    call avR2(583, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5109, nGC_5111, nGC_5110])

    allocate(vertices(1106)%branchR2(0:0))
    call avR2(1106, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5152])

    allocate(vertices(249)%branchR2(0:1))
    call avR2(249, 0, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_5060, nGC_5058])

    call avR2(249, 1, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_5073, nGC_5072])

    allocate(vertices(565)%branchR2(0:1))
    call avR2(565, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_4961, nGC_4963])

    call avR2(565, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_4962, nGC_4964])

    allocate(vertices(1138)%branchR2(0:0))
    call avR2(1138, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5119])

    allocate(vertices(743)%branchR2(0:0))
    call avR2(743, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_5019])

    allocate(vertices(564)%branchR2(0:0))
    call avR2(564, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5122])

    allocate(vertices(1483)%branchR2(0:0))
    call avR2(1483, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_4888])

    allocate(vertices(32)%branchR2(0:0))
    call avR2(32, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5143])

    allocate(vertices(263)%branchR2(0:0))
    call avR2(263, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_14521])

    allocate(vertices(980)%branchR2(0:0))
    call avR2(980, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5130, nGC_5132, nGC_5131])

    allocate(vertices(1417)%branchR2(0:0))
    call avR2(1417, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_4891])

    allocate(vertices(127)%branchR2(0:0))
    call avR2(127, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5152])

    allocate(vertices(1481)%branchR2(0:0))
    call avR2(1481, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5133])

    allocate(vertices(333)%branchR2(0:0))
    call avR2(333, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5156])

    allocate(vertices(920)%branchR2(0:0))
    call avR2(920, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5152])

    allocate(vertices(117)%branchR2(0:0))
    call avR2(117, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_4940])

    allocate(vertices(1236)%branchR2(0:0))
    call avR2(1236, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_4894])

    allocate(vertices(1054)%branchR2(0:0))
    call avR2(1054, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_4922])

    allocate(vertices(217)%branchR2(0:0))
    call avR2(217, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_4989])

    allocate(vertices(237)%branchR2(0:0))
    call avR2(237, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5116])

    allocate(vertices(1329)%branchR2(0:1))
    call avR2(1329, 0, 17, 1, 0, FaFS2, 0, [0, 3], [nGC_4965, nGC_4967])

    call avR2(1329, 1, 17, 1, 0, FaFS2, 0, [2, 1], [nGC_4966, nGC_4968])

    allocate(vertices(897)%branchR2(0:0))
    call avR2(897, 0, 8, 1, 0, SFaF2, 0, [0, 3], [nGC_4952])

    allocate(vertices(468)%branchR2(0:0))
    call avR2(468, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5130, nGC_5132, nGC_5131])

    allocate(vertices(240)%branchR2(0:0))
    call avR2(240, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5180, nGC_5181, nGC_5182])

    allocate(vertices(572)%branchR2(0:1))
    call avR2(572, 0, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_5049])

    call avR2(572, 1, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_5050])

    allocate(vertices(1104)%branchR2(0:0))
    call avR2(1104, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_5051])

    allocate(vertices(865)%branchR2(0:0))
    call avR2(865, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5140])

    allocate(vertices(935)%branchR2(0:0))
    call avR2(935, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_5074, nGC_5075])

    allocate(vertices(214)%branchR2(0:0))
    call avR2(214, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_4903, nGC_4904])

    allocate(vertices(1087)%branchR2(0:1))
    call avR2(1087, 0, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_4900, nGC_4900])

    call avR2(1087, 1, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_4913, nGC_4912])

    allocate(vertices(334)%branchR2(0:0))
    call avR2(334, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5146])

    allocate(vertices(548)%branchR2(0:3))
    call avR2(548, 0, 26, 1, 0, FVFa0, 0, [1, 2], [nGC_5091, nGC_5090])

    call avR2(548, 1, 26, 1, 0, FVFa0, 0, [3, 0], [nGC_5082, nGC_5082])

    call avR2(548, 2, 27, 1, 0, FVFa0, 0, [1, 2], [nGC_5089, nGC_5088])

    call avR2(548, 3, 27, 1, 0, FVFa0, 0, [3, 0], [nGC_5079, nGC_5079])

    allocate(vertices(79)%branchR2(0:1))
    call avR2(79, 0, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_5055, nGC_5053])

    call avR2(79, 1, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_5056, nGC_5054])

    allocate(vertices(997)%branchR2(0:1))
    call avR2(997, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_5059, nGC_5057])

    call avR2(997, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_5060, nGC_5058])

    allocate(vertices(68)%branchR2(0:0))
    call avR2(68, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5158])

    allocate(vertices(858)%branchR2(0:0))
    call avR2(858, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5116])

    allocate(vertices(726)%branchR2(0:0))
    call avR2(726, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5145])

    allocate(vertices(23)%branchR2(0:0))
    call avR2(23, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_4950])

    allocate(vertices(1101)%branchR2(0:0))
    call avR2(1101, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5122])

    allocate(vertices(431)%branchR2(0:0))
    call avR2(431, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_14800])

    allocate(vertices(945)%branchR2(0:3))
    call avR2(945, 0, 26, 1, 0, FVFa0, 0, [1, 2], [nGC_5101, nGC_5100])

    call avR2(945, 1, 26, 1, 0, FVFa0, 0, [3, 0], [nGC_5097, nGC_5097])

    call avR2(945, 2, 27, 1, 0, FVFa0, 0, [1, 2], [nGC_5099, nGC_5098])

    call avR2(945, 3, 27, 1, 0, FVFa0, 0, [3, 0], [nGC_5094, nGC_5094])

    allocate(vertices(1049)%branchR2(0:3))
    call avR2(1049, 0, 24, 1, 0, FaFV1, 0, [1, 2], [nGC_5091, nGC_5090])

    call avR2(1049, 1, 24, 1, 0, FaFV1, 0, [3, 0], [nGC_5082, nGC_5082])

    call avR2(1049, 2, 25, 1, 0, FaFV1, 0, [1, 2], [nGC_5089, nGC_5088])

    call avR2(1049, 3, 25, 1, 0, FaFV1, 0, [3, 0], [nGC_5079, nGC_5079])

    allocate(vertices(1080)%branchR2(0:0))
    call avR2(1080, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5153])

    allocate(vertices(1107)%branchR2(0:0))
    call avR2(1107, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_4953])

    allocate(vertices(921)%branchR2(0:1))
    call avR2(921, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_4936, nGC_4934])

    call avR2(921, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_4949, nGC_4948])

    allocate(vertices(632)%branchR2(0:1))
    call avR2(632, 0, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_5059, nGC_5057])

    call avR2(632, 1, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_5060, nGC_5058])

    allocate(vertices(1294)%branchR2(0:0))
    call avR2(1294, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_5074, nGC_5075])

    allocate(vertices(951)%branchR2(0:3))
    call avR2(951, 0, 22, 1, 0, FaVF1, 0, [1, 2], [nGC_5105, nGC_5104])

    call avR2(951, 1, 22, 1, 0, FaVF1, 0, [3, 0], [nGC_5097, nGC_5097])

    call avR2(951, 2, 23, 1, 0, FaVF1, 0, [1, 2], [nGC_5103, nGC_5102])

    call avR2(951, 3, 23, 1, 0, FaVF1, 0, [3, 0], [nGC_5094, nGC_5094])

    allocate(vertices(327)%branchR2(0:0))
    call avR2(327, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5108])

    allocate(vertices(1003)%branchR2(0:0))
    call avR2(1003, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5140])

    allocate(vertices(1119)%branchR2(0:1))
    call avR2(1119, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_4913, nGC_4912])

    call avR2(1119, 1, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_4900, nGC_4900])

    allocate(vertices(1254)%branchR2(0:0))
    call avR2(1254, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_15251])

    allocate(vertices(702)%branchR2(0:0))
    call avR2(702, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5152])

    allocate(vertices(1371)%branchR2(0:0))
    call avR2(1371, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5116])

    allocate(vertices(1195)%branchR2(0:1))
    call avR2(1195, 0, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_5059, nGC_5057])

    call avR2(1195, 1, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_5060, nGC_5058])

    allocate(vertices(310)%branchR2(0:0))
    call avR2(310, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5182, nGC_5181, nGC_5180])

    allocate(vertices(1666)%branchR2(0:1))
    call avR2(1666, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_5135, nGC_5135,        &
    nGC_5135])

    call avR2(1666, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_5136, nGC_5136,        &
    nGC_5136])

    allocate(vertices(1180)%branchR2(0:0))
    call avR2(1180, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5117])

    allocate(vertices(198)%branchR2(0:0))
    call avR2(198, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_5145])

    allocate(vertices(255)%branchR2(0:0))
    call avR2(255, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5164])

    allocate(vertices(1164)%branchR2(0:0))
    call avR2(1164, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5140])

    allocate(vertices(1362)%branchR2(0:0))
    call avR2(1362, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_4943])

    allocate(vertices(1667)%branchR2(0:0))
    call avR2(1667, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5125, nGC_5126, nGC_5126&
    ])

    allocate(vertices(1668)%branchR2(0:1))
    call avR2(1668, 0, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_5178, nGC_5178,        &
    nGC_5178])

    call avR2(1668, 1, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_5179, nGC_5179,        &
    nGC_5179])

    allocate(vertices(1014)%branchR2(0:0))
    call avR2(1014, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5181, nGC_5182, nGC_5180&
    ])

    allocate(vertices(599)%branchR2(0:3))
    call avR2(599, 0, 22, 1, 0, FaVF1, 0, [1, 2], [nGC_5096, nGC_5095])

    call avR2(599, 1, 22, 1, 0, FaVF1, 0, [3, 0], [nGC_5097, nGC_5097])

    call avR2(599, 2, 23, 1, 0, FaVF1, 0, [1, 2], [nGC_5093, nGC_5092])

    call avR2(599, 3, 23, 1, 0, FaVF1, 0, [3, 0], [nGC_5094, nGC_5094])

    allocate(vertices(91)%branchR2(0:1))
    call avR2(91, 0, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_5056, nGC_5054])

    call avR2(91, 1, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_5071, nGC_5070])

    allocate(vertices(900)%branchR2(0:1))
    call avR2(900, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_5009, nGC_5009])

    call avR2(900, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_5007, nGC_5008])

    allocate(vertices(683)%branchR2(0:1))
    call avR2(683, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_4994, nGC_4994])

    call avR2(683, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_4992, nGC_4993])

    allocate(vertices(490)%branchR2(0:0))
    call avR2(490, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5160])

    allocate(vertices(971)%branchR2(0:0))
    call avR2(971, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5117])

    allocate(vertices(901)%branchR2(0:0))
    call avR2(901, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_5031, nGC_5030])

    allocate(vertices(1375)%branchR2(0:0))
    call avR2(1375, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_5014, nGC_5013])

    allocate(vertices(605)%branchR2(0:0))
    call avR2(605, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5137])

    allocate(vertices(1474)%branchR2(0:0))
    call avR2(1474, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_4909])

    allocate(vertices(1051)%branchR2(0:0))
    call avR2(1051, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5116])

    allocate(vertices(1490)%branchR2(0:0))
    call avR2(1490, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5129])

    allocate(vertices(445)%branchR2(0:1))
    call avR2(445, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_5049])

    call avR2(445, 1, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_5050])

    allocate(vertices(1192)%branchR2(0:0))
    call avR2(1192, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5116])

    allocate(vertices(1034)%branchR2(0:0))
    call avR2(1034, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5117])

    allocate(vertices(253)%branchR2(0:0))
    call avR2(253, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5146])

    allocate(vertices(138)%branchR2(0:0))
    call avR2(138, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5162])

    allocate(vertices(507)%branchR2(0:0))
    call avR2(507, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5152])

    allocate(vertices(463)%branchR2(0:0))
    call avR2(463, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5151])

    allocate(vertices(419)%branchR2(0:0))
    call avR2(419, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_5068])

    allocate(vertices(814)%branchR2(0:0))
    call avR2(814, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5161])

    allocate(vertices(1669)%branchR2(0:1))
    call avR2(1669, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_5147])

    call avR2(1669, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_5148])

    allocate(vertices(149)%branchR2(0:1))
    call avR2(149, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_4936, nGC_4934])

    call avR2(149, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_4949, nGC_4948])

    allocate(vertices(486)%branchR2(0:0))
    call avR2(486, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5118])

    allocate(vertices(1486)%branchR2(0:0))
    call avR2(1486, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_4908])

    allocate(vertices(46)%branchR2(0:1))
    call avR2(46, 0, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_4897, nGC_4897])

    call avR2(46, 1, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_4902, nGC_4901])

    allocate(vertices(1184)%branchR2(0:0))
    call avR2(1184, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5116])

    allocate(vertices(402)%branchR2(0:0))
    call avR2(402, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5118])

    allocate(vertices(152)%branchR2(0:1))
    call avR2(152, 0, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_5060, nGC_5058])

    call avR2(152, 1, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_5077, nGC_5076])

    allocate(vertices(80)%branchR2(0:0))
    call avR2(80, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_5052])

    allocate(vertices(407)%branchR2(0:0))
    call avR2(407, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5142])

    allocate(vertices(531)%branchR2(0:0))
    call avR2(531, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_5043, nGC_5042])

    allocate(vertices(1155)%branchR2(0:0))
    call avR2(1155, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_5066, nGC_5067])

    allocate(vertices(1203)%branchR2(0:0))
    call avR2(1203, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5144])

    allocate(vertices(927)%branchR2(0:1))
    call avR2(927, 0, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_4900, nGC_4900])

    call avR2(927, 1, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_4917, nGC_4916])

    allocate(vertices(260)%branchR2(0:0))
    call avR2(260, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5145])

    allocate(vertices(1415)%branchR2(0:0))
    call avR2(1415, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_4908])

    allocate(vertices(1212)%branchR2(0:0))
    call avR2(1212, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5154])

    allocate(vertices(1446)%branchR2(0:0))
    call avR2(1446, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5128])

    allocate(vertices(571)%branchR2(0:0))
    call avR2(571, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5132, nGC_5131, nGC_5130])

    allocate(vertices(157)%branchR2(0:0))
    call avR2(157, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_4905, nGC_4906])

    allocate(vertices(1453)%branchR2(0:0))
    call avR2(1453, 0, 14, 1, 0, FaF0, 0, [0, 2], [nGC_4877])

    allocate(vertices(5)%branchR2(0:0))
    call avR2(5, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_5006, nGC_5005])

    allocate(vertices(1251)%branchR2(0:0))
    call avR2(1251, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5164])

    allocate(vertices(557)%branchR2(0:0))
    call avR2(557, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_5157])

    allocate(vertices(1670)%branchR2(0:1))
    call avR2(1670, 0, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_5149, nGC_5149,        &
    nGC_5149])

    call avR2(1670, 1, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_5150, nGC_5150,        &
    nGC_5150])

    allocate(vertices(1671)%branchR2(0:1))
    call avR2(1671, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_5176])

    call avR2(1671, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_5177])

    allocate(vertices(122)%branchR2(0:0))
    call avR2(122, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5153])

    allocate(vertices(563)%branchR2(0:0))
    call avR2(563, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_4919])

    allocate(vertices(1672)%branchR2(0:0))
    call avR2(1672, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_5121, nGC_5121, nGC_5121&
    ])

    allocate(vertices(1372)%branchR2(0:1))
    call avR2(1372, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_4998, nGC_4999])

    call avR2(1372, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_5000, nGC_5000])

    allocate(vertices(1389)%branchR2(0:0))
    call avR2(1389, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_4891])

    allocate(vertices(339)%branchR2(0:0))
    call avR2(339, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5117])

    allocate(vertices(266)%branchR2(0:0))
    call avR2(266, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5155])

    allocate(vertices(1320)%branchR2(0:0))
    call avR2(1320, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_5158])

    allocate(vertices(710)%branchR2(0:0))
    call avR2(710, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_5051])

    allocate(vertices(1456)%branchR2(0:0))
    call avR2(1456, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_5133])

    allocate(vertices(948)%branchR2(0:0))
    call avR2(948, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5146])

    allocate(vertices(273)%branchR2(0:0))
    call avR2(273, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5146])

    allocate(vertices(1673)%branchR2(0:0))
    call avR2(1673, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_5115])

    allocate(vertices(566)%branchR2(0:1))
    call avR2(566, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_5024, nGC_5025])

    call avR2(566, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_5026, nGC_5026])

    allocate(vertices(307)%branchR2(0:0))
    call avR2(307, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5122])

    allocate(vertices(833)%branchR2(0:0))
    call avR2(833, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5146])

    allocate(vertices(1462)%branchR2(0:0))
    call avR2(1462, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_4893])

    allocate(vertices(1019)%branchR2(0:3))
    call avR2(1019, 0, 28, 1, 0, VFaF0, 0, [1, 2], [nGC_5087, nGC_5086])

    call avR2(1019, 1, 28, 1, 0, VFaF0, 0, [3, 0], [nGC_5082, nGC_5082])

    call avR2(1019, 2, 29, 1, 0, VFaF0, 0, [1, 2], [nGC_5085, nGC_5084])

    call avR2(1019, 3, 29, 1, 0, VFaF0, 0, [3, 0], [nGC_5079, nGC_5079])

    allocate(vertices(71)%branchR2(0:0))
    call avR2(71, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_5145])

    allocate(vertices(376)%branchR2(0:0))
    call avR2(376, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_4989])

    allocate(vertices(660)%branchR2(0:1))
    call avR2(660, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_4983, nGC_4985])

    call avR2(660, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_4984, nGC_4986])

    allocate(vertices(1524)%branchR2(0:0))
    call avR2(1524, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_4908])

    allocate(vertices(783)%branchR2(0:0))
    call avR2(783, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_4990])

    allocate(vertices(155)%branchR2(0:0))
    call avR2(155, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_5123])

    allocate(vertices(1674)%branchR2(0:1))
    call avR2(1674, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_5147])

    call avR2(1674, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_5148])

  end subroutine fill_vertices_mdl6
end module vertices_info6
